
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1.0d, (java.lang.Number)100.0f, (java.lang.Number)1.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = dateTime4.withTime(0, 1, 1, (-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    org.joda.time.tz.Provider provider0 = null;
    org.joda.time.DateTimeZone.setProvider(provider0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.DurationFieldType durationFieldType1 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField2 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField3 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, (org.joda.time.DurationField)unsupportedDurationField2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField2);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(10, 100, 0, 10, 100, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getDifferenceAsLong((-1L), (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.parse("PST", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate1 = new org.joda.time.LocalDate((java.lang.Object)dateTimeZoneBuilder0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.add(0L, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    java.io.DataOutput dataOutput2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("hi!", dataOutput2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(short)(-1), "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    java.util.TimeZone timeZone6 = null;
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forTimeZone(timeZone6);
    java.lang.String str9 = dateTimeZone7.getShortName(10L);
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(100, 52, (-1), 52, (-1), 0, dateTimeZone7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "PST"+ "'", str9.equals("PST"));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, dateTimeFieldType1, 0, 1, 29299);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    long long2 = org.joda.time.field.FieldUtils.safeDivide(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.DateFormatSymbols dateFormatSymbols1 = org.joda.time.DateTimeUtils.getDateFormatSymbols(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = org.joda.time.LocalDate.parse("PST", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = localDate9.toString("PST");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.joda.time.DateTimeUtils.setCurrentMillisSystem();

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("PST");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("[]");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    java.util.Map map0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeUtils.setDefaultTimeZoneNames(map0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeFieldType dateTimeFieldType8 = partial6.getFieldType(1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);

  }

  @Test
  public void test023() {}
// Defects4J: flaky method
//   @Test
//   public void test023() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     int i10 = localDate9.getDayOfMonth();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate12 = localDate9.withDayOfYear(0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 21);
// 
//   }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(100L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1000);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis(52);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
    org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
    java.util.TimeZone timeZone14 = null;
    org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
    org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
    java.lang.String str18 = dateTimeZone15.getShortName(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(interval16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "PST"+ "'", str18.equals("PST"));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.ReadableDuration readableDuration9 = null;
    org.joda.time.DateTime dateTime10 = dateTime4.minus(readableDuration9);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime4.withSecondOfMinute((-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    java.lang.String str10 = partial6.toString();
    int i11 = partial6.size();
    java.util.Locale locale13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str14 = partial6.toString("hi!", locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.joda.time.field.RemainderDateTimeField remainderDateTimeField0 = null;
    java.util.TimeZone timeZone1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
    java.lang.String str4 = dateTimeZone2.getShortName(10L);
    org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
    org.joda.time.Chronology chronology6 = null;
    org.joda.time.DateTime dateTime7 = dateTime5.toDateTime(chronology6);
    org.joda.time.DateTime dateTime9 = dateTime5.minusWeeks(0);
    org.joda.time.LocalDate localDate10 = dateTime5.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = localDate10.getFieldType(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField13 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField0, dateTimeFieldType12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "PST"+ "'", str4.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType12);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    java.util.TimeZone timeZone10 = null;
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
    java.lang.String str13 = dateTimeZone11.getShortName(10L);
    org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
    org.joda.time.Chronology chronology15 = null;
    org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
    org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
    org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Partial.Property property22 = partial6.property(dateTimeFieldType21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "PST"+ "'", str13.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType21);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField1.getMillis(10L, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test034() {}
// Defects4J: flaky method
//   @Test
//   public void test034() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }
// 
// 
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = dateTime5.toDateTime(chronology6);
//     org.joda.time.DateTime dateTime9 = dateTime5.minusWeeks(0);
//     int i10 = dateTime5.getDayOfYear();
//     boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(short)0, (java.lang.Object)i10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "PST"+ "'", str4.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
// 
//   }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.joda.time.tz.Provider provider0 = org.joda.time.DateTimeZone.getProvider();
    org.joda.time.DateTimeZone.setProvider(provider0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(provider0);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DurationFieldType durationFieldType7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = dateTime6.withFieldAdded(durationFieldType7, 2016);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GJChronology gJChronology8 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1, (-1L), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1000, 29300, 2016, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.joda.time.DurationField durationField0 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.DurationFieldType durationFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ScaledDurationField scaledDurationField3 = new org.joda.time.field.ScaledDurationField(durationField0, durationFieldType1, 2016);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField0);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = unsupportedDurationField3.getName();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test041() {}
// Defects4J: flaky method
//   @Test
//   public void test041() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     int i9 = dateTime4.getDayOfYear();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime13 = dateTime4.withDate((-1), 2016, 29299);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 52);
// 
//   }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    int i0 = org.joda.time.chrono.BuddhistChronology.BE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.getMillis((-1L), 1L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset((-1L));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "[]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    java.lang.String str10 = partial6.toString();
    int[] i_array11 = partial6.getValues();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = partial6.toString("ISOChronology[America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);

  }

  @Test
  public void test048() {}
// Defects4J: flaky method
//   @Test
//   public void test048() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.DateTimeField dateTimeField6 = julianChronology5.minuteOfDay();
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.LocalDate localDate16 = dateTime11.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType18 = localDate16.getFieldType(0);
//     org.joda.time.LocalDate localDate20 = localDate16.minusWeeks(0);
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     org.joda.time.Interval interval23 = localDate20.toInterval(dateTimeZone22);
//     int i24 = localDate20.getMonthOfYear();
//     int i25 = localDate20.getWeekOfWeekyear();
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     java.lang.String str29 = dateTimeZone27.getShortName(10L);
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone27);
//     org.joda.time.Chronology chronology31 = null;
//     org.joda.time.DateTime dateTime32 = dateTime30.toDateTime(chronology31);
//     org.joda.time.DateTime dateTime34 = dateTime30.minusWeeks(0);
//     org.joda.time.LocalDate localDate35 = dateTime30.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = localDate35.getFieldType(0);
//     int i38 = localDate20.get(dateTimeFieldType37);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.DividedDateTimeField dividedDateTimeField40 = new org.joda.time.field.DividedDateTimeField(dateTimeField6, dateTimeFieldType37, 0);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "PST"+ "'", str10.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str29 + "' != '" + "PST"+ "'", str29.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 2016);
// 
//   }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
    org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
    java.util.TimeZone timeZone14 = null;
    org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
    java.lang.String str17 = dateTimeZone15.getShortName(10L);
    org.joda.time.DateTime dateTime18 = new org.joda.time.DateTime(dateTimeZone15);
    org.joda.time.DateTime dateTime19 = localDate13.toDateTimeAtStartOfDay(dateTimeZone15);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate((java.lang.Object)dateTimeZone15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "PST"+ "'", str17.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    java.io.OutputStream outputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("America/Los_Angeles", outputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    org.joda.time.DurationFieldType durationFieldType10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Partial partial12 = partial6.withFieldAddWrapped(durationFieldType10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(29300, 29300, 1, 213);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gJChronology4.getDateTimeMillis(213, 0, 1000, 1);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology4);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    long long1 = org.joda.time.DateTimeUtils.toJulianDayNumber(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2440588L);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    java.lang.String str10 = partial6.toString();
    int i11 = partial6.size();
    java.util.TimeZone timeZone12 = null;
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
    java.lang.String str15 = dateTimeZone13.getShortName(10L);
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
    org.joda.time.Chronology chronology17 = null;
    org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
    org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
    org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
    org.joda.time.Partial partial25 = partial6.with(dateTimeFieldType23, (-1));
    org.joda.time.DurationFieldType durationFieldType26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Partial partial28 = partial6.withFieldAdded(durationFieldType26, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "PST"+ "'", str15.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(partial25);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    java.util.TimeZone timeZone6 = null;
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forTimeZone(timeZone6);
    java.lang.String str9 = dateTimeZone7.getShortName(10L);
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone7);
    org.joda.time.Chronology chronology11 = dateTime10.getChronology();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(0, 0, 213, 25, 29299, 1, chronology11);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "PST"+ "'", str9.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate1 = org.joda.time.LocalDate.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    java.util.TimeZone timeZone10 = null;
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
    java.lang.String str13 = dateTimeZone11.getShortName(10L);
    org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
    org.joda.time.Chronology chronology15 = null;
    org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
    org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
    org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
    org.joda.time.LocalDate localDate23 = localDate19.minusWeeks(0);
    // The following exception was thrown during execution in test generation
    try {
      boolean b24 = partial6.isEqual((org.joda.time.ReadablePartial)localDate19);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "PST"+ "'", str13.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate23);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(2440588L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2440588L));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "PST");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() {}
// Defects4J: flaky method
//   @Test
//   public void test061() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.lang.String str10 = partial6.toString();
//     int[] i_array11 = partial6.getValues();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.LocalDate localDate25 = localDate21.minusWeeks(0);
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     org.joda.time.Interval interval28 = localDate25.toInterval(dateTimeZone27);
//     int i29 = localDate25.getMonthOfYear();
//     int i30 = localDate25.getWeekOfWeekyear();
//     java.util.TimeZone timeZone31 = null;
//     org.joda.time.DateTimeZone dateTimeZone32 = org.joda.time.DateTimeZone.forTimeZone(timeZone31);
//     java.lang.String str34 = dateTimeZone32.getShortName(10L);
//     org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime(dateTimeZone32);
//     org.joda.time.Chronology chronology36 = null;
//     org.joda.time.DateTime dateTime37 = dateTime35.toDateTime(chronology36);
//     org.joda.time.DateTime dateTime39 = dateTime35.minusWeeks(0);
//     org.joda.time.LocalDate localDate40 = dateTime35.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType42 = localDate40.getFieldType(0);
//     int i43 = localDate25.get(dateTimeFieldType42);
//     java.util.TimeZone timeZone45 = null;
//     org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
//     java.lang.String str48 = dateTimeZone46.getShortName(10L);
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.chrono.JulianChronology julianChronology50 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone46);
//     org.joda.time.DateTimeField dateTimeField51 = julianChronology50.minuteOfDay();
//     org.joda.time.Partial partial52 = new org.joda.time.Partial(dateTimeFieldType42, 29299, (org.joda.time.Chronology)julianChronology50);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.Partial.Property property53 = partial6.property(dateTimeFieldType42);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "PST"+ "'", str15.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "PST"+ "'", str34.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "PST"+ "'", str48.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField51);
// 
//   }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate1 = org.joda.time.LocalDate.fromDateFields(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    long long1 = org.joda.time.DateTimeUtils.getDurationMillis(readableDuration0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    java.lang.String str10 = partial6.toString();
    int i11 = partial6.size();
    java.util.TimeZone timeZone12 = null;
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
    java.lang.String str15 = dateTimeZone13.getShortName(10L);
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
    org.joda.time.Chronology chronology17 = null;
    org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
    org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
    org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
    org.joda.time.Partial partial25 = partial6.with(dateTimeFieldType23, (-1));
    java.util.TimeZone timeZone26 = null;
    org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
    java.lang.String str29 = dateTimeZone27.getShortName(10L);
    org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone27);
    org.joda.time.Chronology chronology31 = null;
    org.joda.time.DateTime dateTime32 = dateTime30.toDateTime(chronology31);
    org.joda.time.DateTime dateTime34 = dateTime30.minusWeeks(0);
    org.joda.time.LocalDate localDate35 = dateTime30.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType37 = localDate35.getFieldType(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Partial partial39 = partial6.withField(dateTimeFieldType37, 29303361);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "PST"+ "'", str15.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(partial25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "PST"+ "'", str29.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType37);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    java.lang.String str10 = partial6.toString();
    int i11 = partial6.size();
    java.util.TimeZone timeZone12 = null;
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
    java.lang.String str15 = dateTimeZone13.getShortName(10L);
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
    org.joda.time.Chronology chronology17 = null;
    org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
    org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
    org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
    org.joda.time.Partial partial25 = partial6.with(dateTimeFieldType23, (-1));
    int[] i_array26 = partial6.getValues();
    java.util.Locale locale28 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str29 = partial6.toString("", locale28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "PST"+ "'", str15.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(partial25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    java.lang.String str7 = partial6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    int i9 = partial6.indexOf(dateTimeFieldType8);
    java.lang.String str10 = partial6.toString();
    int i11 = partial6.size();
    java.util.TimeZone timeZone12 = null;
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
    java.lang.String str15 = dateTimeZone13.getShortName(10L);
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
    java.util.TimeZone timeZone17 = null;
    org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forTimeZone(timeZone17);
    java.lang.String str20 = dateTimeZone18.getShortName(10L);
    org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone18);
    org.joda.time.DateTime dateTime22 = dateTime16.toDateTime(dateTimeZone18);
    org.joda.time.DateTime dateTime23 = partial6.toDateTime((org.joda.time.ReadableInstant)dateTime16);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeFieldType dateTimeFieldType25 = partial6.getFieldType((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PST"+ "'", str3.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "PST"+ "'", str15.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "PST"+ "'", str20.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str1 = iSOChronology0.toString();
    java.util.TimeZone timeZone2 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
    java.lang.String str5 = dateTimeZone3.getShortName(10L);
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
    org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
    org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
    java.util.TimeZone timeZone12 = null;
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
    java.lang.String str15 = dateTimeZone13.getShortName(10L);
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
    org.joda.time.Chronology chronology17 = null;
    org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
    org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
    org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
    org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
    org.joda.time.Interval interval25 = localDate21.toInterval();
    boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
    org.joda.time.LocalDate localDate27 = new org.joda.time.LocalDate((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.DurationFieldType durationFieldType28 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate30 = localDate27.withFieldAdded(durationFieldType28, 29302);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str1.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "PST"+ "'", str5.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "PST"+ "'", str15.equals("PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(interval25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("America/Los_Angeles", 4, 29303, 1000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis((-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField1.getValueAsLong(6300223690102267L, 2440588L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str8 = iSOChronology7.toString();
    org.joda.time.Chronology chronology9 = iSOChronology7.withUTC();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(2016, 29300, 21, (-28800000), 29300, 21, 1439, (org.joda.time.Chronology)iSOChronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str8.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.joda.time.tz.NameProvider nameProvider0 = null;
    org.joda.time.DateTimeZone.setNameProvider(nameProvider0);

  }

  @Test
  public void test073() {}
// Defects4J: flaky method
//   @Test
//   public void test073() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.Chronology chronology14 = null;
//     org.joda.time.DateTime dateTime15 = dateTime13.toDateTime(chronology14);
//     org.joda.time.DateTime dateTime17 = dateTime13.minusWeeks(0);
//     org.joda.time.LocalDate localDate18 = dateTime13.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType20 = localDate18.getFieldType(0);
//     org.joda.time.LocalDate localDate22 = localDate18.minusWeeks(0);
//     java.util.TimeZone timeZone23 = null;
//     org.joda.time.DateTimeZone dateTimeZone24 = org.joda.time.DateTimeZone.forTimeZone(timeZone23);
//     org.joda.time.Interval interval25 = localDate22.toInterval(dateTimeZone24);
//     int i26 = localDate22.getMonthOfYear();
//     int i27 = localDate22.getWeekOfWeekyear();
//     java.util.TimeZone timeZone28 = null;
//     org.joda.time.DateTimeZone dateTimeZone29 = org.joda.time.DateTimeZone.forTimeZone(timeZone28);
//     java.lang.String str31 = dateTimeZone29.getShortName(10L);
//     org.joda.time.DateTime dateTime32 = new org.joda.time.DateTime(dateTimeZone29);
//     org.joda.time.Chronology chronology33 = null;
//     org.joda.time.DateTime dateTime34 = dateTime32.toDateTime(chronology33);
//     org.joda.time.DateTime dateTime36 = dateTime32.minusWeeks(0);
//     org.joda.time.LocalDate localDate37 = dateTime32.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType39 = localDate37.getFieldType(0);
//     int i40 = localDate22.get(dateTimeFieldType39);
//     java.util.TimeZone timeZone42 = null;
//     org.joda.time.DateTimeZone dateTimeZone43 = org.joda.time.DateTimeZone.forTimeZone(timeZone42);
//     java.lang.String str45 = dateTimeZone43.getShortName(10L);
//     org.joda.time.DateTime dateTime46 = new org.joda.time.DateTime(dateTimeZone43);
//     org.joda.time.chrono.CopticChronology copticChronology47 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone43);
//     org.joda.time.Partial partial48 = new org.joda.time.Partial(dateTimeFieldType39, 1000, (org.joda.time.Chronology)copticChronology47);
//     java.util.TimeZone timeZone49 = null;
//     org.joda.time.DateTimeZone dateTimeZone50 = org.joda.time.DateTimeZone.forTimeZone(timeZone49);
//     java.lang.String str52 = dateTimeZone50.getShortName(10L);
//     org.joda.time.DateTime dateTime53 = new org.joda.time.DateTime(dateTimeZone50);
//     org.joda.time.chrono.JulianChronology julianChronology54 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone50);
//     org.joda.time.DateTimeField dateTimeField55 = julianChronology54.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField56 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology47, dateTimeField55);
//     org.joda.time.DateTimeField dateTimeField57 = copticChronology47.era();
//     org.joda.time.DateTime dateTime58 = dateTime8.withChronology((org.joda.time.Chronology)copticChronology47);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long63 = copticChronology47.getDateTimeMillis(52, 29300, 21, 29303);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str31 + "' != '" + "+00:00"+ "'", str31.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i40 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "+00:00"+ "'", str45.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str52 + "' != '" + "+00:00"+ "'", str52.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
// 
//   }

  @Test
  public void test074() {}
// Defects4J: flaky method
//   @Test
//   public void test074() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology6 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = gregorianChronology6.weekyear();
//     org.joda.time.DateTimeField dateTimeField8 = gregorianChronology6.weekyear();
//     int i9 = gregorianChronology6.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.DateTime dateTime20 = dateTime14.toDateTime(dateTimeZone16);
//     org.joda.time.Chronology chronology21 = gregorianChronology6.withZone(dateTimeZone16);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime22 = new org.joda.time.DateTime(21, 10, 100, 4, 4, 100, chronology21);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology21);
// 
//   }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(2440588L, (-2440588L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4881176L);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.joda.time.tz.NameProvider nameProvider0 = org.joda.time.DateTimeZone.getNameProvider();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nameProvider0);

  }

  @Test
  public void test078() {}
// Defects4J: flaky method
//   @Test
//   public void test078() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.CopticChronology copticChronology5 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone1);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long10 = copticChronology5.getDateTimeMillis(0, 2015, 10, 58104);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology5);
// 
//   }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double d1 = org.joda.time.DateTimeUtils.toJulianDay(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2440587.5d);

  }

  @Test
  public void test080() {}
// Defects4J: flaky method
//   @Test
//   public void test080() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str19 = localDate14.toString("ZonedChronology[ISOChronology[UTC], PST]");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
// 
//   }

  @Test
  public void test081() {}
// Defects4J: flaky method
//   @Test
//   public void test081() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.lang.String str10 = partial6.toString();
//     int i11 = partial6.size();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.Partial partial25 = partial6.with(dateTimeFieldType23, (-1));
//     java.util.Locale locale27 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str28 = partial6.toString("minuteOfDay", locale27);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial25);
// 
//   }

  @Test
  public void test082() {}
// Defects4J: flaky method
//   @Test
//   public void test082() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     org.joda.time.DurationField durationField4 = offsetDateTimeField3.getRangeDurationField();
//     long long7 = offsetDateTimeField3.add((-57160588L), 100);
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.chrono.JulianChronology julianChronology13 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone9);
//     org.joda.time.Partial partial14 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology13);
//     java.lang.String str15 = partial14.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType16 = null;
//     int i17 = partial14.indexOf(dateTimeFieldType16);
//     java.lang.String str18 = partial14.toString();
//     int i19 = partial14.size();
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     java.lang.String str23 = dateTimeZone21.getShortName(10L);
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime24.toDateTime(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime24.minusWeeks(0);
//     org.joda.time.LocalDate localDate29 = dateTime24.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType31 = localDate29.getFieldType(0);
//     org.joda.time.Partial partial33 = partial14.with(dateTimeFieldType31, (-1));
//     int[] i_array37 = new int[] { 1, (-1) };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array39 = offsetDateTimeField3.addWrapField((org.joda.time.ReadablePartial)partial33, 1439, i_array37, 29304);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 3155789239412L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "[]"+ "'", str15.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "[]"+ "'", str18.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+00:00"+ "'", str23.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array37);
// 
//   }

  @Test
  public void test083() {}
// Defects4J: flaky method
//   @Test
//   public void test083() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     boolean b11 = dateTime9.isEqual(10L);
//     org.joda.time.DateTime dateTime12 = dateTime9.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.minus(readableDuration13);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     org.joda.time.DateTime dateTime17 = dateTime14.withZoneRetainFields(dateTimeZone16);
//     java.util.Locale locale19 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str20 = dateTime14.toString("", locale19);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
// 
//   }

  @Test
  public void test084() {}
// Defects4J: flaky method
//   @Test
//   public void test084() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     int i2 = gregorianChronology0.getMinimumDaysInFirstWeek();
//     org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str4 = iSOChronology3.toString();
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.DateTime dateTime14 = dateTime13.toDateTime();
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.Chronology chronology20 = null;
//     org.joda.time.DateTime dateTime21 = dateTime19.toDateTime(chronology20);
//     org.joda.time.DateTime dateTime23 = dateTime19.minusWeeks(0);
//     org.joda.time.LocalDate localDate24 = dateTime19.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType26 = localDate24.getFieldType(0);
//     org.joda.time.DateTime dateTime27 = dateTime13.withFields((org.joda.time.ReadablePartial)localDate24);
//     org.joda.time.Interval interval28 = localDate24.toInterval();
//     boolean b29 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology3, (java.lang.Object)localDate24);
//     org.joda.time.LocalDate localDate31 = localDate24.withYear(0);
//     java.util.TimeZone timeZone32 = null;
//     org.joda.time.DateTimeZone dateTimeZone33 = org.joda.time.DateTimeZone.forTimeZone(timeZone32);
//     java.lang.String str35 = dateTimeZone33.getShortName(10L);
//     org.joda.time.DateTime dateTime36 = new org.joda.time.DateTime(dateTimeZone33);
//     org.joda.time.chrono.JulianChronology julianChronology37 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone33);
//     org.joda.time.Partial partial38 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology37);
//     java.lang.String str39 = partial38.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType40 = null;
//     int i41 = partial38.indexOf(dateTimeFieldType40);
//     java.lang.String str42 = partial38.toString();
//     int[] i_array43 = partial38.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       gregorianChronology0.validate((org.joda.time.ReadablePartial)localDate31, i_array43);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "ISOChronology[PST]"+ "'", str4.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "+00:00"+ "'", str35.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str39 + "' != '" + "[]"+ "'", str39.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str42 + "' != '" + "[]"+ "'", str42.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array43);
// 
//   }

  @Test
  public void test085() {}
// Defects4J: flaky method
//   @Test
//   public void test085() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.Partial partial23 = partial6.with(dateTimeFieldType21, 52);
//     java.util.TimeZone timeZone24 = null;
//     org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forTimeZone(timeZone24);
//     java.lang.String str27 = dateTimeZone25.getShortName(10L);
//     org.joda.time.DateTime dateTime28 = new org.joda.time.DateTime(dateTimeZone25);
//     org.joda.time.Chronology chronology29 = null;
//     org.joda.time.DateTime dateTime30 = dateTime28.toDateTime(chronology29);
//     org.joda.time.DateTime dateTime32 = dateTime28.minusWeeks(0);
//     org.joda.time.LocalDate localDate33 = dateTime28.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = localDate33.getFieldType(0);
//     int i36 = localDate33.getDayOfYear();
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b37 = partial6.isBefore((org.joda.time.ReadablePartial)localDate33);
//       org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
//     } catch (java.lang.ClassCastException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str27 + "' != '" + "+00:00"+ "'", str27.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i36 == 52);
// 
//   }

  @Test
  public void test086() {}
// Defects4J: flaky method
//   @Test
//   public void test086() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }
// 
// 
//     org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.chrono.JulianChronology julianChronology7 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone3);
//     org.joda.time.Partial partial8 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology7);
//     org.joda.time.DurationField durationField9 = julianChronology7.weekyears();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.Partial partial10 = new org.joda.time.Partial(dateTimeFieldType0, 25, (org.joda.time.Chronology)julianChronology7);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField9);
// 
//   }

  @Test
  public void test087() {}
// Defects4J: flaky method
//   @Test
//   public void test087() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     java.util.TimeZone timeZone6 = null;
//     org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forTimeZone(timeZone6);
//     java.lang.String str9 = dateTimeZone7.getShortName(10L);
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone7);
//     org.joda.time.Chronology chronology11 = null;
//     org.joda.time.DateTime dateTime12 = dateTime10.toDateTime(chronology11);
//     org.joda.time.DateTime dateTime14 = dateTime10.minusWeeks(0);
//     org.joda.time.LocalDate localDate15 = dateTime10.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType17 = localDate15.getFieldType(0);
//     int i18 = localDate15.getDayOfYear();
//     org.joda.time.LocalDate localDate20 = localDate15.withWeekyear(213);
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     java.lang.String str24 = dateTimeZone22.getShortName(10L);
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone22);
//     org.joda.time.Chronology chronology26 = null;
//     org.joda.time.DateTime dateTime27 = dateTime25.toDateTime(chronology26);
//     org.joda.time.DateTime dateTime29 = dateTime25.minusWeeks(0);
//     org.joda.time.DateTime dateTime30 = dateTime29.toDateTime();
//     java.util.TimeZone timeZone31 = null;
//     org.joda.time.DateTimeZone dateTimeZone32 = org.joda.time.DateTimeZone.forTimeZone(timeZone31);
//     java.lang.String str34 = dateTimeZone32.getShortName(10L);
//     org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime(dateTimeZone32);
//     org.joda.time.Chronology chronology36 = null;
//     org.joda.time.DateTime dateTime37 = dateTime35.toDateTime(chronology36);
//     org.joda.time.DateTime dateTime39 = dateTime35.minusWeeks(0);
//     org.joda.time.LocalDate localDate40 = dateTime35.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType42 = localDate40.getFieldType(0);
//     org.joda.time.DateTime dateTime43 = dateTime29.withFields((org.joda.time.ReadablePartial)localDate40);
//     org.joda.time.Interval interval44 = localDate40.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone45 = null;
//     org.joda.time.DateTime dateTime46 = localDate40.toDateTimeAtCurrentTime(dateTimeZone45);
//     org.joda.time.LocalDate localDate48 = localDate40.withYearOfCentury(4);
//     boolean b49 = localDate15.isEqual((org.joda.time.ReadablePartial)localDate48);
//     java.util.TimeZone timeZone51 = null;
//     org.joda.time.DateTimeZone dateTimeZone52 = org.joda.time.DateTimeZone.forTimeZone(timeZone51);
//     java.lang.String str54 = dateTimeZone52.getShortName(10L);
//     org.joda.time.DateTime dateTime55 = new org.joda.time.DateTime(dateTimeZone52);
//     org.joda.time.chrono.JulianChronology julianChronology56 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone52);
//     org.joda.time.Partial partial57 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology56);
//     java.lang.String str58 = partial57.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType59 = null;
//     int i60 = partial57.indexOf(dateTimeFieldType59);
//     java.lang.String str61 = partial57.toString();
//     int[] i_array62 = partial57.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array64 = offsetDateTimeField3.add((org.joda.time.ReadablePartial)localDate15, 29303361, i_array62, 29299);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+00:00"+ "'", str9.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "+00:00"+ "'", str24.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "+00:00"+ "'", str34.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str54 + "' != '" + "+00:00"+ "'", str54.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "[]"+ "'", str58.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i60 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str61 + "' != '" + "[]"+ "'", str61.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array62);
// 
//   }

  @Test
  public void test088() {}
// Defects4J: flaky method
//   @Test
//   public void test088() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     org.joda.time.DateTimeFieldType dateTimeFieldType32 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i33 = localDate13.get(dateTimeFieldType32);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
// 
//   }

  @Test
  public void test089() {}
// Defects4J: flaky method
//   @Test
//   public void test089() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime4.minus(readableDuration9);
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear((-1));
//     java.util.TimeZone timeZone13 = null;
//     org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
//     java.lang.String str16 = dateTimeZone14.getShortName(10L);
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.DateTime dateTime19 = dateTime17.minusYears(1);
//     int i20 = dateTime10.compareTo((org.joda.time.ReadableInstant)dateTime19);
//     org.joda.time.DateTime.Property property21 = dateTime10.dayOfWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
// 
//   }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(2, 58104, 0, 10, 1000, (org.joda.time.Chronology)iSOChronology5);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(58105, 52, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() {}
// Defects4J: flaky method
//   @Test
//   public void test092() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }
// 
// 
//     java.util.TimeZone timeZone6 = null;
//     org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forTimeZone(timeZone6);
//     java.lang.String str9 = dateTimeZone7.getShortName(10L);
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone7);
//     org.joda.time.Chronology chronology11 = null;
//     org.joda.time.DateTime dateTime12 = dateTime10.toDateTime(chronology11);
//     org.joda.time.DateTime dateTime14 = dateTime10.minusWeeks(0);
//     org.joda.time.LocalDate localDate15 = dateTime10.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType17 = localDate15.getFieldType(0);
//     org.joda.time.LocalDate localDate19 = localDate15.minusWeeks(0);
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     org.joda.time.Interval interval22 = localDate19.toInterval(dateTimeZone21);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(1000, 25, 29302, 29304, 213, 7, dateTimeZone21);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+00:00"+ "'", str9.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval22);
// 
//   }

  @Test
  public void test093() {}
// Defects4J: flaky method
//   @Test
//   public void test093() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i9 = partial6.getValue(52);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
// 
//   }

  @Test
  public void test094() {}
// Defects4J: flaky method
//   @Test
//   public void test094() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     java.util.Locale locale60 = null;
//     java.lang.String str61 = skipDateTimeField47.getAsShortText(52, locale60);
//     java.util.Locale locale64 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long65 = skipDateTimeField47.set((-259200000L), "+00:00", locale64);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str61 + "' != '" + "52"+ "'", str61.equals("52"));
// 
//   }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.joda.time.LocalDate localDate1 = new org.joda.time.LocalDate(6300223690102267L);
    int i2 = localDate1.getYear();
    int i3 = localDate1.size();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 201616);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);

  }

  @Test
  public void test096() {}
// Defects4J: flaky method
//   @Test
//   public void test096() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }
// 
// 
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.DateTime dateTime15 = dateTime9.toDateTime(dateTimeZone11);
//     java.lang.String str16 = dateTimeZone11.getID();
//     java.util.TimeZone timeZone17 = null;
//     org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forTimeZone(timeZone17);
//     java.lang.String str20 = dateTimeZone18.getShortName(10L);
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone18);
//     org.joda.time.Chronology chronology22 = null;
//     org.joda.time.DateTime dateTime23 = dateTime21.toDateTime(chronology22);
//     org.joda.time.DateTime dateTime25 = dateTime21.minusWeeks(0);
//     org.joda.time.DateTime dateTime26 = dateTime25.toDateTime();
//     boolean b28 = dateTime26.isEqual(10L);
//     org.joda.time.DateTime dateTime29 = dateTime26.withTimeAtStartOfDay();
//     int i30 = dateTimeZone11.getOffset((org.joda.time.ReadableInstant)dateTime29);
//     org.joda.time.chrono.BuddhistChronology buddhistChronology31 = org.joda.time.chrono.BuddhistChronology.getInstance(dateTimeZone11);
//     java.lang.String str32 = buddhistChronology31.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime33 = new org.joda.time.DateTime(0, 201616, 25, 2016, 2016, (org.joda.time.Chronology)buddhistChronology31);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "PST"+ "'", str16.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+00:00"+ "'", str20.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(buddhistChronology31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str32 + "' != '" + "BuddhistChronology[PST]"+ "'", str32.equals("BuddhistChronology[PST]"));
// 
//   }

  @Test
  public void test097() {}
// Defects4J: flaky method
//   @Test
//   public void test097() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate19 = localDate13.withWeekOfWeekyear(1439);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
// 
//   }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    int i2 = gregorianChronology0.getMinimumDaysInFirstWeek();
    // The following exception was thrown during execution in test generation
    try {
      long long10 = gregorianChronology0.getDateTimeMillis(10, 25, 58105, 29303, 213, 2016, 58104);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test099() {}
// Defects4J: flaky method
//   @Test
//   public void test099() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str1 = iSOChronology0.toString();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.Interval interval25 = localDate21.toInterval();
//     boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i28 = localDate21.getValue(2015);
//       org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
//     } catch (java.lang.IndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[PST]"+ "'", str1.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
// 
//   }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(29303361, 213);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.parse("21", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() {}
// Defects4J: flaky method
//   @Test
//   public void test102() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.DateTime dateTime22 = dateTime8.withFields((org.joda.time.ReadablePartial)localDate19);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str24 = localDate19.toString("BuddhistChronology[PST]");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
// 
//   }

  @Test
  public void test103() {}
// Defects4J: flaky method
//   @Test
//   public void test103() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str1 = iSOChronology0.toString();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.Interval interval25 = localDate21.toInterval();
//     boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
//     org.joda.time.DateTime dateTime27 = localDate21.toDateTimeAtStartOfDay();
//     int i28 = dateTime27.getYearOfCentury();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[PST]"+ "'", str1.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 16);
// 
//   }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    int i0 = org.joda.time.chrono.CopticChronology.AM;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test105() {}
// Defects4J: flaky method
//   @Test
//   public void test105() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b21 = unsupportedDateTimeField18.isLeap(6300223690080000L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
// 
//   }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "ISOChronology[America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() {}
// Defects4J: flaky method
//   @Test
//   public void test107() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str1 = iSOChronology0.toString();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.Interval interval25 = localDate21.toInterval();
//     boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
//     java.util.TimeZone timeZone27 = null;
//     org.joda.time.DateTimeZone dateTimeZone28 = org.joda.time.DateTimeZone.forTimeZone(timeZone27);
//     java.lang.String str30 = dateTimeZone28.getShortName(10L);
//     org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone28);
//     org.joda.time.chrono.JulianChronology julianChronology32 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone28);
//     org.joda.time.Partial partial33 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology32);
//     java.lang.String str34 = partial33.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = null;
//     int i36 = partial33.indexOf(dateTimeFieldType35);
//     java.lang.String str37 = partial33.toString();
//     int i38 = partial33.size();
//     java.util.TimeZone timeZone39 = null;
//     org.joda.time.DateTimeZone dateTimeZone40 = org.joda.time.DateTimeZone.forTimeZone(timeZone39);
//     java.lang.String str42 = dateTimeZone40.getShortName(10L);
//     org.joda.time.DateTime dateTime43 = new org.joda.time.DateTime(dateTimeZone40);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.DateTime dateTime49 = dateTime43.toDateTime(dateTimeZone45);
//     org.joda.time.DateTime dateTime50 = partial33.toDateTime((org.joda.time.ReadableInstant)dateTime43);
//     org.joda.time.LocalTime localTime51 = dateTime50.toLocalTime();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i52 = localDate21.compareTo((org.joda.time.ReadablePartial)localTime51);
//       org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
//     } catch (java.lang.ClassCastException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[PST]"+ "'", str1.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "+00:00"+ "'", str30.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "[]"+ "'", str34.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i36 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str37 + "' != '" + "[]"+ "'", str37.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str42 + "' != '" + "+00:00"+ "'", str42.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime51);
// 
//   }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test109() {}
// Defects4J: flaky method
//   @Test
//   public void test109() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     org.joda.time.DateTime dateTime12 = dateTime8.minusWeeks(0);
//     org.joda.time.LocalDate localDate13 = dateTime8.toLocalDate();
//     org.joda.time.LocalDate.Property property14 = localDate13.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod15 = null;
//     org.joda.time.LocalDate localDate16 = localDate13.minus(readablePeriod15);
//     java.util.TimeZone timeZone17 = null;
//     org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forTimeZone(timeZone17);
//     java.lang.String str20 = dateTimeZone18.getShortName(10L);
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone18);
//     org.joda.time.Chronology chronology22 = null;
//     org.joda.time.DateTime dateTime23 = dateTime21.toDateTime(chronology22);
//     org.joda.time.DateTime dateTime25 = dateTime21.minusWeeks(0);
//     org.joda.time.LocalDate localDate26 = dateTime21.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType28 = localDate26.getFieldType(0);
//     org.joda.time.LocalDate localDate30 = localDate26.minusWeeks(0);
//     java.util.TimeZone timeZone31 = null;
//     org.joda.time.DateTimeZone dateTimeZone32 = org.joda.time.DateTimeZone.forTimeZone(timeZone31);
//     org.joda.time.Interval interval33 = localDate30.toInterval(dateTimeZone32);
//     int i34 = localDate30.getMonthOfYear();
//     int i35 = localDate30.getWeekOfWeekyear();
//     java.util.TimeZone timeZone36 = null;
//     org.joda.time.DateTimeZone dateTimeZone37 = org.joda.time.DateTimeZone.forTimeZone(timeZone36);
//     java.lang.String str39 = dateTimeZone37.getShortName(10L);
//     org.joda.time.DateTime dateTime40 = new org.joda.time.DateTime(dateTimeZone37);
//     org.joda.time.Chronology chronology41 = null;
//     org.joda.time.DateTime dateTime42 = dateTime40.toDateTime(chronology41);
//     org.joda.time.DateTime dateTime44 = dateTime40.minusWeeks(0);
//     org.joda.time.LocalDate localDate45 = dateTime40.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType47 = localDate45.getFieldType(0);
//     int i48 = localDate30.get(dateTimeFieldType47);
//     java.util.TimeZone timeZone50 = null;
//     org.joda.time.DateTimeZone dateTimeZone51 = org.joda.time.DateTimeZone.forTimeZone(timeZone50);
//     java.lang.String str53 = dateTimeZone51.getShortName(10L);
//     org.joda.time.DateTime dateTime54 = new org.joda.time.DateTime(dateTimeZone51);
//     org.joda.time.chrono.CopticChronology copticChronology55 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone51);
//     org.joda.time.Partial partial56 = new org.joda.time.Partial(dateTimeFieldType47, 1000, (org.joda.time.Chronology)copticChronology55);
//     boolean b57 = localDate13.isSupported(dateTimeFieldType47);
//     org.joda.time.LocalDate localDate59 = localDate13.minusDays(0);
//     java.util.TimeZone timeZone61 = null;
//     org.joda.time.DateTimeZone dateTimeZone62 = org.joda.time.DateTimeZone.forTimeZone(timeZone61);
//     java.lang.String str64 = dateTimeZone62.getShortName(10L);
//     org.joda.time.DateTime dateTime65 = new org.joda.time.DateTime(dateTimeZone62);
//     org.joda.time.chrono.JulianChronology julianChronology66 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone62);
//     org.joda.time.Partial partial67 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology66);
//     java.lang.String str68 = partial67.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType69 = null;
//     int i70 = partial67.indexOf(dateTimeFieldType69);
//     java.lang.String str71 = partial67.toString();
//     int[] i_array72 = partial67.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array74 = offsetDateTimeField3.add((org.joda.time.ReadablePartial)localDate13, 100, i_array72, (-1));
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+00:00"+ "'", str20.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i35 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str39 + "' != '" + "+00:00"+ "'", str39.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str53 + "' != '" + "+00:00"+ "'", str53.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b57 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str64 + "' != '" + "+00:00"+ "'", str64.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str68 + "' != '" + "[]"+ "'", str68.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str71 + "' != '" + "[]"+ "'", str71.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array72);
// 
//   }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(0, 213, 203055, 0, 3);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() {}
// Defects4J: flaky method
//   @Test
//   public void test111() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.lang.String str10 = partial6.toString();
//     int i11 = partial6.size();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     java.util.TimeZone timeZone17 = null;
//     org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forTimeZone(timeZone17);
//     java.lang.String str20 = dateTimeZone18.getShortName(10L);
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone18);
//     org.joda.time.DateTime dateTime22 = dateTime16.toDateTime(dateTimeZone18);
//     org.joda.time.DateTime dateTime23 = partial6.toDateTime((org.joda.time.ReadableInstant)dateTime16);
//     org.joda.time.LocalTime localTime24 = dateTime23.toLocalTime();
//     org.joda.time.DateTime dateTime27 = dateTime23.withDurationAdded(4881176L, 29299);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+00:00"+ "'", str20.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
// 
//   }

  @Test
  public void test112() {}
// Defects4J: flaky method
//   @Test
//   public void test112() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.ReadablePartial readablePartial19 = null;
//     java.util.Locale locale20 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str21 = unsupportedDateTimeField18.getAsText(readablePartial19, locale20);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
// 
//   }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0, 29299, 29302);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() {}
// Defects4J: flaky method
//   @Test
//   public void test114() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long21 = unsupportedDurationField15.add(28800000L, (-15551999999999L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
// 
//   }

  @Test
  public void test115() {}
// Defects4J: flaky method
//   @Test
//   public void test115() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     java.util.Locale locale20 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i21 = unsupportedDateTimeField18.getMaximumShortTextLength(locale20);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
// 
//   }

  @Test
  public void test116() {}
// Defects4J: flaky method
//   @Test
//   public void test116() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.minus(readableDuration16);
//     org.joda.time.Instant instant18 = new org.joda.time.Instant((java.lang.Object)dateTime11);
//     boolean b19 = dateTime6.isEqual((org.joda.time.ReadableInstant)instant18);
//     org.joda.time.Instant instant21 = instant18.withMillis(1L);
//     org.joda.time.Instant instant24 = instant21.withDurationAdded(6300223690102267L, 7);
//     org.joda.time.Instant instant26 = instant21.plus((-57160588L));
//     org.joda.time.Instant instant27 = new org.joda.time.Instant((java.lang.Object)instant21);
//     org.joda.time.DateTime dateTime28 = instant21.toDateTime();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime30 = dateTime28.withMinuteOfHour(29303361);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
// 
//   }

  @Test
  public void test117() {}
// Defects4J: flaky method
//   @Test
//   public void test117() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     org.joda.time.Chronology chronology7 = dateTime4.getChronology();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology7);
// 
//   }

  @Test
  public void test118() {}
// Defects4J: flaky method
//   @Test
//   public void test118() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.LocalDateTime localDateTime4 = null;
//     boolean b5 = dateTimeZone1.isLocalDateTimeGap(localDateTime4);
//     java.util.Locale locale7 = null;
//     java.lang.String str8 = dateTimeZone1.getName(1L, locale7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b5 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
// 
//   }

  @Test
  public void test119() {}
// Defects4J: flaky method
//   @Test
//   public void test119() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i19 = unsupportedDateTimeField18.getMaximumValue();
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
// 
//   }

  @Test
  public void test120() {}
// Defects4J: flaky method
//   @Test
//   public void test120() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone2);
//     java.lang.String str7 = zonedChronology6.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long13 = zonedChronology6.getDateTimeMillis((-230400000L), (-52600807), 2016, (-28800000), 100);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "ZonedChronology[ISOChronology[UTC], PST]"+ "'", str7.equals("ZonedChronology[ISOChronology[UTC], PST]"));
// 
//   }

  @Test
  public void test121() {}
// Defects4J: flaky method
//   @Test
//   public void test121() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInterval)interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology17);
// 
//   }

  @Test
  public void test122() {}
// Defects4J: flaky method
//   @Test
//   public void test122() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i11 = localDate9.getValue(203055);
//       org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
//     } catch (java.lang.IndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
// 
//   }

  @Test
  public void test123() {}
// Defects4J: flaky method
//   @Test
//   public void test123() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i21 = unsupportedDateTimeField18.getMinimumValue((-85960588L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
// 
//   }

  @Test
  public void test124() {}
// Defects4J: flaky method
//   @Test
//   public void test124() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.LocalDate.Property property10 = localDate9.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.LocalDate localDate12 = localDate9.minus(readablePeriod11);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter13 = null;
//     java.lang.String str14 = localDate12.toString(dateTimeFormatter13);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     org.joda.time.DateTime dateTime17 = localDate12.toDateTimeAtCurrentTime(dateTimeZone16);
//     boolean b18 = dateTime17.isEqualNow();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21"+ "'", str14.equals("2016-02-21"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == true);
// 
//   }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Instant instant2 = org.joda.time.Instant.parse("America/Los_Angeles", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() {}
// Defects4J: flaky method
//   @Test
//   public void test126() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.ReadablePartial readablePartial20 = null;
//     java.util.Locale locale21 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str22 = unsupportedDateTimeField18.getAsText(readablePartial20, locale21);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
// 
//   }

  @Test
  public void test127() {}
// Defects4J: flaky method
//   @Test
//   public void test127() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     boolean b11 = dateTime9.isEqual(10L);
//     org.joda.time.DateTime dateTime12 = dateTime9.withTimeAtStartOfDay();
//     int i13 = dateTime9.getWeekOfWeekyear();
//     org.joda.time.DateTime.Property property14 = dateTime9.hourOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
// 
//   }

  @Test
  public void test128() {}
// Defects4J: flaky method
//   @Test
//   public void test128() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long22 = unsupportedDateTimeField18.add(12708020419702267L, 0);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
// 
//   }

  @Test
  public void test129() {}
// Defects4J: flaky method
//   @Test
//   public void test129() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }
// 
// 
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology11 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone8);
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     int i22 = localDate21.getDayOfMonth();
//     org.joda.time.LocalDate.Property property23 = localDate21.yearOfEra();
//     boolean b24 = gJChronology11.equals((java.lang.Object)localDate21);
//     org.joda.time.Instant instant25 = gJChronology11.getGregorianCutover();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime((-28800000), 0, 0, 58107, 2, 8, 29303, (org.joda.time.Chronology)gJChronology11);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant25);
// 
//   }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = org.joda.time.LocalDate.parse("JulianChronology[PST]", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() {}
// Defects4J: flaky method
//   @Test
//   public void test131() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.DateTime dateTime10 = dateTime4.toDateTime(dateTimeZone6);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime12 = dateTime4.withHourOfDay(203055);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
// 
//   }

  @Test
  public void test132() {}
// Defects4J: flaky method
//   @Test
//   public void test132() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }
// 
// 
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = dateTime5.toDateTime(chronology6);
//     org.joda.time.DateTime dateTime9 = dateTime5.minusWeeks(0);
//     org.joda.time.LocalDate localDate10 = dateTime5.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType12 = localDate10.getFieldType(0);
//     org.joda.time.LocalDate localDate14 = localDate10.minusWeeks(0);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     org.joda.time.Interval interval17 = localDate14.toInterval(dateTimeZone16);
//     int i18 = localDate14.getMonthOfYear();
//     int i19 = localDate14.getWeekOfWeekyear();
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     java.lang.String str23 = dateTimeZone21.getShortName(10L);
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime24.toDateTime(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime24.minusWeeks(0);
//     org.joda.time.LocalDate localDate29 = dateTime24.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType31 = localDate29.getFieldType(0);
//     int i32 = localDate14.get(dateTimeFieldType31);
//     java.util.TimeZone timeZone34 = null;
//     org.joda.time.DateTimeZone dateTimeZone35 = org.joda.time.DateTimeZone.forTimeZone(timeZone34);
//     java.lang.String str37 = dateTimeZone35.getShortName(10L);
//     org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(dateTimeZone35);
//     org.joda.time.chrono.JulianChronology julianChronology39 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone35);
//     org.joda.time.DateTimeField dateTimeField40 = julianChronology39.minuteOfDay();
//     org.joda.time.Partial partial41 = new org.joda.time.Partial(dateTimeFieldType31, 29299, (org.joda.time.Chronology)julianChronology39);
//     org.joda.time.DateTimeField dateTimeField42 = julianChronology39.weekyear();
//     org.joda.time.LocalDate localDate43 = new org.joda.time.LocalDate((-259200000L), (org.joda.time.Chronology)julianChronology39);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate45 = localDate43.withMonthOfYear(29304);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+00:00"+ "'", str23.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str37 + "' != '" + "+00:00"+ "'", str37.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField42);
// 
//   }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = org.joda.time.LocalDate.parse("ISOChronology[America/Los_Angeles]", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() {}
// Defects4J: flaky method
//   @Test
//   public void test135() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     boolean b6 = offsetDateTimeField3.isLenient();
//     boolean b7 = offsetDateTimeField3.isLenient();
//     java.util.Locale locale10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long11 = offsetDateTimeField3.set((-28840588L), "BuddhistChronology[PST]", locale10);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
// 
//   }

  @Test
  public void test136() {}
// Defects4J: flaky method
//   @Test
//   public void test136() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i20 = unsupportedDateTimeField18.getMinimumValue();
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
// 
//   }

  @Test
  public void test137() {}
// Defects4J: flaky method
//   @Test
//   public void test137() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     org.joda.time.DateTimeFieldType dateTimeFieldType4 = offsetDateTimeField3.getType();
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology9 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone6);
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     int i20 = localDate19.getDayOfMonth();
//     org.joda.time.LocalDate.Property property21 = localDate19.yearOfEra();
//     boolean b22 = gJChronology9.equals((java.lang.Object)localDate19);
//     org.joda.time.LocalTime localTime23 = null;
//     java.util.TimeZone timeZone24 = null;
//     org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forTimeZone(timeZone24);
//     java.lang.String str27 = dateTimeZone25.getShortName(10L);
//     org.joda.time.DateTime dateTime28 = new org.joda.time.DateTime(dateTimeZone25);
//     org.joda.time.Chronology chronology29 = null;
//     org.joda.time.DateTime dateTime30 = dateTime28.toDateTime(chronology29);
//     org.joda.time.DateTime dateTime32 = dateTime28.minusWeeks(0);
//     org.joda.time.DateTime dateTime33 = dateTime32.toDateTime();
//     boolean b35 = dateTime33.isEqual(10L);
//     org.joda.time.DateTime dateTime36 = dateTime33.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration37 = null;
//     org.joda.time.DateTime dateTime38 = dateTime36.minus(readableDuration37);
//     java.util.TimeZone timeZone39 = null;
//     org.joda.time.DateTimeZone dateTimeZone40 = org.joda.time.DateTimeZone.forTimeZone(timeZone39);
//     org.joda.time.DateTime dateTime41 = dateTime38.withZoneRetainFields(dateTimeZone40);
//     org.joda.time.DateTime dateTime42 = localDate19.toDateTime(localTime23, dateTimeZone40);
//     int i43 = localDate19.getDayOfWeek();
//     java.util.TimeZone timeZone45 = null;
//     org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
//     java.lang.String str48 = dateTimeZone46.getShortName(10L);
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.chrono.JulianChronology julianChronology50 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone46);
//     org.joda.time.Partial partial51 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology50);
//     java.lang.String str52 = partial51.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType53 = null;
//     int i54 = partial51.indexOf(dateTimeFieldType53);
//     java.lang.String str55 = partial51.toString();
//     int[] i_array56 = partial51.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array58 = offsetDateTimeField3.addWrapPartial((org.joda.time.ReadablePartial)localDate19, 20, i_array56, 213);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str27 + "' != '" + "+00:00"+ "'", str27.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b35 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "+00:00"+ "'", str48.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str52 + "' != '" + "[]"+ "'", str52.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "[]"+ "'", str55.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array56);
// 
//   }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.ReadablePeriod readablePeriod2 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array4 = iSOChronology1.get(readablePeriod2, 2440588L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    long long2 = org.joda.time.field.FieldUtils.safeDivide(0L, (-15551999999999L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test140() {}
// Defects4J: flaky method
//   @Test
//   public void test140() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
//     java.util.TimeZone timeZone13 = null;
//     org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
//     java.lang.String str16 = dateTimeZone14.getShortName(10L);
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.chrono.JulianChronology julianChronology18 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone14);
//     org.joda.time.Partial partial19 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology18);
//     java.lang.String str20 = partial19.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = null;
//     int i22 = partial19.indexOf(dateTimeFieldType21);
//     java.lang.String str23 = partial19.toString();
//     int i24 = partial19.size();
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     java.lang.String str28 = dateTimeZone26.getShortName(10L);
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(dateTimeZone26);
//     org.joda.time.Chronology chronology30 = null;
//     org.joda.time.DateTime dateTime31 = dateTime29.toDateTime(chronology30);
//     org.joda.time.DateTime dateTime33 = dateTime29.minusWeeks(0);
//     org.joda.time.LocalDate localDate34 = dateTime29.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType36 = localDate34.getFieldType(0);
//     org.joda.time.Partial partial38 = partial19.with(dateTimeFieldType36, (-1));
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField39 = new org.joda.time.field.ZeroIsMaxDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField12, dateTimeFieldType36);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "[]"+ "'", str20.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "[]"+ "'", str23.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "+00:00"+ "'", str28.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial38);
// 
//   }

  @Test
  public void test141() {}
// Defects4J: flaky method
//   @Test
//   public void test141() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     org.joda.time.ReadablePartial readablePartial20 = null;
//     int[] i_array22 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array24 = unsupportedDateTimeField18.addWrapPartial(readablePartial20, 2, i_array22, 2015);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
// 
//   }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
    // The following exception was thrown during execution in test generation
    try {
      long long7 = gregorianChronology0.getDateTimeMillis(0, 203055, 29300, 1);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test143() {}
// Defects4J: flaky method
//   @Test
//   public void test143() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
//     int i14 = skipUndoDateTimeField12.get((-2440588L));
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.Chronology chronology20 = null;
//     org.joda.time.DateTime dateTime21 = dateTime19.toDateTime(chronology20);
//     org.joda.time.DateTime dateTime23 = dateTime19.minusWeeks(0);
//     org.joda.time.LocalDate localDate24 = dateTime19.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType26 = localDate24.getFieldType(0);
//     org.joda.time.LocalDate localDate28 = localDate24.minusWeeks(0);
//     java.util.TimeZone timeZone29 = null;
//     org.joda.time.DateTimeZone dateTimeZone30 = org.joda.time.DateTimeZone.forTimeZone(timeZone29);
//     org.joda.time.Interval interval31 = localDate28.toInterval(dateTimeZone30);
//     int i32 = localDate28.getMonthOfYear();
//     int i33 = localDate28.getWeekOfWeekyear();
//     java.util.TimeZone timeZone34 = null;
//     org.joda.time.DateTimeZone dateTimeZone35 = org.joda.time.DateTimeZone.forTimeZone(timeZone34);
//     java.lang.String str37 = dateTimeZone35.getShortName(10L);
//     org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(dateTimeZone35);
//     org.joda.time.Chronology chronology39 = null;
//     org.joda.time.DateTime dateTime40 = dateTime38.toDateTime(chronology39);
//     org.joda.time.DateTime dateTime42 = dateTime38.minusWeeks(0);
//     org.joda.time.LocalDate localDate43 = dateTime38.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType45 = localDate43.getFieldType(0);
//     int i46 = localDate28.get(dateTimeFieldType45);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField47 = new org.joda.time.field.ZeroIsMaxDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField12, dateTimeFieldType45);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 3409);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i33 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str37 + "' != '" + "+00:00"+ "'", str37.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i46 == 2016);
// 
//   }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(52, 52, 20, 4, 10, 2016);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(1000, 203055, 29299, 0, (-28800000), 1, 29303);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() {}
// Defects4J: flaky method
//   @Test
//   public void test146() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long20 = unsupportedDurationField15.getValueAsLong(6300223690080000L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
// 
//   }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1, (java.lang.Number)1.0d, (java.lang.Number)(-28840588L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField3.add(1L, 6300223690080000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test149() {}
// Defects4J: flaky method
//   @Test
//   public void test149() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone2);
//     org.joda.time.DateTimeField dateTimeField7 = zonedChronology6.halfdayOfDay();
//     org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.chrono.ZonedChronology zonedChronology14 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology8, dateTimeZone10);
//     java.lang.String str15 = zonedChronology14.toString();
//     org.joda.time.DurationField durationField16 = zonedChronology14.seconds();
//     org.joda.time.DateTimeFieldType dateTimeFieldType17 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.DividedDateTimeField dividedDateTimeField19 = new org.joda.time.field.DividedDateTimeField(dateTimeField7, durationField16, dateTimeFieldType17, 0);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "ZonedChronology[ISOChronology[UTC], PST]"+ "'", str15.equals("ZonedChronology[ISOChronology[UTC], PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField16);
// 
//   }

  @Test
  public void test150() {}
// Defects4J: flaky method
//   @Test
//   public void test150() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getSecondOfDay();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.Chronology chronology13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.toDateTime(chronology13);
//     org.joda.time.DateTime dateTime16 = dateTime12.minusWeeks(0);
//     int i17 = dateTime12.getDayOfYear();
//     org.joda.time.DateTime dateTime19 = dateTime12.withCenturyOfEra(2016);
//     org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)dateTime4, (org.joda.time.ReadableInstant)dateTime19);
//     boolean b22 = dateTime4.isAfter((-85960588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 58108);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == true);
// 
//   }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.DateTimeZone dateTimeZone3 = dateTimeZoneBuilder0.toDateTimeZone("PST", false);
    java.io.DataOutput dataOutput5 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("GregorianChronology[America/Los_Angeles]", dataOutput5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);

  }

  @Test
  public void test152() {}
// Defects4J: flaky method
//   @Test
//   public void test152() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     long long99 = offsetDateTimeField3.remainder((-85960588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long99 == 173239412L);
// 
//   }

  @Test
  public void test153() {}
// Defects4J: flaky method
//   @Test
//   public void test153() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i20 = unsupportedDateTimeField18.getMinimumValue();
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
// 
//   }

  @Test
  public void test154() {}
// Defects4J: flaky method
//   @Test
//   public void test154() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     int i59 = skipDateTimeField47.getMinimumValue();
//     java.util.TimeZone timeZone60 = null;
//     org.joda.time.DateTimeZone dateTimeZone61 = org.joda.time.DateTimeZone.forTimeZone(timeZone60);
//     java.lang.String str63 = dateTimeZone61.getShortName(10L);
//     org.joda.time.DateTime dateTime64 = new org.joda.time.DateTime(dateTimeZone61);
//     org.joda.time.Chronology chronology65 = null;
//     org.joda.time.DateTime dateTime66 = dateTime64.toDateTime(chronology65);
//     org.joda.time.DateTime dateTime68 = dateTime64.minusWeeks(0);
//     org.joda.time.LocalDate localDate69 = dateTime64.toLocalDate();
//     org.joda.time.LocalDate.Property property70 = localDate69.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod71 = null;
//     org.joda.time.LocalDate localDate72 = localDate69.minus(readablePeriod71);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter73 = null;
//     java.lang.String str74 = localDate72.toString(dateTimeFormatter73);
//     int[] i_array77 = new int[] { 0 };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array79 = skipDateTimeField47.addWrapPartial((org.joda.time.ReadablePartial)localDate72, 201616, i_array77, 10);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i59 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str63 + "' != '" + "+00:00"+ "'", str63.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "2016-02-21"+ "'", str74.equals("2016-02-21"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array77);
// 
//   }

  @Test
  public void test155() {}
// Defects4J: flaky method
//   @Test
//   public void test155() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     java.util.Locale locale9 = null;
//     java.util.Calendar calendar10 = dateTime8.toCalendar(locale9);
//     org.joda.time.DateTime dateTime12 = dateTime8.withMillisOfSecond(20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(calendar10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
// 
//   }

  @Test
  public void test156() {}
// Defects4J: flaky method
//   @Test
//   public void test156() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }
// 
// 
//     org.joda.time.chrono.BuddhistChronology buddhistChronology0 = org.joda.time.chrono.BuddhistChronology.getInstance();
//     java.lang.String str1 = buddhistChronology0.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(buddhistChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "BuddhistChronology[PST]"+ "'", str1.equals("BuddhistChronology[PST]"));
// 
//   }

  @Test
  public void test157() {}
// Defects4J: flaky method
//   @Test
//   public void test157() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long21 = unsupportedDateTimeField18.remainder(6300223690080000L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
// 
//   }

  @Test
  public void test158() {}
// Defects4J: flaky method
//   @Test
//   public void test158() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i21 = unsupportedDateTimeField18.getLeapAmount(4881176L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
// 
//   }

  @Test
  public void test159() {}
// Defects4J: flaky method
//   @Test
//   public void test159() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime4.minus(readableDuration9);
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear((-1));
//     java.util.TimeZone timeZone13 = null;
//     org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
//     java.lang.String str16 = dateTimeZone14.getShortName(10L);
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.DateTime dateTime19 = dateTime17.minusYears(1);
//     int i20 = dateTime10.compareTo((org.joda.time.ReadableInstant)dateTime19);
//     org.joda.time.DateTime.Property property21 = dateTime19.secondOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
// 
//   }

  @Test
  public void test160() {}
// Defects4J: flaky method
//   @Test
//   public void test160() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     java.util.TimeZone timeZone17 = null;
//     org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forTimeZone(timeZone17);
//     java.lang.String str20 = dateTimeZone18.getShortName(10L);
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone18);
//     org.joda.time.chrono.JulianChronology julianChronology22 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone18);
//     org.joda.time.Partial partial23 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology22);
//     java.lang.String str24 = partial23.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType25 = null;
//     int i26 = partial23.indexOf(dateTimeFieldType25);
//     java.lang.String str27 = partial23.toString();
//     int i28 = partial23.size();
//     java.util.TimeZone timeZone29 = null;
//     org.joda.time.DateTimeZone dateTimeZone30 = org.joda.time.DateTimeZone.forTimeZone(timeZone29);
//     java.lang.String str32 = dateTimeZone30.getShortName(10L);
//     org.joda.time.DateTime dateTime33 = new org.joda.time.DateTime(dateTimeZone30);
//     java.util.TimeZone timeZone34 = null;
//     org.joda.time.DateTimeZone dateTimeZone35 = org.joda.time.DateTimeZone.forTimeZone(timeZone34);
//     java.lang.String str37 = dateTimeZone35.getShortName(10L);
//     org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(dateTimeZone35);
//     org.joda.time.DateTime dateTime39 = dateTime33.toDateTime(dateTimeZone35);
//     org.joda.time.DateTime dateTime40 = partial23.toDateTime((org.joda.time.ReadableInstant)dateTime33);
//     org.joda.time.LocalTime localTime41 = dateTime40.toLocalTime();
//     org.joda.time.DateTime dateTime42 = localDate13.toDateTime(localTime41);
//     org.joda.time.DateTime dateTime44 = dateTime42.minusMonths(29304);
//     java.util.TimeZone timeZone45 = null;
//     org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
//     java.lang.String str48 = dateTimeZone46.getShortName(10L);
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.chrono.JulianChronology julianChronology50 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone46);
//     org.joda.time.Partial partial51 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology50);
//     java.lang.String str52 = partial51.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType53 = null;
//     int i54 = partial51.indexOf(dateTimeFieldType53);
//     java.lang.String str55 = partial51.toString();
//     int i56 = partial51.size();
//     java.util.TimeZone timeZone57 = null;
//     org.joda.time.DateTimeZone dateTimeZone58 = org.joda.time.DateTimeZone.forTimeZone(timeZone57);
//     java.lang.String str60 = dateTimeZone58.getShortName(10L);
//     org.joda.time.DateTime dateTime61 = new org.joda.time.DateTime(dateTimeZone58);
//     java.util.TimeZone timeZone62 = null;
//     org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeZone.forTimeZone(timeZone62);
//     java.lang.String str65 = dateTimeZone63.getShortName(10L);
//     org.joda.time.DateTime dateTime66 = new org.joda.time.DateTime(dateTimeZone63);
//     org.joda.time.DateTime dateTime67 = dateTime61.toDateTime(dateTimeZone63);
//     org.joda.time.DateTime dateTime68 = partial51.toDateTime((org.joda.time.ReadableInstant)dateTime61);
//     org.joda.time.LocalTime localTime69 = dateTime68.toLocalTime();
//     org.joda.time.Chronology chronology70 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)dateTime44, (org.joda.time.ReadableInstant)dateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+00:00"+ "'", str20.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "[]"+ "'", str24.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str27 + "' != '" + "[]"+ "'", str27.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str32 + "' != '" + "+00:00"+ "'", str32.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str37 + "' != '" + "+00:00"+ "'", str37.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "+00:00"+ "'", str48.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str52 + "' != '" + "[]"+ "'", str52.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "[]"+ "'", str55.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str60 + "' != '" + "+00:00"+ "'", str60.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str65 + "' != '" + "+00:00"+ "'", str65.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology70);
// 
//   }

  @Test
  public void test161() {}
// Defects4J: flaky method
//   @Test
//   public void test161() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     long long50 = skipDateTimeField47.set((-28840588L), 7);
//     long long53 = skipDateTimeField47.add(1L, (-259200000L));
//     org.joda.time.ReadablePartial readablePartial54 = null;
//     java.util.Locale locale55 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str56 = skipDateTimeField47.getAsShortText(readablePartial54, locale55);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long50 == (-85960588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long53 == (-15551999999999L));
// 
//   }

  @Test
  public void test162() {}
// Defects4J: flaky method
//   @Test
//   public void test162() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i21 = unsupportedDateTimeField18.get(28800000L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
// 
//   }

  @Test
  public void test163() {}
// Defects4J: flaky method
//   @Test
//   public void test163() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     boolean b11 = dateTime9.isEqual(10L);
//     org.joda.time.DateTime dateTime12 = dateTime9.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration13 = null;
//     org.joda.time.DateTime dateTime15 = dateTime12.withDurationAdded(readableDuration13, 29303);
//     int i16 = dateTime12.getMillisOfDay();
//     org.joda.time.DateTime.Property property17 = dateTime12.yearOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
// 
//   }

  @Test
  public void test164() {}
// Defects4J: flaky method
//   @Test
//   public void test164() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     int i12 = localDate9.getDayOfYear();
//     org.joda.time.LocalDate localDate14 = localDate9.withWeekyear(213);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.Chronology chronology20 = null;
//     org.joda.time.DateTime dateTime21 = dateTime19.toDateTime(chronology20);
//     org.joda.time.DateTime dateTime23 = dateTime19.minusWeeks(0);
//     org.joda.time.DateTime dateTime24 = dateTime23.toDateTime();
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     java.lang.String str28 = dateTimeZone26.getShortName(10L);
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(dateTimeZone26);
//     org.joda.time.Chronology chronology30 = null;
//     org.joda.time.DateTime dateTime31 = dateTime29.toDateTime(chronology30);
//     org.joda.time.DateTime dateTime33 = dateTime29.minusWeeks(0);
//     org.joda.time.LocalDate localDate34 = dateTime29.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType36 = localDate34.getFieldType(0);
//     org.joda.time.DateTime dateTime37 = dateTime23.withFields((org.joda.time.ReadablePartial)localDate34);
//     org.joda.time.Interval interval38 = localDate34.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.DateTime dateTime40 = localDate34.toDateTimeAtCurrentTime(dateTimeZone39);
//     org.joda.time.LocalDate localDate42 = localDate34.withYearOfCentury(4);
//     boolean b43 = localDate9.isEqual((org.joda.time.ReadablePartial)localDate42);
//     int i44 = localDate42.getYearOfCentury();
//     java.util.TimeZone timeZone45 = null;
//     org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
//     java.lang.String str48 = dateTimeZone46.getShortName(10L);
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.Chronology chronology50 = null;
//     org.joda.time.DateTime dateTime51 = dateTime49.toDateTime(chronology50);
//     org.joda.time.DateTime dateTime53 = dateTime49.minusWeeks(0);
//     org.joda.time.DateTime dateTime54 = dateTime53.toDateTime();
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     java.lang.String str58 = dateTimeZone56.getShortName(10L);
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(dateTimeZone56);
//     org.joda.time.Chronology chronology60 = null;
//     org.joda.time.DateTime dateTime61 = dateTime59.toDateTime(chronology60);
//     org.joda.time.DateTime dateTime63 = dateTime59.minusWeeks(0);
//     org.joda.time.LocalDate localDate64 = dateTime59.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType66 = localDate64.getFieldType(0);
//     org.joda.time.DateTime dateTime67 = dateTime53.withFields((org.joda.time.ReadablePartial)localDate64);
//     boolean b68 = localDate42.isAfter((org.joda.time.ReadablePartial)localDate64);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate70 = localDate64.withDayOfYear(0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "+00:00"+ "'", str28.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "+00:00"+ "'", str48.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+00:00"+ "'", str58.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b68 == false);
// 
//   }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField1.getValueAsLong(3124339639412L, (-259200000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      int i8 = unsupportedDurationField3.getValue(10L, (-85960588L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test167() {}
// Defects4J: flaky method
//   @Test
//   public void test167() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     java.lang.String str23 = dateTimeZone21.getShortName(10L);
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime24.toDateTime(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime24.minusWeeks(0);
//     org.joda.time.LocalDate localDate29 = dateTime24.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType31 = localDate29.getFieldType(0);
//     int i32 = localDate29.getDayOfYear();
//     org.joda.time.ReadablePeriod readablePeriod33 = null;
//     org.joda.time.LocalDate localDate34 = localDate29.minus(readablePeriod33);
//     int[] i_array37 = new int[] { 1 };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array39 = unsupportedDateTimeField18.addWrapField((org.joda.time.ReadablePartial)localDate34, 201616, i_array37, 213);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+00:00"+ "'", str23.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array37);
// 
//   }

  @Test
  public void test168() {}
// Defects4J: flaky method
//   @Test
//   public void test168() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     org.joda.time.LocalDate.Property property14 = localDate9.weekyear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
// 
//   }

  @Test
  public void test169() {}
// Defects4J: flaky method
//   @Test
//   public void test169() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     org.joda.time.DateTime dateTime20 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime22 = dateTime20.minusMillis(29299);
//     java.util.Locale locale23 = null;
//     java.util.Calendar calendar24 = dateTime20.toCalendar(locale23);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     java.lang.String str28 = dateTimeZone26.getShortName(10L);
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(dateTimeZone26);
//     org.joda.time.chrono.JulianChronology julianChronology30 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone26);
//     org.joda.time.Partial partial31 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology30);
//     java.lang.String str32 = partial31.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType33 = null;
//     int i34 = partial31.indexOf(dateTimeFieldType33);
//     org.joda.time.DateTime dateTime35 = dateTime20.withFields((org.joda.time.ReadablePartial)partial31);
//     int[] i_array37 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array39 = unsupportedDateTimeField18.set((org.joda.time.ReadablePartial)partial31, 8, i_array37, 58105);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(calendar24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "+00:00"+ "'", str28.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str32 + "' != '" + "[]"+ "'", str32.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
// 
//   }

  @Test
  public void test170() {}
// Defects4J: flaky method
//   @Test
//   public void test170() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getDurationField();
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     java.lang.String str23 = dateTimeZone21.getShortName(10L);
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime24.toDateTime(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime24.minusWeeks(0);
//     org.joda.time.DateTime dateTime29 = dateTime28.toDateTime();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     org.joda.time.DateTime dateTime42 = dateTime28.withFields((org.joda.time.ReadablePartial)localDate39);
//     org.joda.time.Interval interval43 = localDate39.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone44 = null;
//     org.joda.time.DateTime dateTime45 = localDate39.toDateTimeAtCurrentTime(dateTimeZone44);
//     int[] i_array47 = new int[] {  };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array49 = unsupportedDateTimeField18.set((org.joda.time.ReadablePartial)localDate39, 4, i_array47, 29302);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+00:00"+ "'", str23.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array47);
// 
//   }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(1, 10, 29303, (-1), 2016, 52);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    boolean b3 = unsupportedDurationField1.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.getValueAsLong(0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(29303361, 2015, 1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() {}
// Defects4J: flaky method
//   @Test
//   public void test174() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     int i12 = localDate9.getDayOfYear();
//     org.joda.time.LocalDate localDate14 = localDate9.withWeekyear(213);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.Chronology chronology20 = null;
//     org.joda.time.DateTime dateTime21 = dateTime19.toDateTime(chronology20);
//     org.joda.time.DateTime dateTime23 = dateTime19.minusWeeks(0);
//     org.joda.time.DateTime dateTime24 = dateTime23.toDateTime();
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     java.lang.String str28 = dateTimeZone26.getShortName(10L);
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(dateTimeZone26);
//     org.joda.time.Chronology chronology30 = null;
//     org.joda.time.DateTime dateTime31 = dateTime29.toDateTime(chronology30);
//     org.joda.time.DateTime dateTime33 = dateTime29.minusWeeks(0);
//     org.joda.time.LocalDate localDate34 = dateTime29.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType36 = localDate34.getFieldType(0);
//     org.joda.time.DateTime dateTime37 = dateTime23.withFields((org.joda.time.ReadablePartial)localDate34);
//     org.joda.time.Interval interval38 = localDate34.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.DateTime dateTime40 = localDate34.toDateTimeAtCurrentTime(dateTimeZone39);
//     org.joda.time.LocalDate localDate42 = localDate34.withYearOfCentury(4);
//     boolean b43 = localDate9.isEqual((org.joda.time.ReadablePartial)localDate42);
//     int i44 = localDate42.getYearOfCentury();
//     java.util.TimeZone timeZone45 = null;
//     org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
//     java.lang.String str48 = dateTimeZone46.getShortName(10L);
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.Chronology chronology50 = null;
//     org.joda.time.DateTime dateTime51 = dateTime49.toDateTime(chronology50);
//     org.joda.time.DateTime dateTime53 = dateTime49.minusWeeks(0);
//     org.joda.time.DateTime dateTime54 = dateTime53.toDateTime();
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     java.lang.String str58 = dateTimeZone56.getShortName(10L);
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(dateTimeZone56);
//     org.joda.time.Chronology chronology60 = null;
//     org.joda.time.DateTime dateTime61 = dateTime59.toDateTime(chronology60);
//     org.joda.time.DateTime dateTime63 = dateTime59.minusWeeks(0);
//     org.joda.time.LocalDate localDate64 = dateTime59.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType66 = localDate64.getFieldType(0);
//     org.joda.time.DateTime dateTime67 = dateTime53.withFields((org.joda.time.ReadablePartial)localDate64);
//     boolean b68 = localDate42.isAfter((org.joda.time.ReadablePartial)localDate64);
//     org.joda.time.LocalDate.Property property69 = localDate64.yearOfCentury();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "+00:00"+ "'", str28.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "+00:00"+ "'", str48.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+00:00"+ "'", str58.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b68 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property69);
// 
//   }

  @Test
  public void test175() {}
// Defects4J: flaky method
//   @Test
//   public void test175() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.Chronology chronology13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.toDateTime(chronology13);
//     org.joda.time.DateTime dateTime16 = dateTime12.minusWeeks(0);
//     org.joda.time.LocalDate localDate17 = dateTime12.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType19 = localDate17.getFieldType(0);
//     org.joda.time.LocalDate localDate21 = localDate17.minusWeeks(0);
//     int i22 = localDate17.getEra();
//     boolean b23 = partial6.isMatch((org.joda.time.ReadablePartial)localDate17);
//     org.joda.time.DateTime dateTime24 = localDate17.toDateTimeAtMidnight();
//     org.joda.time.DateTimeField[] dateTimeField_array25 = localDate17.getFields();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField_array25);
// 
//   }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.joda.time.chrono.GJChronology gJChronology6 = org.joda.time.chrono.GJChronology.getInstance();
    org.joda.time.DateTimeZone dateTimeZone7 = gJChronology6.getZone();
    org.joda.time.Instant instant8 = gJChronology6.getGregorianCutover();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(1, 58106, 173, 203055, 58107, 1439, (org.joda.time.Chronology)gJChronology6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);

  }

  @Test
  public void test177() {}
// Defects4J: flaky method
//   @Test
//   public void test177() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getDayOfWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 7);
// 
//   }

  @Test
  public void test178() {}
// Defects4J: flaky method
//   @Test
//   public void test178() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     long long61 = skipDateTimeField47.addWrapField((-2440588L), 1000);
//     org.joda.time.DurationField durationField62 = skipDateTimeField47.getLeapDurationField();
//     int i63 = skipDateTimeField47.getMaximumValue();
//     int i64 = skipDateTimeField47.getMaximumValue();
//     int i67 = skipDateTimeField47.getDifference((-259200000L), 3155789239412L);
//     java.lang.String str68 = skipDateTimeField47.getName();
//     int i70 = skipDateTimeField47.get(12708020419702267L);
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     org.joda.time.LocalDate localDate84 = localDate80.minusWeeks(0);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     org.joda.time.Interval interval87 = localDate84.toInterval(dateTimeZone86);
//     int i88 = localDate84.getMonthOfYear();
//     int i89 = localDate84.getWeekOfWeekyear();
//     int i90 = localDate84.getWeekyear();
//     org.joda.time.LocalDate.Property property91 = localDate84.dayOfYear();
//     java.util.Locale locale92 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str93 = skipDateTimeField47.getAsShortText((org.joda.time.ReadablePartial)localDate84, locale92);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == (-28840588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i63 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i67 == (-52600807));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str68 + "' != '" + "minuteOfDay"+ "'", str68.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 968);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval87);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i88 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i89 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i90 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property91);
// 
//   }

  @Test
  public void test179() {}
// Defects4J: flaky method
//   @Test
//   public void test179() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     org.joda.time.DateTime dateTime11 = dateTime8.withWeekOfWeekyear(7);
//     org.joda.time.DateTime dateTime13 = dateTime8.plusMinutes(0);
//     org.joda.time.DateTime.Property property14 = dateTime8.centuryOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
// 
//   }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Instant instant1 = org.joda.time.Instant.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Instant instant2 = org.joda.time.Instant.parse("", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() {}
// Defects4J: flaky method
//   @Test
//   public void test182() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long20 = unsupportedDurationField15.getMillis((-85960588L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
// 
//   }

  @Test
  public void test183() {}
// Defects4J: flaky method
//   @Test
//   public void test183() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField21 = unsupportedDateTimeField18.getDurationField();
//     java.util.TimeZone timeZone22 = null;
//     org.joda.time.DateTimeZone dateTimeZone23 = org.joda.time.DateTimeZone.forTimeZone(timeZone22);
//     java.lang.String str25 = dateTimeZone23.getShortName(10L);
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(dateTimeZone23);
//     org.joda.time.Chronology chronology27 = null;
//     org.joda.time.DateTime dateTime28 = dateTime26.toDateTime(chronology27);
//     org.joda.time.DateTime dateTime30 = dateTime26.minusWeeks(0);
//     org.joda.time.LocalDate localDate31 = dateTime26.toLocalDate();
//     org.joda.time.LocalDate.Property property32 = localDate31.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod33 = null;
//     org.joda.time.LocalDate localDate34 = localDate31.minus(readablePeriod33);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i35 = unsupportedDateTimeField18.getMaximumValue((org.joda.time.ReadablePartial)localDate34);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "+00:00"+ "'", str25.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
// 
//   }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("25");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() {}
// Defects4J: flaky method
//   @Test
//   public void test185() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     org.joda.time.Instant instant18 = gJChronology4.getGregorianCutover();
//     org.joda.time.Chronology chronology19 = gJChronology4.withUTC();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology19);
// 
//   }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = unsupportedDurationField1.getName();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(58108, 29303361);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() {}
// Defects4J: flaky method
//   @Test
//   public void test188() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
//     java.util.TimeZone timeZone13 = null;
//     org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
//     java.lang.String str16 = dateTimeZone14.getShortName(10L);
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.Chronology chronology18 = null;
//     org.joda.time.DateTime dateTime19 = dateTime17.toDateTime(chronology18);
//     org.joda.time.DateTime dateTime21 = dateTime17.minusWeeks(0);
//     org.joda.time.LocalDate localDate22 = dateTime17.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = localDate22.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType25 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField26 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType25);
//     org.joda.time.DurationFieldType durationFieldType27 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField28 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType27);
//     org.joda.time.DurationFieldType durationFieldType29 = unsupportedDurationField28.getType();
//     int i30 = unsupportedDurationField26.compareTo((org.joda.time.DurationField)unsupportedDurationField28);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField31 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType24, (org.joda.time.DurationField)unsupportedDurationField28);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField32 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType24);
//     java.lang.String str34 = offsetDateTimeField11.getAsShortText((-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "3409"+ "'", str34.equals("3409"));
// 
//   }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(201616, 7, 201616, 29303, 20, (-52600807));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() {}
// Defects4J: flaky method
//   @Test
//   public void test190() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     java.lang.String str24 = dateTimeZone22.getShortName(10L);
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone22);
//     org.joda.time.Chronology chronology26 = null;
//     org.joda.time.DateTime dateTime27 = dateTime25.toDateTime(chronology26);
//     org.joda.time.DateTime dateTime29 = dateTime25.minusWeeks(0);
//     org.joda.time.LocalDate localDate30 = dateTime25.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType32 = localDate30.getFieldType(0);
//     int i33 = localDate30.getDayOfYear();
//     org.joda.time.LocalDate localDate35 = localDate30.withWeekyear(213);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i36 = unsupportedDateTimeField18.getMaximumValue((org.joda.time.ReadablePartial)localDate30);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "+00:00"+ "'", str24.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i33 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
// 
//   }

  @Test
  public void test191() {}
// Defects4J: flaky method
//   @Test
//   public void test191() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = dateTime4.getChronology();
//     org.joda.time.DateTime dateTime7 = dateTime4.minusMillis(52);
//     boolean b8 = dateTime4.isEqualNow();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b8 == true);
// 
//   }

  @Test
  public void test192() {}
// Defects4J: flaky method
//   @Test
//   public void test192() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long21 = unsupportedDateTimeField18.remainder((-230400000L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
// 
//   }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    long long1 = org.joda.time.DateTimeUtils.toJulianDayNumber(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2440588L);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(10, 9, 0, 58104);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 19);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d1 = org.joda.time.DateTimeUtils.toJulianDay(6300223690080000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.535984317222223E7d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test197() {}
// Defects4J: flaky method
//   @Test
//   public void test197() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime14 = dateTime12.minusYears(1);
//     int i15 = dateTime12.getSecondOfDay();
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusYears(1);
//     int i23 = dateTime20.getSecondOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime20.plusMonths(100);
//     org.joda.time.chrono.LimitChronology limitChronology26 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology5, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime25);
//     org.joda.time.DateTime dateTime28 = dateTime12.withYearOfEra(29300);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime30 = dateTime28.withEra(19);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 58110);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 58110);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
// 
//   }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime((-28799990L));

  }

  @Test
  public void test199() {}
// Defects4J: flaky method
//   @Test
//   public void test199() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     int i59 = skipDateTimeField47.getMinimumValue();
//     java.util.Locale locale62 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long63 = skipDateTimeField47.set(12708020419702267L, "+00:00", locale62);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i59 == 1);
// 
//   }

  @Test
  public void test200() {}
// Defects4J: flaky method
//   @Test
//   public void test200() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime.Property property7 = dateTime4.dayOfWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property7);
// 
//   }

  @Test
  public void test201() {}
// Defects4J: flaky method
//   @Test
//   public void test201() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     org.joda.time.DateTimeField dateTimeField48 = copticChronology38.era();
//     org.joda.time.DurationField durationField49 = copticChronology38.hours();
//     org.joda.time.DurationField durationField50 = copticChronology38.hours();
//     org.joda.time.DateTimeField dateTimeField51 = copticChronology38.halfdayOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField51);
// 
//   }

  @Test
  public void test202() {}
// Defects4J: flaky method
//   @Test
//   public void test202() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
//     int i3 = gregorianChronology0.getMinimumDaysInFirstWeek();
//     org.joda.time.DurationField durationField4 = gregorianChronology0.weeks();
//     org.joda.time.DateTimeZone dateTimeZone5 = gregorianChronology0.getZone();
//     java.util.TimeZone timeZone6 = null;
//     org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forTimeZone(timeZone6);
//     java.lang.String str9 = dateTimeZone7.getShortName(10L);
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone7);
//     org.joda.time.Chronology chronology11 = null;
//     org.joda.time.DateTime dateTime12 = dateTime10.toDateTime(chronology11);
//     boolean b13 = dateTime12.isEqualNow();
//     org.joda.time.DateTime dateTime15 = dateTime12.withDayOfYear(10);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.chrono.GJChronology gJChronology17 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone5, (org.joda.time.ReadableInstant)dateTime12, 25);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+00:00"+ "'", str9.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
// 
//   }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.getMillis(7, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    long long1 = org.joda.time.DateTimeUtils.toJulianDayNumber((-107577849600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1195474L);

  }

  @Test
  public void test205() {}
// Defects4J: flaky method
//   @Test
//   public void test205() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getDurationField();
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     java.lang.String str23 = dateTimeZone21.getShortName(10L);
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime24.toDateTime(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime24.minusWeeks(0);
//     org.joda.time.DateTime dateTime29 = dateTime28.toDateTime();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     org.joda.time.DateTime dateTime42 = dateTime28.withFields((org.joda.time.ReadablePartial)localDate39);
//     java.util.TimeZone timeZone43 = null;
//     org.joda.time.DateTimeZone dateTimeZone44 = org.joda.time.DateTimeZone.forTimeZone(timeZone43);
//     java.lang.String str46 = dateTimeZone44.getShortName(10L);
//     org.joda.time.DateTime dateTime47 = new org.joda.time.DateTime(dateTimeZone44);
//     org.joda.time.chrono.JulianChronology julianChronology48 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone44);
//     org.joda.time.Partial partial49 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology48);
//     java.lang.String str50 = partial49.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType51 = null;
//     int i52 = partial49.indexOf(dateTimeFieldType51);
//     java.lang.String str53 = partial49.toString();
//     int i54 = partial49.size();
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     java.lang.String str58 = dateTimeZone56.getShortName(10L);
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(dateTimeZone56);
//     org.joda.time.Chronology chronology60 = null;
//     org.joda.time.DateTime dateTime61 = dateTime59.toDateTime(chronology60);
//     org.joda.time.DateTime dateTime63 = dateTime59.minusWeeks(0);
//     org.joda.time.LocalDate localDate64 = dateTime59.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType66 = localDate64.getFieldType(0);
//     org.joda.time.Partial partial68 = partial49.with(dateTimeFieldType66, (-1));
//     int[] i_array69 = partial49.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i70 = unsupportedDateTimeField18.getMaximumValue((org.joda.time.ReadablePartial)localDate39, i_array69);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+00:00"+ "'", str23.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str46 + "' != '" + "+00:00"+ "'", str46.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str50 + "' != '" + "[]"+ "'", str50.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i52 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str53 + "' != '" + "[]"+ "'", str53.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+00:00"+ "'", str58.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array69);
// 
//   }

  @Test
  public void test206() {}
// Defects4J: flaky method
//   @Test
//   public void test206() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.LocalDate localDate16 = dateTime11.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType18 = localDate16.getFieldType(0);
//     org.joda.time.LocalDate localDate20 = localDate16.minusWeeks(0);
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     org.joda.time.Interval interval23 = localDate20.toInterval(dateTimeZone22);
//     int i24 = localDate20.getMonthOfYear();
//     int i25 = localDate20.getWeekOfWeekyear();
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     java.lang.String str29 = dateTimeZone27.getShortName(10L);
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone27);
//     org.joda.time.Chronology chronology31 = null;
//     org.joda.time.DateTime dateTime32 = dateTime30.toDateTime(chronology31);
//     org.joda.time.DateTime dateTime34 = dateTime30.minusWeeks(0);
//     org.joda.time.LocalDate localDate35 = dateTime30.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = localDate35.getFieldType(0);
//     int i38 = localDate20.get(dateTimeFieldType37);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.Partial partial47 = new org.joda.time.Partial(dateTimeFieldType37, 29299, (org.joda.time.Chronology)julianChronology45);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType59 = localDate57.getFieldType(0);
//     org.joda.time.LocalDate localDate61 = localDate57.minusWeeks(0);
//     java.util.TimeZone timeZone62 = null;
//     org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeZone.forTimeZone(timeZone62);
//     org.joda.time.Interval interval64 = localDate61.toInterval(dateTimeZone63);
//     int i65 = localDate61.getMonthOfYear();
//     int i66 = localDate61.getWeekOfWeekyear();
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     java.lang.String str70 = dateTimeZone68.getShortName(10L);
//     org.joda.time.DateTime dateTime71 = new org.joda.time.DateTime(dateTimeZone68);
//     org.joda.time.Chronology chronology72 = null;
//     org.joda.time.DateTime dateTime73 = dateTime71.toDateTime(chronology72);
//     org.joda.time.DateTime dateTime75 = dateTime71.minusWeeks(0);
//     org.joda.time.LocalDate localDate76 = dateTime71.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType78 = localDate76.getFieldType(0);
//     int i79 = localDate61.get(dateTimeFieldType78);
//     java.util.TimeZone timeZone81 = null;
//     org.joda.time.DateTimeZone dateTimeZone82 = org.joda.time.DateTimeZone.forTimeZone(timeZone81);
//     java.lang.String str84 = dateTimeZone82.getShortName(10L);
//     org.joda.time.DateTime dateTime85 = new org.joda.time.DateTime(dateTimeZone82);
//     org.joda.time.chrono.CopticChronology copticChronology86 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone82);
//     org.joda.time.Partial partial87 = new org.joda.time.Partial(dateTimeFieldType78, 1000, (org.joda.time.Chronology)copticChronology86);
//     int i88 = partial47.indexOf(dateTimeFieldType78);
//     boolean b89 = dateTime6.isSupported(dateTimeFieldType78);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException91 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType78, "America/Los_Angeles");
//     org.joda.time.DurationFieldType durationFieldType92 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField93 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType92);
//     org.joda.time.DurationFieldType durationFieldType94 = unsupportedDurationField93.getType();
//     boolean b95 = unsupportedDurationField93.isPrecise();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField96 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType78, (org.joda.time.DurationField)unsupportedDurationField93);
//     org.joda.time.DurationField durationField97 = unsupportedDateTimeField96.getLeapDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b99 = unsupportedDateTimeField96.isLeap(1L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str29 + "' != '" + "+00:00"+ "'", str29.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str70 + "' != '" + "+00:00"+ "'", str70.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i79 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str84 + "' != '" + "+00:00"+ "'", str84.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i88 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b89 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField93);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType94);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b95 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField96);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField97);
// 
//   }

  @Test
  public void test207() {}
// Defects4J: flaky method
//   @Test
//   public void test207() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
//     java.lang.String str3 = gregorianChronology0.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long11 = gregorianChronology0.getDateTimeMillis(10, 2, 16, 2015, 20, 58104, 7);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "GregorianChronology[PST]"+ "'", str3.equals("GregorianChronology[PST]"));
// 
//   }

  @Test
  public void test208() {}
// Defects4J: flaky method
//   @Test
//   public void test208() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.util.Locale locale20 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str21 = unsupportedDateTimeField18.getAsShortText(0L, locale20);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
// 
//   }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.joda.time.DateTimeUtils.MillisProvider millisProvider0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeUtils.setCurrentMillisProvider(millisProvider0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1L), 2440588L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2440588));

  }

  @Test
  public void test211() {}
// Defects4J: flaky method
//   @Test
//   public void test211() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     org.joda.time.ReadableInterval readableInterval17 = org.joda.time.DateTimeUtils.getReadableInterval((org.joda.time.ReadableInterval)interval16);
//     org.joda.time.Chronology chronology18 = org.joda.time.DateTimeUtils.getIntervalChronology(readableInterval17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(readableInterval17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology18);
// 
//   }

  @Test
  public void test212() {}
// Defects4J: flaky method
//   @Test
//   public void test212() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     long long50 = skipDateTimeField47.set((-28840588L), 7);
//     long long53 = skipDateTimeField47.add(1L, (-259200000L));
//     org.joda.time.chrono.ISOChronology iSOChronology54 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str55 = iSOChronology54.toString();
//     java.util.TimeZone timeZone56 = null;
//     org.joda.time.DateTimeZone dateTimeZone57 = org.joda.time.DateTimeZone.forTimeZone(timeZone56);
//     java.lang.String str59 = dateTimeZone57.getShortName(10L);
//     org.joda.time.DateTime dateTime60 = new org.joda.time.DateTime(dateTimeZone57);
//     org.joda.time.Chronology chronology61 = null;
//     org.joda.time.DateTime dateTime62 = dateTime60.toDateTime(chronology61);
//     org.joda.time.DateTime dateTime64 = dateTime60.minusWeeks(0);
//     org.joda.time.DateTime dateTime65 = dateTime64.toDateTime();
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     java.lang.String str69 = dateTimeZone67.getShortName(10L);
//     org.joda.time.DateTime dateTime70 = new org.joda.time.DateTime(dateTimeZone67);
//     org.joda.time.Chronology chronology71 = null;
//     org.joda.time.DateTime dateTime72 = dateTime70.toDateTime(chronology71);
//     org.joda.time.DateTime dateTime74 = dateTime70.minusWeeks(0);
//     org.joda.time.LocalDate localDate75 = dateTime70.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType77 = localDate75.getFieldType(0);
//     org.joda.time.DateTime dateTime78 = dateTime64.withFields((org.joda.time.ReadablePartial)localDate75);
//     org.joda.time.Interval interval79 = localDate75.toInterval();
//     boolean b80 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology54, (java.lang.Object)localDate75);
//     org.joda.time.LocalDate localDate81 = new org.joda.time.LocalDate((org.joda.time.Chronology)iSOChronology54);
//     org.joda.time.LocalDate localDate83 = localDate81.withEra(0);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.JulianChronology julianChronology90 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology90);
//     java.lang.String str92 = partial91.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType93 = null;
//     int i94 = partial91.indexOf(dateTimeFieldType93);
//     java.lang.String str95 = partial91.toString();
//     int[] i_array96 = partial91.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array98 = skipDateTimeField47.add((org.joda.time.ReadablePartial)localDate81, 19, i_array96, 58109);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long50 == (-85960588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long53 == (-15551999999999L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "ISOChronology[PST]"+ "'", str55.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str59 + "' != '" + "+00:00"+ "'", str59.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str69 + "' != '" + "+00:00"+ "'", str69.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b80 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str92 + "' != '" + "[]"+ "'", str92.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i94 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str95 + "' != '" + "[]"+ "'", str95.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array96);
// 
//   }

  @Test
  public void test213() {}
// Defects4J: flaky method
//   @Test
//   public void test213() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     int i2 = gregorianChronology0.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone3 = null;
//     org.joda.time.DateTimeZone dateTimeZone4 = org.joda.time.DateTimeZone.forTimeZone(timeZone3);
//     java.lang.String str6 = dateTimeZone4.getShortName(10L);
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(dateTimeZone4);
//     org.joda.time.DateTime dateTime9 = dateTime7.minusYears(1);
//     int i10 = dateTime7.getSecondOfDay();
//     org.joda.time.DateTime dateTime12 = dateTime7.plusMonths(100);
//     org.joda.time.DateTimeZone dateTimeZone13 = dateTime12.getZone();
//     org.joda.time.Chronology chronology14 = gregorianChronology0.withZone(dateTimeZone13);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long22 = gregorianChronology0.getDateTimeMillis(58106, 20, 81, (-28800000), 29304, 8, 100);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str6 + "' != '" + "+00:00"+ "'", str6.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 58110);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology14);
// 
//   }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, (-52600807));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-52600807));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("America/Los_Angeles", 10, 2016, 0, ' ', 29303361, 213, 0, true, 29303361);
    java.io.OutputStream outputStream13 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("3409", outputStream13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);

  }

  @Test
  public void test216() {}
// Defects4J: flaky method
//   @Test
//   public void test216() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = dateTime4.getChronology();
//     org.joda.time.DateTime dateTime7 = dateTime4.minusMillis(52);
//     org.joda.time.ReadableInstant readableInstant8 = null;
//     boolean b9 = dateTime4.isAfter(readableInstant8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == false);
// 
//   }

  @Test
  public void test217() {}
// Defects4J: flaky method
//   @Test
//   public void test217() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.getDefault();
//     org.joda.time.DateTime dateTime6 = org.joda.time.DateTime.now(dateTimeZone5);
//     long long9 = dateTimeZone5.convertLocalToUTC((-28840588L), true);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(1439, 58109, 203055, (-292273615), (-1), dateTimeZone5);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == (-28840588L));
// 
//   }

  @Test
  public void test218() {}
// Defects4J: flaky method
//   @Test
//   public void test218() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.Partial partial23 = partial6.with(dateTimeFieldType21, 52);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str25 = partial6.toString("PST");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial23);
// 
//   }

  @Test
  public void test219() {}
// Defects4J: flaky method
//   @Test
//   public void test219() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getSecondOfDay();
//     org.joda.time.DateTime dateTime9 = dateTime4.plusMonths(100);
//     org.joda.time.DateTime.Property property10 = dateTime4.millisOfSecond();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 58110);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
// 
//   }

  @Test
  public void test220() {}
// Defects4J: flaky method
//   @Test
//   public void test220() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField98 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField97);
//     int i99 = remainderDateTimeField98.getMinimumValue();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i99 == 0);
// 
//   }

  @Test
  public void test221() {}
// Defects4J: flaky method
//   @Test
//   public void test221() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     boolean b11 = dateTime9.isEqual(10L);
//     org.joda.time.DateTime dateTime12 = dateTime9.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.minus(readableDuration13);
//     org.joda.time.Chronology chronology15 = dateTime12.getChronology();
//     org.joda.time.DateTime.Property property16 = dateTime12.dayOfYear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
// 
//   }

  @Test
  public void test222() {}
// Defects4J: flaky method
//   @Test
//   public void test222() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     long long61 = skipDateTimeField47.addWrapField((-2440588L), 1000);
//     org.joda.time.DurationField durationField62 = skipDateTimeField47.getLeapDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i65 = skipDateTimeField47.getDifference(6300223690102267L, 4881176L);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
//     } catch (java.lang.ArithmeticException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == (-28840588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField62);
// 
//   }

  @Test
  public void test223() {}
// Defects4J: flaky method
//   @Test
//   public void test223() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getSecondOfDay();
//     org.joda.time.DateTime dateTime9 = dateTime4.plusMonths(100);
//     org.joda.time.DateTime.Property property10 = dateTime9.weekyear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 58111);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
// 
//   }

  @Test
  public void test224() {}
// Defects4J: flaky method
//   @Test
//   public void test224() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     int i12 = localDate9.getDayOfYear();
//     org.joda.time.LocalDate localDate14 = localDate9.withWeekyear(213);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.Chronology chronology20 = null;
//     org.joda.time.DateTime dateTime21 = dateTime19.toDateTime(chronology20);
//     org.joda.time.DateTime dateTime23 = dateTime19.minusWeeks(0);
//     org.joda.time.DateTime dateTime24 = dateTime23.toDateTime();
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     java.lang.String str28 = dateTimeZone26.getShortName(10L);
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(dateTimeZone26);
//     org.joda.time.Chronology chronology30 = null;
//     org.joda.time.DateTime dateTime31 = dateTime29.toDateTime(chronology30);
//     org.joda.time.DateTime dateTime33 = dateTime29.minusWeeks(0);
//     org.joda.time.LocalDate localDate34 = dateTime29.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType36 = localDate34.getFieldType(0);
//     org.joda.time.DateTime dateTime37 = dateTime23.withFields((org.joda.time.ReadablePartial)localDate34);
//     org.joda.time.Interval interval38 = localDate34.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.DateTime dateTime40 = localDate34.toDateTimeAtCurrentTime(dateTimeZone39);
//     org.joda.time.LocalDate localDate42 = localDate34.withYearOfCentury(4);
//     boolean b43 = localDate9.isEqual((org.joda.time.ReadablePartial)localDate42);
//     int i44 = localDate42.getYearOfCentury();
//     java.util.TimeZone timeZone45 = null;
//     org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
//     java.lang.String str48 = dateTimeZone46.getShortName(10L);
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.Chronology chronology50 = null;
//     org.joda.time.DateTime dateTime51 = dateTime49.toDateTime(chronology50);
//     org.joda.time.DateTime dateTime53 = dateTime49.minusWeeks(0);
//     org.joda.time.DateTime dateTime54 = dateTime53.toDateTime();
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     java.lang.String str58 = dateTimeZone56.getShortName(10L);
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(dateTimeZone56);
//     org.joda.time.Chronology chronology60 = null;
//     org.joda.time.DateTime dateTime61 = dateTime59.toDateTime(chronology60);
//     org.joda.time.DateTime dateTime63 = dateTime59.minusWeeks(0);
//     org.joda.time.LocalDate localDate64 = dateTime59.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType66 = localDate64.getFieldType(0);
//     org.joda.time.DateTime dateTime67 = dateTime53.withFields((org.joda.time.ReadablePartial)localDate64);
//     boolean b68 = localDate42.isAfter((org.joda.time.ReadablePartial)localDate64);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate69 = new org.joda.time.LocalDate((java.lang.Object)b68);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "+00:00"+ "'", str28.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "+00:00"+ "'", str48.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+00:00"+ "'", str58.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b68 == false);
// 
//   }

  @Test
  public void test225() {}
// Defects4J: flaky method
//   @Test
//   public void test225() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     long long61 = skipDateTimeField47.addWrapField((-2440588L), 1000);
//     java.util.Locale locale63 = null;
//     java.lang.String str64 = skipDateTimeField47.getAsShortText(2440588L, locale63);
//     org.joda.time.chrono.ISOChronology iSOChronology65 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str66 = iSOChronology65.toString();
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     java.lang.String str70 = dateTimeZone68.getShortName(10L);
//     org.joda.time.DateTime dateTime71 = new org.joda.time.DateTime(dateTimeZone68);
//     org.joda.time.Chronology chronology72 = null;
//     org.joda.time.DateTime dateTime73 = dateTime71.toDateTime(chronology72);
//     org.joda.time.DateTime dateTime75 = dateTime71.minusWeeks(0);
//     org.joda.time.DateTime dateTime76 = dateTime75.toDateTime();
//     java.util.TimeZone timeZone77 = null;
//     org.joda.time.DateTimeZone dateTimeZone78 = org.joda.time.DateTimeZone.forTimeZone(timeZone77);
//     java.lang.String str80 = dateTimeZone78.getShortName(10L);
//     org.joda.time.DateTime dateTime81 = new org.joda.time.DateTime(dateTimeZone78);
//     org.joda.time.Chronology chronology82 = null;
//     org.joda.time.DateTime dateTime83 = dateTime81.toDateTime(chronology82);
//     org.joda.time.DateTime dateTime85 = dateTime81.minusWeeks(0);
//     org.joda.time.LocalDate localDate86 = dateTime81.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType88 = localDate86.getFieldType(0);
//     org.joda.time.DateTime dateTime89 = dateTime75.withFields((org.joda.time.ReadablePartial)localDate86);
//     org.joda.time.Interval interval90 = localDate86.toInterval();
//     boolean b91 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology65, (java.lang.Object)localDate86);
//     java.util.Locale locale92 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str93 = skipDateTimeField47.getAsText((org.joda.time.ReadablePartial)localDate86, locale92);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == (-28840588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str64 + "' != '" + "40"+ "'", str64.equals("40"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str66 + "' != '" + "ISOChronology[PST]"+ "'", str66.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str70 + "' != '" + "+00:00"+ "'", str70.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str80 + "' != '" + "+00:00"+ "'", str80.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b91 == false);
// 
//   }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    java.io.File file0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider(file0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() {}
// Defects4J: flaky method
//   @Test
//   public void test227() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     boolean b6 = offsetDateTimeField3.isLenient();
//     boolean b7 = offsetDateTimeField3.isLenient();
//     int i9 = offsetDateTimeField3.getMinimumValue((-1L));
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.chrono.JulianChronology julianChronology15 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone11);
//     org.joda.time.Partial partial16 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology15);
//     java.lang.String str17 = partial16.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType18 = null;
//     int i19 = partial16.indexOf(dateTimeFieldType18);
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     java.lang.String str23 = dateTimeZone21.getShortName(10L);
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime24.toDateTime(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime24.minusWeeks(0);
//     org.joda.time.LocalDate localDate29 = dateTime24.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType31 = localDate29.getFieldType(0);
//     org.joda.time.Partial partial33 = partial16.with(dateTimeFieldType31, 52);
//     boolean b34 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)partial33);
//     java.util.Locale locale35 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str36 = offsetDateTimeField3.getAsShortText((org.joda.time.ReadablePartial)partial33, locale35);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-292273615));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str17 + "' != '" + "[]"+ "'", str17.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+00:00"+ "'", str23.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b34 == true);
// 
//   }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    java.io.OutputStream outputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("21", outputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() {}
// Defects4J: flaky method
//   @Test
//   public void test229() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long15 = offsetDateTimeField11.set((-100L), "2016-02-21");
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
// 
//   }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.joda.time.LocalDate localDate1 = new org.joda.time.LocalDate(0L);

  }

  @Test
  public void test231() {}
// Defects4J: flaky method
//   @Test
//   public void test231() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.LocalDate.Property property10 = localDate9.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.LocalDate localDate12 = localDate9.minus(readablePeriod11);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter13 = null;
//     java.lang.String str14 = localDate12.toString(dateTimeFormatter13);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     org.joda.time.DateTime dateTime17 = localDate12.toDateTimeAtCurrentTime(dateTimeZone16);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate19 = localDate12.withEra(3);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21"+ "'", str14.equals("2016-02-21"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
// 
//   }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.DateTimeZone dateTimeZone3 = dateTimeZoneBuilder0.toDateTimeZone("PST", false);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder6 = dateTimeZoneBuilder0.setFixedSavings("BuddhistChronology[PST]", 0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder6.addCutover(173, '#', 58110, (-3), 20, true, 9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder6);

  }

  @Test
  public void test233() {}
// Defects4J: flaky method
//   @Test
//   public void test233() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     boolean b6 = offsetDateTimeField3.isLenient();
//     int i8 = offsetDateTimeField3.get(6300223690080000L);
//     java.lang.String str10 = offsetDateTimeField3.getAsShortText((-2440588L));
//     long long13 = offsetDateTimeField3.add(3155789239412L, (-1L));
//     java.lang.String str15 = offsetDateTimeField3.getAsText(12708020419702267L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 203055);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "3409"+ "'", str10.equals("3409"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 3124339639412L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "406110"+ "'", str15.equals("406110"));
// 
//   }

  @Test
  public void test234() {}
// Defects4J: flaky method
//   @Test
//   public void test234() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone2);
//     java.lang.String str7 = zonedChronology6.toString();
//     org.joda.time.DurationField durationField8 = zonedChronology6.seconds();
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology13 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone10);
//     boolean b14 = zonedChronology6.equals((java.lang.Object)gJChronology13);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.Chronology chronology20 = null;
//     org.joda.time.DateTime dateTime21 = dateTime19.toDateTime(chronology20);
//     org.joda.time.DateTime dateTime23 = dateTime19.minusWeeks(0);
//     org.joda.time.LocalDate localDate24 = dateTime19.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType26 = localDate24.getFieldType(0);
//     org.joda.time.LocalDate localDate28 = localDate24.minusWeeks(0);
//     java.util.TimeZone timeZone29 = null;
//     org.joda.time.DateTimeZone dateTimeZone30 = org.joda.time.DateTimeZone.forTimeZone(timeZone29);
//     org.joda.time.Interval interval31 = localDate28.toInterval(dateTimeZone30);
//     long long34 = dateTimeZone30.adjustOffset(1L, true);
//     org.joda.time.LocalDate localDate35 = org.joda.time.LocalDate.now(dateTimeZone30);
//     org.joda.time.chrono.CopticChronology copticChronology36 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone30);
//     boolean b37 = zonedChronology6.equals((java.lang.Object)copticChronology36);
//     org.joda.time.DateTimeField dateTimeField38 = zonedChronology6.centuryOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "ZonedChronology[ISOChronology[UTC], PST]"+ "'", str7.equals("ZonedChronology[ISOChronology[UTC], PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long34 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b37 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
// 
//   }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("ISOChronology[PST]", (java.lang.Number)3409, (java.lang.Number)21, (java.lang.Number)(-230400000L));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
    org.joda.time.DurationField durationField4 = offsetDateTimeField3.getRangeDurationField();
    long long7 = offsetDateTimeField3.getDifferenceAsLong(4881176L, (-230400000L));
    java.util.Locale locale8 = null;
    int i9 = offsetDateTimeField3.getMaximumShortTextLength(locale8);
    // The following exception was thrown during execution in test generation
    try {
      long long12 = offsetDateTimeField3.add(3124137600000L, 12708020419702267L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 9);

  }

  @Test
  public void test237() {}
// Defects4J: flaky method
//   @Test
//   public void test237() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone2);
//     java.lang.String str7 = zonedChronology6.toString();
//     java.lang.String str8 = zonedChronology6.toString();
//     org.joda.time.DurationField durationField9 = zonedChronology6.years();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long15 = zonedChronology6.getDateTimeMillis((-85960588L), 19, 213, 21, 968);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "ZonedChronology[ISOChronology[UTC], PST]"+ "'", str7.equals("ZonedChronology[ISOChronology[UTC], PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "ZonedChronology[ISOChronology[UTC], PST]"+ "'", str8.equals("ZonedChronology[ISOChronology[UTC], PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField9);
// 
//   }

  @Test
  public void test238() {}
// Defects4J: flaky method
//   @Test
//   public void test238() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.LocalDate.Property property10 = localDate9.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.LocalDate localDate12 = localDate9.minus(readablePeriod11);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter13 = null;
//     java.lang.String str14 = localDate12.toString(dateTimeFormatter13);
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     org.joda.time.DateTime dateTime17 = localDate12.toDateTimeAtCurrentTime(dateTimeZone16);
//     java.lang.String str19 = dateTimeZone16.getShortName(1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21"+ "'", str14.equals("2016-02-21"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
// 
//   }

  @Test
  public void test239() {}
// Defects4J: flaky method
//   @Test
//   public void test239() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     org.joda.time.Interval interval14 = localDate13.toInterval();
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.chrono.JulianChronology julianChronology20 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone16);
//     org.joda.time.Partial partial21 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology20);
//     java.lang.String str22 = partial21.toString();
//     int[] i_array23 = partial21.getValues();
//     org.joda.time.ReadablePeriod readablePeriod24 = null;
//     org.joda.time.Partial partial25 = partial21.plus(readablePeriod24);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i26 = localDate13.compareTo((org.joda.time.ReadablePartial)partial25);
//       org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
//     } catch (java.lang.ClassCastException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "[]"+ "'", str22.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial25);
// 
//   }

  @Test
  public void test240() {}
// Defects4J: flaky method
//   @Test
//   public void test240() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.DateTime dateTime22 = dateTime8.withFields((org.joda.time.ReadablePartial)localDate19);
//     org.joda.time.ReadableDuration readableDuration23 = null;
//     org.joda.time.DateTime dateTime24 = dateTime8.plus(readableDuration23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
// 
//   }

  @Test
  public void test241() {}
// Defects4J: flaky method
//   @Test
//   public void test241() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     boolean b6 = offsetDateTimeField3.isLenient();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField7 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3);
//     long long10 = delegatedDateTimeField7.addWrapField((-100L), 1);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     int i23 = localDate20.getDayOfYear();
//     org.joda.time.LocalDate localDate25 = localDate20.withWeekyear(213);
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     java.lang.String str29 = dateTimeZone27.getShortName(10L);
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone27);
//     org.joda.time.Chronology chronology31 = null;
//     org.joda.time.DateTime dateTime32 = dateTime30.toDateTime(chronology31);
//     org.joda.time.DateTime dateTime34 = dateTime30.minusWeeks(0);
//     org.joda.time.LocalDate localDate35 = dateTime30.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = localDate35.getFieldType(0);
//     org.joda.time.LocalDate localDate39 = localDate35.minusWeeks(0);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     org.joda.time.Interval interval42 = localDate39.toInterval(dateTimeZone41);
//     java.util.TimeZone timeZone43 = null;
//     org.joda.time.DateTimeZone dateTimeZone44 = org.joda.time.DateTimeZone.forTimeZone(timeZone43);
//     java.lang.String str46 = dateTimeZone44.getShortName(10L);
//     org.joda.time.DateTime dateTime47 = new org.joda.time.DateTime(dateTimeZone44);
//     org.joda.time.chrono.JulianChronology julianChronology48 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone44);
//     org.joda.time.Partial partial49 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology48);
//     java.lang.String str50 = partial49.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType51 = null;
//     int i52 = partial49.indexOf(dateTimeFieldType51);
//     java.lang.String str53 = partial49.toString();
//     int i54 = partial49.size();
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     java.lang.String str58 = dateTimeZone56.getShortName(10L);
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(dateTimeZone56);
//     java.util.TimeZone timeZone60 = null;
//     org.joda.time.DateTimeZone dateTimeZone61 = org.joda.time.DateTimeZone.forTimeZone(timeZone60);
//     java.lang.String str63 = dateTimeZone61.getShortName(10L);
//     org.joda.time.DateTime dateTime64 = new org.joda.time.DateTime(dateTimeZone61);
//     org.joda.time.DateTime dateTime65 = dateTime59.toDateTime(dateTimeZone61);
//     org.joda.time.DateTime dateTime66 = partial49.toDateTime((org.joda.time.ReadableInstant)dateTime59);
//     org.joda.time.LocalTime localTime67 = dateTime66.toLocalTime();
//     org.joda.time.DateTime dateTime68 = localDate39.toDateTime(localTime67);
//     org.joda.time.LocalDateTime localDateTime69 = localDate20.toLocalDateTime(localTime67);
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.chrono.JulianChronology julianChronology76 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone72);
//     org.joda.time.Partial partial77 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology76);
//     java.lang.String str78 = partial77.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType79 = null;
//     int i80 = partial77.indexOf(dateTimeFieldType79);
//     java.lang.String str81 = partial77.toString();
//     int[] i_array82 = partial77.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array84 = delegatedDateTimeField7.addWrapField((org.joda.time.ReadablePartial)localDateTime69, 0, i_array82, 100);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 32054399900L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str29 + "' != '" + "+00:00"+ "'", str29.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str46 + "' != '" + "+00:00"+ "'", str46.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str50 + "' != '" + "[]"+ "'", str50.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i52 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str53 + "' != '" + "[]"+ "'", str53.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+00:00"+ "'", str58.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str63 + "' != '" + "+00:00"+ "'", str63.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str78 + "' != '" + "[]"+ "'", str78.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i80 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str81 + "' != '" + "[]"+ "'", str81.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array82);
// 
//   }

  @Test
  public void test242() {}
// Defects4J: flaky method
//   @Test
//   public void test242() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     int i98 = dividedDateTimeField97.getDivisor();
//     int i99 = dividedDateTimeField97.getMinimumValue();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i98 == 2015);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i99 == (-145049));
// 
//   }

  @Test
  public void test243() {}
// Defects4J: flaky method
//   @Test
//   public void test243() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
//     int i3 = gregorianChronology0.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.DateTime dateTime14 = dateTime8.toDateTime(dateTimeZone10);
//     org.joda.time.Chronology chronology15 = gregorianChronology0.withZone(dateTimeZone10);
//     org.joda.time.LocalDate localDate16 = org.joda.time.LocalDate.now(dateTimeZone10);
//     org.joda.time.LocalDate localDate18 = localDate16.plusYears(4);
//     org.joda.time.LocalDate.Property property19 = localDate16.centuryOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property19);
// 
//   }

  @Test
  public void test244() {}
// Defects4J: flaky method
//   @Test
//   public void test244() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     java.lang.String str17 = dateTimeZone15.getShortName(10L);
//     org.joda.time.DateTime dateTime18 = new org.joda.time.DateTime(dateTimeZone15);
//     org.joda.time.DateTime dateTime19 = localDate13.toDateTimeAtStartOfDay(dateTimeZone15);
//     int i20 = dateTime19.getMillisOfDay();
//     org.joda.time.DateTime.Property property21 = dateTime19.hourOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str17 + "' != '" + "+00:00"+ "'", str17.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
// 
//   }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.joda.time.LocalDate localDate0 = new org.joda.time.LocalDate();

  }

  @Test
  public void test246() {}
// Defects4J: flaky method
//   @Test
//   public void test246() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DurationField durationField7 = julianChronology5.weekyears();
//     org.joda.time.DateTimeField dateTimeField8 = julianChronology5.minuteOfHour();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField8);
// 
//   }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.joda.time.DateTimeZone dateTimeZone6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(58111, 58109, 58108, 7, 29299, 52, dateTimeZone6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(0, 29302);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() {}
// Defects4J: flaky method
//   @Test
//   public void test249() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b22 = unsupportedDateTimeField18.isLeap(32054399900L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
// 
//   }

  @Test
  public void test250() {}
// Defects4J: flaky method
//   @Test
//   public void test250() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter10 = null;
//     java.lang.String str11 = partial6.toString(dateTimeFormatter10);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i13 = partial6.getValue(9);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "[]"+ "'", str11.equals("[]"));
// 
//   }

  @Test
  public void test251() {}
// Defects4J: flaky method
//   @Test
//   public void test251() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
//     int i3 = gregorianChronology0.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.DateTime dateTime14 = dateTime8.toDateTime(dateTimeZone10);
//     org.joda.time.Chronology chronology15 = gregorianChronology0.withZone(dateTimeZone10);
//     org.joda.time.LocalDate localDate16 = org.joda.time.LocalDate.now(dateTimeZone10);
//     org.joda.time.LocalDate localDate18 = localDate16.plusYears(4);
//     org.joda.time.LocalDate.Property property19 = localDate18.dayOfWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property19);
// 
//   }

  @Test
  public void test252() {}
// Defects4J: flaky method
//   @Test
//   public void test252() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     int i9 = dateTime4.getDayOfYear();
//     org.joda.time.DateTime dateTime11 = dateTime4.withCenturyOfEra(2016);
//     java.util.Locale locale13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str14 = dateTime11.toString("America/Los_Angeles", locale13);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
// 
//   }

  @Test
  public void test253() {}
// Defects4J: flaky method
//   @Test
//   public void test253() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     org.joda.time.DateTimeField dateTimeField48 = copticChronology38.era();
//     org.joda.time.DurationField durationField49 = copticChronology38.hours();
//     org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder50 = new org.joda.time.tz.DateTimeZoneBuilder();
//     org.joda.time.DateTimeZone dateTimeZone53 = dateTimeZoneBuilder50.toDateTimeZone("hi!", true);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone54 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone53);
//     int i56 = cachedDateTimeZone54.getOffset((-230400000L));
//     org.joda.time.Chronology chronology57 = copticChronology38.withZone((org.joda.time.DateTimeZone)cachedDateTimeZone54);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.chrono.JulianChronology julianChronology59 = org.joda.time.chrono.JulianChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone54, 58111094);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology57);
// 
//   }

  @Test
  public void test254() {}
// Defects4J: flaky method
//   @Test
//   public void test254() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime14 = dateTime12.minusYears(1);
//     int i15 = dateTime12.getSecondOfDay();
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusYears(1);
//     int i23 = dateTime20.getSecondOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime20.plusMonths(100);
//     org.joda.time.chrono.LimitChronology limitChronology26 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology5, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime25);
//     org.joda.time.DateTime dateTime27 = limitChronology26.getLowerLimit();
//     org.joda.time.DateTime dateTime28 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime30 = dateTime28.minusMillis(29299);
//     java.util.Locale locale31 = null;
//     java.util.Calendar calendar32 = dateTime28.toCalendar(locale31);
//     java.lang.String str34 = dateTime28.toString("21");
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime37 = dateTime35.minusMillis(29299);
//     java.util.Locale locale38 = null;
//     java.util.Calendar calendar39 = dateTime35.toCalendar(locale38);
//     boolean b40 = dateTime28.isEqual((org.joda.time.ReadableInstant)dateTime35);
//     java.util.TimeZone timeZone41 = null;
//     org.joda.time.DateTimeZone dateTimeZone42 = org.joda.time.DateTimeZone.forTimeZone(timeZone41);
//     java.lang.String str44 = dateTimeZone42.getShortName(10L);
//     org.joda.time.DateTime dateTime45 = new org.joda.time.DateTime(dateTimeZone42);
//     org.joda.time.Chronology chronology46 = null;
//     org.joda.time.DateTime dateTime47 = dateTime45.toDateTime(chronology46);
//     org.joda.time.DateTime dateTime49 = dateTime45.minusWeeks(0);
//     org.joda.time.LocalDate localDate50 = dateTime45.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType52 = localDate50.getFieldType(0);
//     org.joda.time.LocalDate localDate54 = localDate50.minusWeeks(0);
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     org.joda.time.Interval interval57 = localDate54.toInterval(dateTimeZone56);
//     long long60 = dateTimeZone56.adjustOffset(1L, true);
//     org.joda.time.DateTimeZone.setDefault(dateTimeZone56);
//     org.joda.time.DateTime dateTime62 = dateTime35.withZone(dateTimeZone56);
//     org.joda.time.Chronology chronology63 = limitChronology26.withZone(dateTimeZone56);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.chrono.GJChronology gJChronology66 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone56, (-1803813931583999990L), 19);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 58112);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 58112);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(calendar32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "21"+ "'", str34.equals("21"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(calendar39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b40 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str44 + "' != '" + "+00:00"+ "'", str44.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long60 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology63);
// 
//   }

  @Test
  public void test255() {}
// Defects4J: flaky method
//   @Test
//   public void test255() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime14 = dateTime12.minusYears(1);
//     int i15 = dateTime12.getSecondOfDay();
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusYears(1);
//     int i23 = dateTime20.getSecondOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime20.plusMonths(100);
//     org.joda.time.chrono.LimitChronology limitChronology26 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology5, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime25);
//     int i27 = dateTime12.getDayOfMonth();
//     int i28 = dateTime12.getDayOfWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 58112);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 58112);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 7);
// 
//   }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.joda.time.LocalDate localDate1 = new org.joda.time.LocalDate(173239412L);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Instant instant2 = org.joda.time.Instant.parse("LimitChronology[JulianChronology[PST], 2016-02-21T16:08:28.818Z, 2024-06-21T16:08:28.818Z]", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() {}
// Defects4J: flaky method
//   @Test
//   public void test258() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     int i12 = localDate9.getDayOfYear();
//     org.joda.time.LocalDate localDate14 = localDate9.withWeekyear(213);
//     org.joda.time.DurationFieldType durationFieldType15 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate17 = localDate14.withFieldAdded(durationFieldType15, 968);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
// 
//   }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    boolean b3 = unsupportedDurationField1.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = unsupportedDurationField1.getName();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.joda.time.Instant instant0 = org.joda.time.Instant.now();
    org.joda.time.ReadableDuration readableDuration1 = null;
    org.joda.time.Instant instant3 = instant0.withDurationAdded(readableDuration1, 1000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant3);

  }

  @Test
  public void test261() {}
// Defects4J: flaky method
//   @Test
//   public void test261() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     org.joda.time.LocalDate localDate32 = localDate28.minusWeeks(0);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     org.joda.time.Interval interval35 = localDate32.toInterval(dateTimeZone34);
//     java.util.TimeZone timeZone36 = null;
//     org.joda.time.DateTimeZone dateTimeZone37 = org.joda.time.DateTimeZone.forTimeZone(timeZone36);
//     java.lang.String str39 = dateTimeZone37.getShortName(10L);
//     org.joda.time.DateTime dateTime40 = new org.joda.time.DateTime(dateTimeZone37);
//     org.joda.time.chrono.JulianChronology julianChronology41 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone37);
//     org.joda.time.Partial partial42 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology41);
//     java.lang.String str43 = partial42.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType44 = null;
//     int i45 = partial42.indexOf(dateTimeFieldType44);
//     java.lang.String str46 = partial42.toString();
//     int i47 = partial42.size();
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     java.util.TimeZone timeZone53 = null;
//     org.joda.time.DateTimeZone dateTimeZone54 = org.joda.time.DateTimeZone.forTimeZone(timeZone53);
//     java.lang.String str56 = dateTimeZone54.getShortName(10L);
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(dateTimeZone54);
//     org.joda.time.DateTime dateTime58 = dateTime52.toDateTime(dateTimeZone54);
//     org.joda.time.DateTime dateTime59 = partial42.toDateTime((org.joda.time.ReadableInstant)dateTime52);
//     org.joda.time.LocalTime localTime60 = dateTime59.toLocalTime();
//     org.joda.time.DateTime dateTime61 = localDate32.toDateTime(localTime60);
//     java.util.Locale locale63 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str64 = unsupportedDateTimeField18.getAsText((org.joda.time.ReadablePartial)localTime60, 1, locale63);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str39 + "' != '" + "+00:00"+ "'", str39.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "[]"+ "'", str43.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i45 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str46 + "' != '" + "[]"+ "'", str46.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i47 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str56 + "' != '" + "+00:00"+ "'", str56.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
// 
//   }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      int i4 = unsupportedDurationField1.getValue((-100L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test263() {}
// Defects4J: flaky method
//   @Test
//   public void test263() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.LocalDate.Property property10 = localDate9.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.LocalDate localDate12 = localDate9.minus(readablePeriod11);
//     java.util.TimeZone timeZone13 = null;
//     org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
//     java.lang.String str16 = dateTimeZone14.getShortName(10L);
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.Chronology chronology18 = null;
//     org.joda.time.DateTime dateTime19 = dateTime17.toDateTime(chronology18);
//     org.joda.time.DateTime dateTime21 = dateTime17.minusWeeks(0);
//     org.joda.time.LocalDate localDate22 = dateTime17.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = localDate22.getFieldType(0);
//     org.joda.time.LocalDate localDate26 = localDate22.minusWeeks(0);
//     java.util.TimeZone timeZone27 = null;
//     org.joda.time.DateTimeZone dateTimeZone28 = org.joda.time.DateTimeZone.forTimeZone(timeZone27);
//     org.joda.time.Interval interval29 = localDate26.toInterval(dateTimeZone28);
//     int i30 = localDate26.getMonthOfYear();
//     int i31 = localDate26.getWeekOfWeekyear();
//     java.util.TimeZone timeZone32 = null;
//     org.joda.time.DateTimeZone dateTimeZone33 = org.joda.time.DateTimeZone.forTimeZone(timeZone32);
//     java.lang.String str35 = dateTimeZone33.getShortName(10L);
//     org.joda.time.DateTime dateTime36 = new org.joda.time.DateTime(dateTimeZone33);
//     org.joda.time.Chronology chronology37 = null;
//     org.joda.time.DateTime dateTime38 = dateTime36.toDateTime(chronology37);
//     org.joda.time.DateTime dateTime40 = dateTime36.minusWeeks(0);
//     org.joda.time.LocalDate localDate41 = dateTime36.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType43 = localDate41.getFieldType(0);
//     int i44 = localDate26.get(dateTimeFieldType43);
//     java.util.TimeZone timeZone46 = null;
//     org.joda.time.DateTimeZone dateTimeZone47 = org.joda.time.DateTimeZone.forTimeZone(timeZone46);
//     java.lang.String str49 = dateTimeZone47.getShortName(10L);
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(dateTimeZone47);
//     org.joda.time.chrono.CopticChronology copticChronology51 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone47);
//     org.joda.time.Partial partial52 = new org.joda.time.Partial(dateTimeFieldType43, 1000, (org.joda.time.Chronology)copticChronology51);
//     boolean b53 = localDate9.isSupported(dateTimeFieldType43);
//     org.joda.time.LocalDate localDate55 = localDate9.minusDays(0);
//     org.joda.time.DateTimeField[] dateTimeField_array56 = localDate9.getFields();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate58 = localDate9.withDayOfWeek(20);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "+00:00"+ "'", str35.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str49 + "' != '" + "+00:00"+ "'", str49.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b53 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField_array56);
// 
//   }

  @Test
  public void test264() {}
// Defects4J: flaky method
//   @Test
//   public void test264() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime14 = dateTime12.minusYears(1);
//     int i15 = dateTime12.getSecondOfDay();
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusYears(1);
//     int i23 = dateTime20.getSecondOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime20.plusMonths(100);
//     org.joda.time.chrono.LimitChronology limitChronology26 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology5, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime25);
//     java.util.TimeZone timeZone27 = null;
//     org.joda.time.DateTimeZone dateTimeZone28 = org.joda.time.DateTimeZone.forTimeZone(timeZone27);
//     org.joda.time.Chronology chronology29 = julianChronology5.withZone(dateTimeZone28);
//     org.joda.time.DurationField durationField30 = julianChronology5.seconds();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long38 = julianChronology5.getDateTimeMillis(2015, 3, 0, 0, 2015, 58110, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 58112);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 58112);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField30);
// 
//   }

  @Test
  public void test265() {}
// Defects4J: flaky method
//   @Test
//   public void test265() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     org.joda.time.DateTimeField dateTimeField48 = copticChronology38.era();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long56 = copticChronology38.getDateTimeMillis(58108, 2, 3409, 29300, 19, 203055, 292280432);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
// 
//   }

  @Test
  public void test266() {}
// Defects4J: flaky method
//   @Test
//   public void test266() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     boolean b20 = unsupportedDateTimeField18.isSupported();
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     java.lang.String str24 = dateTimeZone22.getShortName(10L);
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone22);
//     org.joda.time.chrono.JulianChronology julianChronology26 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone22);
//     org.joda.time.Partial partial27 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology26);
//     java.lang.String str28 = partial27.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType29 = null;
//     int i30 = partial27.indexOf(dateTimeFieldType29);
//     java.lang.String str31 = partial27.toString();
//     int i32 = partial27.size();
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.Chronology chronology38 = null;
//     org.joda.time.DateTime dateTime39 = dateTime37.toDateTime(chronology38);
//     org.joda.time.DateTime dateTime41 = dateTime37.minusWeeks(0);
//     org.joda.time.LocalDate localDate42 = dateTime37.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType44 = localDate42.getFieldType(0);
//     org.joda.time.Partial partial46 = partial27.with(dateTimeFieldType44, (-1));
//     int[] i_array48 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array50 = unsupportedDateTimeField18.set((org.joda.time.ReadablePartial)partial27, 29304, i_array48, 58105);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "+00:00"+ "'", str24.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "[]"+ "'", str28.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str31 + "' != '" + "[]"+ "'", str31.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial46);
// 
//   }

  @Test
  public void test267() {}
// Defects4J: flaky method
//   @Test
//   public void test267() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     int i2 = gregorianChronology0.getMinimumDaysInFirstWeek();
//     org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.chrono.ZonedChronology zonedChronology9 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology3, dateTimeZone5);
//     java.lang.String str10 = zonedChronology9.toString();
//     org.joda.time.DurationField durationField11 = zonedChronology9.seconds();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology16 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone13);
//     boolean b17 = zonedChronology9.equals((java.lang.Object)gJChronology16);
//     java.util.TimeZone timeZone18 = null;
//     org.joda.time.DateTimeZone dateTimeZone19 = org.joda.time.DateTimeZone.forTimeZone(timeZone18);
//     java.lang.String str21 = dateTimeZone19.getShortName(10L);
//     org.joda.time.DateTime dateTime22 = new org.joda.time.DateTime(dateTimeZone19);
//     org.joda.time.Chronology chronology23 = null;
//     org.joda.time.DateTime dateTime24 = dateTime22.toDateTime(chronology23);
//     org.joda.time.DateTime dateTime26 = dateTime22.minusWeeks(0);
//     org.joda.time.LocalDate localDate27 = dateTime22.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType29 = localDate27.getFieldType(0);
//     org.joda.time.LocalDate localDate31 = localDate27.minusWeeks(0);
//     java.util.TimeZone timeZone32 = null;
//     org.joda.time.DateTimeZone dateTimeZone33 = org.joda.time.DateTimeZone.forTimeZone(timeZone32);
//     org.joda.time.Interval interval34 = localDate31.toInterval(dateTimeZone33);
//     long long37 = dateTimeZone33.adjustOffset(1L, true);
//     org.joda.time.LocalDate localDate38 = org.joda.time.LocalDate.now(dateTimeZone33);
//     org.joda.time.chrono.CopticChronology copticChronology39 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone33);
//     boolean b40 = zonedChronology9.equals((java.lang.Object)copticChronology39);
//     org.joda.time.Chronology chronology41 = zonedChronology9.withUTC();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime42 = new org.joda.time.DateTime((java.lang.Object)gregorianChronology0, chronology41);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "ZonedChronology[ISOChronology[UTC], PST]"+ "'", str10.equals("ZonedChronology[ISOChronology[UTC], PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "+00:00"+ "'", str21.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long37 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b40 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology41);
// 
//   }

  @Test
  public void test268() {}
// Defects4J: flaky method
//   @Test
//   public void test268() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField21 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField22 = unsupportedDateTimeField18.getLeapDurationField();
//     org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str24 = iSOChronology23.toString();
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     java.lang.String str28 = dateTimeZone26.getShortName(10L);
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(dateTimeZone26);
//     org.joda.time.Chronology chronology30 = null;
//     org.joda.time.DateTime dateTime31 = dateTime29.toDateTime(chronology30);
//     org.joda.time.DateTime dateTime33 = dateTime29.minusWeeks(0);
//     org.joda.time.DateTime dateTime34 = dateTime33.toDateTime();
//     java.util.TimeZone timeZone35 = null;
//     org.joda.time.DateTimeZone dateTimeZone36 = org.joda.time.DateTimeZone.forTimeZone(timeZone35);
//     java.lang.String str38 = dateTimeZone36.getShortName(10L);
//     org.joda.time.DateTime dateTime39 = new org.joda.time.DateTime(dateTimeZone36);
//     org.joda.time.Chronology chronology40 = null;
//     org.joda.time.DateTime dateTime41 = dateTime39.toDateTime(chronology40);
//     org.joda.time.DateTime dateTime43 = dateTime39.minusWeeks(0);
//     org.joda.time.LocalDate localDate44 = dateTime39.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType46 = localDate44.getFieldType(0);
//     org.joda.time.DateTime dateTime47 = dateTime33.withFields((org.joda.time.ReadablePartial)localDate44);
//     org.joda.time.Interval interval48 = localDate44.toInterval();
//     boolean b49 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology23, (java.lang.Object)localDate44);
//     org.joda.time.DateTime dateTime50 = localDate44.toDateTimeAtStartOfDay();
//     java.util.Locale locale51 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str52 = unsupportedDateTimeField18.getAsText((org.joda.time.ReadablePartial)localDate44, locale51);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "ISOChronology[PST]"+ "'", str24.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "+00:00"+ "'", str28.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str38 + "' != '" + "+00:00"+ "'", str38.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
// 
//   }

  @Test
  public void test269() {}
// Defects4J: flaky method
//   @Test
//   public void test269() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str1 = iSOChronology0.toString();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.Interval interval25 = localDate21.toInterval();
//     boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology0.dayOfMonth();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology0.secondOfDay();
//     org.joda.time.DateTimeField dateTimeField29 = iSOChronology0.year();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[PST]"+ "'", str1.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField29);
// 
//   }

  @Test
  public void test270() {}
// Defects4J: flaky method
//   @Test
//   public void test270() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone2);
//     java.lang.String str7 = zonedChronology6.toString();
//     org.joda.time.DurationField durationField8 = zonedChronology6.seconds();
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology13 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone10);
//     boolean b14 = zonedChronology6.equals((java.lang.Object)gJChronology13);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long22 = gJChronology13.getDateTimeMillis(29302, 968, 58112, 58111094, 58110, 58112, 2015);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "ZonedChronology[ISOChronology[UTC], PST]"+ "'", str7.equals("ZonedChronology[ISOChronology[UTC], PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == false);
// 
//   }

  @Test
  public void test271() {}
// Defects4J: flaky method
//   @Test
//   public void test271() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str22 = iSOChronology21.toString();
//     java.util.TimeZone timeZone23 = null;
//     org.joda.time.DateTimeZone dateTimeZone24 = org.joda.time.DateTimeZone.forTimeZone(timeZone23);
//     java.lang.String str26 = dateTimeZone24.getShortName(10L);
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(dateTimeZone24);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = dateTime27.toDateTime(chronology28);
//     org.joda.time.DateTime dateTime31 = dateTime27.minusWeeks(0);
//     org.joda.time.DateTime dateTime32 = dateTime31.toDateTime();
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.Chronology chronology38 = null;
//     org.joda.time.DateTime dateTime39 = dateTime37.toDateTime(chronology38);
//     org.joda.time.DateTime dateTime41 = dateTime37.minusWeeks(0);
//     org.joda.time.LocalDate localDate42 = dateTime37.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType44 = localDate42.getFieldType(0);
//     org.joda.time.DateTime dateTime45 = dateTime31.withFields((org.joda.time.ReadablePartial)localDate42);
//     org.joda.time.Interval interval46 = localDate42.toInterval();
//     boolean b47 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology21, (java.lang.Object)localDate42);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology52 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone49);
//     java.util.TimeZone timeZone53 = null;
//     org.joda.time.DateTimeZone dateTimeZone54 = org.joda.time.DateTimeZone.forTimeZone(timeZone53);
//     java.lang.String str56 = dateTimeZone54.getShortName(10L);
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(dateTimeZone54);
//     org.joda.time.Chronology chronology58 = null;
//     org.joda.time.DateTime dateTime59 = dateTime57.toDateTime(chronology58);
//     org.joda.time.DateTime dateTime61 = dateTime57.minusWeeks(0);
//     org.joda.time.LocalDate localDate62 = dateTime57.toLocalDate();
//     int i63 = localDate62.getDayOfMonth();
//     org.joda.time.LocalDate.Property property64 = localDate62.yearOfEra();
//     boolean b65 = gJChronology52.equals((java.lang.Object)localDate62);
//     org.joda.time.LocalTime localTime66 = null;
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     java.lang.String str70 = dateTimeZone68.getShortName(10L);
//     org.joda.time.DateTime dateTime71 = new org.joda.time.DateTime(dateTimeZone68);
//     org.joda.time.Chronology chronology72 = null;
//     org.joda.time.DateTime dateTime73 = dateTime71.toDateTime(chronology72);
//     org.joda.time.DateTime dateTime75 = dateTime71.minusWeeks(0);
//     org.joda.time.DateTime dateTime76 = dateTime75.toDateTime();
//     boolean b78 = dateTime76.isEqual(10L);
//     org.joda.time.DateTime dateTime79 = dateTime76.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration80 = null;
//     org.joda.time.DateTime dateTime81 = dateTime79.minus(readableDuration80);
//     java.util.TimeZone timeZone82 = null;
//     org.joda.time.DateTimeZone dateTimeZone83 = org.joda.time.DateTimeZone.forTimeZone(timeZone82);
//     org.joda.time.DateTime dateTime84 = dateTime81.withZoneRetainFields(dateTimeZone83);
//     org.joda.time.DateTime dateTime85 = localDate62.toDateTime(localTime66, dateTimeZone83);
//     org.joda.time.LocalDate localDate86 = localDate42.withFields((org.joda.time.ReadablePartial)localTime66);
//     org.joda.time.Partial partial87 = new org.joda.time.Partial((org.joda.time.ReadablePartial)localDate42);
//     org.joda.time.LocalDate localDate89 = localDate42.withYearOfEra(58110);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i90 = unsupportedDateTimeField18.getMinimumValue((org.joda.time.ReadablePartial)localDate89);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "ISOChronology[PST]"+ "'", str22.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+00:00"+ "'", str26.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b47 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str56 + "' != '" + "+00:00"+ "'", str56.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i63 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b65 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str70 + "' != '" + "+00:00"+ "'", str70.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b78 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate89);
// 
//   }

  @Test
  public void test272() {}
// Defects4J: flaky method
//   @Test
//   public void test272() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     org.joda.time.DateTime dateTime7 = dateTime6.withTimeAtStartOfDay();
//     org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder8 = new org.joda.time.tz.DateTimeZoneBuilder();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTimeZoneBuilder8.toDateTimeZone("PST", false);
//     org.joda.time.DateTimeZone.setDefault(dateTimeZone11);
//     org.joda.time.DateTime dateTime13 = dateTime7.toDateTime(dateTimeZone11);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     java.lang.String str17 = dateTimeZone15.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology18 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone15);
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     int i29 = localDate28.getDayOfMonth();
//     org.joda.time.LocalDate.Property property30 = localDate28.yearOfEra();
//     boolean b31 = gJChronology18.equals((java.lang.Object)localDate28);
//     org.joda.time.Chronology chronology32 = gJChronology18.withUTC();
//     org.joda.time.MutableDateTime mutableDateTime33 = dateTime7.toMutableDateTime(chronology32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str17 + "' != '" + "+00:00"+ "'", str17.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b31 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime33);
// 
//   }

  @Test
  public void test273() {}
// Defects4J: flaky method
//   @Test
//   public void test273() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.minus(readableDuration16);
//     org.joda.time.Instant instant18 = new org.joda.time.Instant((java.lang.Object)dateTime11);
//     boolean b19 = dateTime6.isEqual((org.joda.time.ReadableInstant)instant18);
//     org.joda.time.Instant instant21 = instant18.plus(1L);
//     org.joda.time.Instant instant23 = instant18.withMillis(28800000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant23);
// 
//   }

  @Test
  public void test274() {}
// Defects4J: flaky method
//   @Test
//   public void test274() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     int i14 = localDate9.getEra();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate16 = localDate9.withDayOfWeek(58105);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 1);
// 
//   }

  @Test
  public void test275() {}
// Defects4J: flaky method
//   @Test
//   public void test275() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField21 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField22 = unsupportedDateTimeField18.getLeapDurationField();
//     java.util.TimeZone timeZone23 = null;
//     org.joda.time.DateTimeZone dateTimeZone24 = org.joda.time.DateTimeZone.forTimeZone(timeZone23);
//     java.lang.String str26 = dateTimeZone24.getShortName(10L);
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(dateTimeZone24);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = dateTime27.toDateTime(chronology28);
//     org.joda.time.DateTime dateTime31 = dateTime27.minusWeeks(0);
//     org.joda.time.LocalDate localDate32 = dateTime27.toLocalDate();
//     org.joda.time.LocalDate.Property property33 = localDate32.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod34 = null;
//     org.joda.time.LocalDate localDate35 = localDate32.minus(readablePeriod34);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i36 = unsupportedDateTimeField18.getMinimumValue((org.joda.time.ReadablePartial)localDate35);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+00:00"+ "'", str26.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
// 
//   }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
    org.joda.time.DurationField durationField4 = offsetDateTimeField3.getRangeDurationField();
    long long7 = offsetDateTimeField3.add((-57160588L), 100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField9 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 3155789239412L);

  }

  @Test
  public void test277() {}
// Defects4J: flaky method
//   @Test
//   public void test277() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str1 = iSOChronology0.toString();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.Interval interval25 = localDate21.toInterval();
//     boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
//     org.joda.time.LocalDate localDate28 = localDate21.withYear(0);
//     org.joda.time.DateTimeFieldType[] dateTimeFieldType_array29 = localDate21.getFieldTypes();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[PST]"+ "'", str1.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType_array29);
// 
//   }

  @Test
  public void test278() {}
// Defects4J: flaky method
//   @Test
//   public void test278() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField98 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField97);
//     int i99 = remainderDateTimeField98.getDivisor();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i99 == 2015);
// 
//   }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("UTC", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() {}
// Defects4J: flaky method
//   @Test
//   public void test280() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.minus(readableDuration16);
//     org.joda.time.Instant instant18 = new org.joda.time.Instant((java.lang.Object)dateTime11);
//     boolean b19 = dateTime6.isEqual((org.joda.time.ReadableInstant)instant18);
//     org.joda.time.Instant instant21 = instant18.plus(1L);
//     org.joda.time.Instant instant23 = instant18.minus(0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant23);
// 
//   }

  @Test
  public void test281() {}
// Defects4J: flaky method
//   @Test
//   public void test281() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime14 = dateTime12.minusYears(1);
//     int i15 = dateTime12.getSecondOfDay();
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusYears(1);
//     int i23 = dateTime20.getSecondOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime20.plusMonths(100);
//     org.joda.time.chrono.LimitChronology limitChronology26 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology5, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime25);
//     org.joda.time.DurationField durationField27 = julianChronology5.days();
//     java.util.TimeZone timeZone28 = null;
//     org.joda.time.DateTimeZone dateTimeZone29 = org.joda.time.DateTimeZone.forTimeZone(timeZone28);
//     java.lang.String str31 = dateTimeZone29.getShortName(10L);
//     org.joda.time.DateTime dateTime32 = new org.joda.time.DateTime(dateTimeZone29);
//     org.joda.time.Chronology chronology33 = null;
//     org.joda.time.DateTime dateTime34 = dateTime32.toDateTime(chronology33);
//     org.joda.time.DateTime dateTime36 = dateTime32.minusWeeks(0);
//     org.joda.time.DateTime dateTime37 = dateTime36.toDateTime();
//     java.util.TimeZone timeZone38 = null;
//     org.joda.time.DateTimeZone dateTimeZone39 = org.joda.time.DateTimeZone.forTimeZone(timeZone38);
//     java.lang.String str41 = dateTimeZone39.getShortName(10L);
//     org.joda.time.DateTime dateTime42 = new org.joda.time.DateTime(dateTimeZone39);
//     org.joda.time.Chronology chronology43 = null;
//     org.joda.time.DateTime dateTime44 = dateTime42.toDateTime(chronology43);
//     org.joda.time.DateTime dateTime46 = dateTime42.minusWeeks(0);
//     org.joda.time.LocalDate localDate47 = dateTime42.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType49 = localDate47.getFieldType(0);
//     org.joda.time.DateTime dateTime50 = dateTime36.withFields((org.joda.time.ReadablePartial)localDate47);
//     org.joda.time.Interval interval51 = localDate47.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone52 = null;
//     org.joda.time.DateTime dateTime53 = localDate47.toDateTimeAtCurrentTime(dateTimeZone52);
//     java.lang.String str54 = localDate47.toString();
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     java.lang.String str58 = dateTimeZone56.getShortName(10L);
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(dateTimeZone56);
//     org.joda.time.chrono.JulianChronology julianChronology60 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone56);
//     org.joda.time.Partial partial61 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology60);
//     java.lang.String str62 = partial61.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = null;
//     int i64 = partial61.indexOf(dateTimeFieldType63);
//     java.lang.String str65 = partial61.toString();
//     int i66 = partial61.size();
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     java.lang.String str70 = dateTimeZone68.getShortName(10L);
//     org.joda.time.DateTime dateTime71 = new org.joda.time.DateTime(dateTimeZone68);
//     org.joda.time.Chronology chronology72 = null;
//     org.joda.time.DateTime dateTime73 = dateTime71.toDateTime(chronology72);
//     org.joda.time.DateTime dateTime75 = dateTime71.minusWeeks(0);
//     org.joda.time.LocalDate localDate76 = dateTime71.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType78 = localDate76.getFieldType(0);
//     org.joda.time.Partial partial80 = partial61.with(dateTimeFieldType78, (-1));
//     int[] i_array81 = partial61.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       julianChronology5.validate((org.joda.time.ReadablePartial)localDate47, i_array81);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 58113);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 58113);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str31 + "' != '" + "+00:00"+ "'", str31.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str41 + "' != '" + "+00:00"+ "'", str41.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str54 + "' != '" + "2016-02-21"+ "'", str54.equals("2016-02-21"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+00:00"+ "'", str58.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str62 + "' != '" + "[]"+ "'", str62.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str65 + "' != '" + "[]"+ "'", str65.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str70 + "' != '" + "+00:00"+ "'", str70.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array81);
// 
//   }

  @Test
  public void test282() {}
// Defects4J: flaky method
//   @Test
//   public void test282() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     org.joda.time.DateTime dateTime7 = dateTime6.withTimeAtStartOfDay();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.Chronology chronology13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.toDateTime(chronology13);
//     org.joda.time.DateTime dateTime16 = dateTime12.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime12.minus(readableDuration17);
//     org.joda.time.DateTime dateTime20 = dateTime18.withYear((-1));
//     boolean b21 = dateTime6.isAfter((org.joda.time.ReadableInstant)dateTime20);
//     org.joda.time.DurationFieldType durationFieldType22 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime24 = dateTime6.withFieldAdded(durationFieldType22, 29300);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == true);
// 
//   }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    long long1 = org.joda.time.DateTimeUtils.toJulianDayNumber(6300223690111777L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 75359843L);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
    org.joda.time.DurationField durationField4 = offsetDateTimeField3.getRangeDurationField();
    long long7 = offsetDateTimeField3.getDifferenceAsLong(4881176L, (-230400000L));
    long long10 = offsetDateTimeField3.add(10L, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 221356800010L);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now(dateTimeZone0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    boolean b3 = unsupportedDurationField1.isPrecise();
    org.joda.time.DurationField durationField4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = unsupportedDurationField1.compareTo(durationField4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test287() {}
// Defects4J: flaky method
//   @Test
//   public void test287() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.JulianChronology julianChronology38 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone34);
//     org.joda.time.DateTimeField dateTimeField39 = julianChronology38.minuteOfDay();
//     org.joda.time.Partial partial40 = new org.joda.time.Partial(dateTimeFieldType30, 29299, (org.joda.time.Chronology)julianChronology38);
//     org.joda.time.DateTimeField dateTimeField41 = julianChronology38.weekyear();
//     org.joda.time.Chronology chronology42 = julianChronology38.withUTC();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology42);
// 
//   }

  @Test
  public void test288() {}
// Defects4J: flaky method
//   @Test
//   public void test288() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getSecondOfDay();
//     org.joda.time.DateTime dateTime9 = dateTime4.plusMonths(100);
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.chrono.JulianChronology julianChronology15 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone11);
//     org.joda.time.Partial partial16 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology15);
//     org.joda.time.DurationField durationField17 = julianChronology15.weekyears();
//     org.joda.time.DateTimeField dateTimeField18 = julianChronology15.monthOfYear();
//     int i19 = dateTime4.get(dateTimeField18);
//     boolean b20 = dateTime4.isEqualNow();
//     org.joda.time.ReadableDuration readableDuration21 = null;
//     org.joda.time.DateTime dateTime22 = dateTime4.minus(readableDuration21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 58113);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
// 
//   }

  @Test
  public void test289() {}
// Defects4J: flaky method
//   @Test
//   public void test289() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     org.joda.time.DurationField durationField4 = offsetDateTimeField3.getRangeDurationField();
//     boolean b6 = offsetDateTimeField3.isLeap(2440588L);
//     org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str8 = iSOChronology7.toString();
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.Chronology chronology14 = null;
//     org.joda.time.DateTime dateTime15 = dateTime13.toDateTime(chronology14);
//     org.joda.time.DateTime dateTime17 = dateTime13.minusWeeks(0);
//     org.joda.time.DateTime dateTime18 = dateTime17.toDateTime();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     org.joda.time.DateTime dateTime31 = dateTime17.withFields((org.joda.time.ReadablePartial)localDate28);
//     org.joda.time.Interval interval32 = localDate28.toInterval();
//     boolean b33 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology7, (java.lang.Object)localDate28);
//     org.joda.time.LocalDate localDate34 = new org.joda.time.LocalDate((org.joda.time.Chronology)iSOChronology7);
//     java.util.TimeZone timeZone36 = null;
//     org.joda.time.DateTimeZone dateTimeZone37 = org.joda.time.DateTimeZone.forTimeZone(timeZone36);
//     java.lang.String str39 = dateTimeZone37.getShortName(10L);
//     org.joda.time.DateTime dateTime40 = new org.joda.time.DateTime(dateTimeZone37);
//     org.joda.time.chrono.JulianChronology julianChronology41 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone37);
//     org.joda.time.Partial partial42 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology41);
//     java.lang.String str43 = partial42.toString();
//     int[] i_array44 = partial42.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array46 = offsetDateTimeField3.set((org.joda.time.ReadablePartial)localDate34, 0, i_array44, 201616);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "ISOChronology[PST]"+ "'", str8.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b33 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str39 + "' != '" + "+00:00"+ "'", str39.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "[]"+ "'", str43.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array44);
// 
//   }

  @Test
  public void test290() {}
// Defects4J: flaky method
//   @Test
//   public void test290() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     boolean b11 = dateTime9.isEqual(10L);
//     org.joda.time.DateTime dateTime12 = dateTime9.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration13 = null;
//     org.joda.time.DateTime dateTime15 = dateTime12.withDurationAdded(readableDuration13, 29303);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str17 = dateTime12.toString("");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
// 
//   }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("America/Los_Angeles", 10, 2016, 0, ' ', 29303361, 213, 0, true, 29303361);
    java.io.OutputStream outputStream13 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("UnsupportedDateTimeField", outputStream13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);

  }

  @Test
  public void test292() {}
// Defects4J: flaky method
//   @Test
//   public void test292() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     org.joda.time.ReadableInterval readableInterval17 = org.joda.time.DateTimeUtils.getReadableInterval((org.joda.time.ReadableInterval)interval16);
//     org.joda.time.ReadableInterval readableInterval18 = org.joda.time.DateTimeUtils.getReadableInterval((org.joda.time.ReadableInterval)interval16);
//     org.joda.time.ReadableInterval readableInterval19 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(readableInterval17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(readableInterval18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(readableInterval19);
// 
//   }

  @Test
  public void test293() {}
// Defects4J: flaky method
//   @Test
//   public void test293() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.Chronology chronology13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.toDateTime(chronology13);
//     org.joda.time.DateTime dateTime16 = dateTime12.minusWeeks(0);
//     org.joda.time.LocalDate localDate17 = dateTime12.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType19 = localDate17.getFieldType(0);
//     org.joda.time.LocalDate localDate21 = localDate17.minusWeeks(0);
//     int i22 = localDate17.getEra();
//     boolean b23 = partial6.isMatch((org.joda.time.ReadablePartial)localDate17);
//     org.joda.time.LocalDate localDate25 = localDate17.withWeekyear(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str27 = localDate25.toString("hi!");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate25);
// 
//   }

  @Test
  public void test294() {}
// Defects4J: flaky method
//   @Test
//   public void test294() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.DateTime dateTime10 = dateTime4.toDateTime(dateTimeZone6);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime12 = dateTime10.withWeekOfWeekyear(1439);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
// 
//   }

  @Test
  public void test295() {}
// Defects4J: flaky method
//   @Test
//   public void test295() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     org.joda.time.LocalTime localTime18 = null;
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.DateTime dateTime28 = dateTime27.toDateTime();
//     boolean b30 = dateTime28.isEqual(10L);
//     org.joda.time.DateTime dateTime31 = dateTime28.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime31.minus(readableDuration32);
//     java.util.TimeZone timeZone34 = null;
//     org.joda.time.DateTimeZone dateTimeZone35 = org.joda.time.DateTimeZone.forTimeZone(timeZone34);
//     org.joda.time.DateTime dateTime36 = dateTime33.withZoneRetainFields(dateTimeZone35);
//     org.joda.time.DateTime dateTime37 = localDate14.toDateTime(localTime18, dateTimeZone35);
//     int i38 = localDate14.getDayOfWeek();
//     org.joda.time.LocalDate localDate40 = localDate14.plusYears(20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b30 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate40);
// 
//   }

  @Test
  public void test296() {}
// Defects4J: flaky method
//   @Test
//   public void test296() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     boolean b6 = offsetDateTimeField3.isLenient();
//     boolean b7 = offsetDateTimeField3.isLenient();
//     long long10 = offsetDateTimeField3.set((-107577619240588L), 201616);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 6254808911959412L);
// 
//   }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    double d1 = org.joda.time.DateTimeUtils.toJulianDay(2440588L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2440587.5282475464d);

  }

  @Test
  public void test298() {}
// Defects4J: flaky method
//   @Test
//   public void test298() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime4.minus(readableDuration9);
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear((-1));
//     org.joda.time.DateTime dateTime15 = dateTime12.withDurationAdded((-259200000L), 58106);
//     boolean b17 = dateTime12.isAfter(3124339639412L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
// 
//   }

  @Test
  public void test299() {}
// Defects4J: flaky method
//   @Test
//   public void test299() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     long long61 = skipDateTimeField47.addWrapField((-2440588L), 1000);
//     int i62 = skipDateTimeField47.getMinimumValue();
//     long long65 = skipDateTimeField47.set((-107577619240588L), "7");
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == (-28840588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i62 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long65 == (-107577676360588L));
// 
//   }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.DateTimeZone dateTimeZone3 = dateTimeZoneBuilder0.toDateTimeZone("PST", false);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder6 = dateTimeZoneBuilder0.setFixedSavings("BuddhistChronology[PST]", 0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder17 = dateTimeZoneBuilder6.addRecurringSavings("", 292280432, 0, 58110, '4', 0, 58105, 2016, true, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder6);

  }

  @Test
  public void test301() {}
// Defects4J: flaky method
//   @Test
//   public void test301() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.lang.String str10 = partial6.toString();
//     int i11 = partial6.size();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.Partial partial25 = partial6.with(dateTimeFieldType23, (-1));
//     int[] i_array26 = partial6.getValues();
//     java.util.TimeZone timeZone27 = null;
//     org.joda.time.DateTimeZone dateTimeZone28 = org.joda.time.DateTimeZone.forTimeZone(timeZone27);
//     java.lang.String str30 = dateTimeZone28.getShortName(10L);
//     org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone28);
//     org.joda.time.Chronology chronology32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime31.toDateTime(chronology32);
//     org.joda.time.DateTime dateTime35 = dateTime31.minusWeeks(0);
//     org.joda.time.DateTime dateTime36 = dateTime35.toDateTime();
//     boolean b38 = dateTime36.isEqual(10L);
//     org.joda.time.DateTime dateTime39 = dateTime36.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration40 = null;
//     org.joda.time.DateTime dateTime42 = dateTime39.withDurationAdded(readableDuration40, 29303);
//     boolean b43 = partial6.isMatch((org.joda.time.ReadableInstant)dateTime42);
//     org.joda.time.ReadablePeriod readablePeriod44 = null;
//     org.joda.time.Partial partial45 = partial6.plus(readablePeriod44);
//     org.joda.time.DurationFieldType durationFieldType46 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.Partial partial48 = partial45.withFieldAddWrapped(durationFieldType46, (-52600807));
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "+00:00"+ "'", str30.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b38 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial45);
// 
//   }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.joda.time.IllegalInstantException illegalInstantException2 = new org.joda.time.IllegalInstantException((-107577619240588L), "LimitChronology[JulianChronology[PST], 2016-02-21T16:08:28.818Z, 2024-06-21T16:08:28.818Z]");

  }

  @Test
  public void test303() {}
// Defects4J: flaky method
//   @Test
//   public void test303() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     org.joda.time.DateTime dateTime7 = dateTime6.withTimeAtStartOfDay();
//     org.joda.time.MutableDateTime mutableDateTime8 = dateTime6.toMutableDateTime();
//     org.joda.time.DateTime dateTime9 = dateTime6.toDateTimeISO();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime11 = dateTime9.withWeekOfWeekyear(3409);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
// 
//   }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
    org.joda.time.DurationField durationField4 = offsetDateTimeField3.getRangeDurationField();
    org.joda.time.DateTimeField dateTimeField5 = offsetDateTimeField3.getWrappedField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);

  }

  @Test
  public void test305() {}
// Defects4J: flaky method
//   @Test
//   public void test305() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
//     int i14 = skipUndoDateTimeField12.get((-2440588L));
//     java.util.TimeZone timeZone15 = null;
//     org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forTimeZone(timeZone15);
//     java.lang.String str18 = dateTimeZone16.getShortName(10L);
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(dateTimeZone16);
//     org.joda.time.chrono.JulianChronology julianChronology20 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone16);
//     org.joda.time.Partial partial21 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology20);
//     java.lang.String str22 = partial21.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
//     int i24 = partial21.indexOf(dateTimeFieldType23);
//     java.lang.String str25 = partial21.toString();
//     int i26 = partial21.size();
//     java.util.TimeZone timeZone27 = null;
//     org.joda.time.DateTimeZone dateTimeZone28 = org.joda.time.DateTimeZone.forTimeZone(timeZone27);
//     java.lang.String str30 = dateTimeZone28.getShortName(10L);
//     org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone28);
//     org.joda.time.Chronology chronology32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime31.toDateTime(chronology32);
//     org.joda.time.DateTime dateTime35 = dateTime31.minusWeeks(0);
//     org.joda.time.LocalDate localDate36 = dateTime31.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType38 = localDate36.getFieldType(0);
//     org.joda.time.Partial partial40 = partial21.with(dateTimeFieldType38, (-1));
//     org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType38, "PST");
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.RemainderDateTimeField remainderDateTimeField44 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField12, dateTimeFieldType38, 2016);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 3409);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "+00:00"+ "'", str18.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "[]"+ "'", str22.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "[]"+ "'", str25.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "+00:00"+ "'", str30.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial40);
// 
//   }

  @Test
  public void test306() {}
// Defects4J: flaky method
//   @Test
//   public void test306() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.JulianChronology julianChronology38 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone34);
//     org.joda.time.DateTimeField dateTimeField39 = julianChronology38.minuteOfDay();
//     org.joda.time.Partial partial40 = new org.joda.time.Partial(dateTimeFieldType30, 29299, (org.joda.time.Chronology)julianChronology38);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long45 = julianChronology38.getDateTimeMillis((-145049), 201616, (-28800000), 203055);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField39);
// 
//   }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.parse("2016-02-21T16:08:33.423Z");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);

  }

  @Test
  public void test308() {}
// Defects4J: flaky method
//   @Test
//   public void test308() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     long long19 = dateTimeZone15.adjustOffset(1L, true);
//     org.joda.time.LocalDate localDate20 = org.joda.time.LocalDate.now(dateTimeZone15);
//     org.joda.time.LocalDate.Property property21 = localDate20.weekOfWeekyear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long19 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
// 
//   }

  @Test
  public void test309() {}
// Defects4J: flaky method
//   @Test
//   public void test309() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }
// 
// 
//     org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
//     org.joda.time.DateTimeZone dateTimeZone3 = dateTimeZoneBuilder0.toDateTimeZone("hi!", true);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone3);
//     org.joda.time.DateTimeZone dateTimeZone5 = cachedDateTimeZone4.getUncachedZone();
//     java.util.TimeZone timeZone6 = null;
//     org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forTimeZone(timeZone6);
//     java.lang.String str9 = dateTimeZone7.getShortName(10L);
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone7);
//     org.joda.time.DateTime dateTime12 = dateTime10.minusYears(1);
//     int i13 = dateTime10.getSecondOfDay();
//     org.joda.time.DateTime dateTime15 = dateTime10.plusMonths(100);
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.chrono.JulianChronology julianChronology21 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone17);
//     org.joda.time.Partial partial22 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology21);
//     org.joda.time.DurationField durationField23 = julianChronology21.weekyears();
//     org.joda.time.DateTimeField dateTimeField24 = julianChronology21.monthOfYear();
//     int i25 = dateTime10.get(dateTimeField24);
//     boolean b26 = dateTime10.isEqualNow();
//     boolean b28 = dateTime10.isBefore((-15551999999999L));
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.chrono.GJChronology gJChronology30 = org.joda.time.chrono.GJChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone4, (org.joda.time.ReadableInstant)dateTime10, 8);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+00:00"+ "'", str9.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 58113);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == false);
// 
//   }

  @Test
  public void test310() {}
// Defects4J: flaky method
//   @Test
//   public void test310() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.LocalDate localDate16 = dateTime11.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType18 = localDate16.getFieldType(0);
//     org.joda.time.LocalDate localDate20 = localDate16.minusWeeks(0);
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     org.joda.time.Interval interval23 = localDate20.toInterval(dateTimeZone22);
//     int i24 = localDate20.getMonthOfYear();
//     int i25 = localDate20.getWeekOfWeekyear();
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     java.lang.String str29 = dateTimeZone27.getShortName(10L);
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone27);
//     org.joda.time.Chronology chronology31 = null;
//     org.joda.time.DateTime dateTime32 = dateTime30.toDateTime(chronology31);
//     org.joda.time.DateTime dateTime34 = dateTime30.minusWeeks(0);
//     org.joda.time.LocalDate localDate35 = dateTime30.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = localDate35.getFieldType(0);
//     int i38 = localDate20.get(dateTimeFieldType37);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.Partial partial47 = new org.joda.time.Partial(dateTimeFieldType37, 29299, (org.joda.time.Chronology)julianChronology45);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType59 = localDate57.getFieldType(0);
//     org.joda.time.LocalDate localDate61 = localDate57.minusWeeks(0);
//     java.util.TimeZone timeZone62 = null;
//     org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeZone.forTimeZone(timeZone62);
//     org.joda.time.Interval interval64 = localDate61.toInterval(dateTimeZone63);
//     int i65 = localDate61.getMonthOfYear();
//     int i66 = localDate61.getWeekOfWeekyear();
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     java.lang.String str70 = dateTimeZone68.getShortName(10L);
//     org.joda.time.DateTime dateTime71 = new org.joda.time.DateTime(dateTimeZone68);
//     org.joda.time.Chronology chronology72 = null;
//     org.joda.time.DateTime dateTime73 = dateTime71.toDateTime(chronology72);
//     org.joda.time.DateTime dateTime75 = dateTime71.minusWeeks(0);
//     org.joda.time.LocalDate localDate76 = dateTime71.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType78 = localDate76.getFieldType(0);
//     int i79 = localDate61.get(dateTimeFieldType78);
//     java.util.TimeZone timeZone81 = null;
//     org.joda.time.DateTimeZone dateTimeZone82 = org.joda.time.DateTimeZone.forTimeZone(timeZone81);
//     java.lang.String str84 = dateTimeZone82.getShortName(10L);
//     org.joda.time.DateTime dateTime85 = new org.joda.time.DateTime(dateTimeZone82);
//     org.joda.time.chrono.CopticChronology copticChronology86 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone82);
//     org.joda.time.Partial partial87 = new org.joda.time.Partial(dateTimeFieldType78, 1000, (org.joda.time.Chronology)copticChronology86);
//     int i88 = partial47.indexOf(dateTimeFieldType78);
//     boolean b89 = dateTime6.isSupported(dateTimeFieldType78);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType78, 58112);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str29 + "' != '" + "+00:00"+ "'", str29.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str70 + "' != '" + "+00:00"+ "'", str70.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i79 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str84 + "' != '" + "+00:00"+ "'", str84.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i88 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b89 == true);
// 
//   }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.add(0L, 58111);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test312() {}
// Defects4J: flaky method
//   @Test
//   public void test312() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     boolean b6 = offsetDateTimeField3.isLenient();
//     org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str8 = iSOChronology7.toString();
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.Chronology chronology14 = null;
//     org.joda.time.DateTime dateTime15 = dateTime13.toDateTime(chronology14);
//     org.joda.time.DateTime dateTime17 = dateTime13.minusWeeks(0);
//     org.joda.time.DateTime dateTime18 = dateTime17.toDateTime();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     org.joda.time.DateTime dateTime31 = dateTime17.withFields((org.joda.time.ReadablePartial)localDate28);
//     org.joda.time.Interval interval32 = localDate28.toInterval();
//     boolean b33 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology7, (java.lang.Object)localDate28);
//     org.joda.time.LocalDate localDate34 = new org.joda.time.LocalDate((org.joda.time.Chronology)iSOChronology7);
//     org.joda.time.LocalDate localDate36 = localDate34.withEra(0);
//     java.util.TimeZone timeZone38 = null;
//     org.joda.time.DateTimeZone dateTimeZone39 = org.joda.time.DateTimeZone.forTimeZone(timeZone38);
//     java.lang.String str41 = dateTimeZone39.getShortName(10L);
//     org.joda.time.DateTime dateTime42 = new org.joda.time.DateTime(dateTimeZone39);
//     org.joda.time.chrono.JulianChronology julianChronology43 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone39);
//     org.joda.time.Partial partial44 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology43);
//     java.lang.String str45 = partial44.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType46 = null;
//     int i47 = partial44.indexOf(dateTimeFieldType46);
//     java.lang.String str48 = partial44.toString();
//     int[] i_array49 = partial44.getValues();
//     java.util.Locale locale51 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array52 = offsetDateTimeField3.set((org.joda.time.ReadablePartial)localDate34, 29303, i_array49, "minuteOfDay", locale51);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "ISOChronology[PST]"+ "'", str8.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b33 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str41 + "' != '" + "+00:00"+ "'", str41.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "[]"+ "'", str45.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i47 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "[]"+ "'", str48.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array49);
// 
//   }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ScaledDurationField scaledDurationField4 = new org.joda.time.field.ScaledDurationField((org.joda.time.DurationField)unsupportedDurationField1, durationFieldType2, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test314() {}
// Defects4J: flaky method
//   @Test
//   public void test314() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     org.joda.time.DateTime dateTime11 = dateTime9.plus((-107577676360588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
// 
//   }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = gregorianChronology0.getDateTimeMillis((-145049), 213, 58111094, 20, 2015, 16, 58113);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);

  }

  @Test
  public void test316() {}
// Defects4J: flaky method
//   @Test
//   public void test316() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     org.joda.time.DateTimeField dateTimeField48 = copticChronology38.era();
//     int i49 = copticChronology38.getMinimumDaysInFirstWeek();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long54 = copticChronology38.getDateTimeMillis(203055, 2015, 29302, 100);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 4);
// 
//   }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    java.util.Set set0 = org.joda.time.DateTimeZone.getAvailableIDs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set0);

  }

  @Test
  public void test318() {}
// Defects4J: flaky method
//   @Test
//   public void test318() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long21 = unsupportedDateTimeField18.roundCeiling((-2440588L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
// 
//   }

  @Test
  public void test319() {}
// Defects4J: flaky method
//   @Test
//   public void test319() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     int i41 = partial39.getValue(0);
//     java.util.TimeZone timeZone42 = null;
//     org.joda.time.DateTimeZone dateTimeZone43 = org.joda.time.DateTimeZone.forTimeZone(timeZone42);
//     java.lang.String str45 = dateTimeZone43.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology46 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone43);
//     org.joda.time.Chronology chronology47 = gJChronology46.withUTC();
//     org.joda.time.Partial partial48 = partial39.withChronologyRetainFields(chronology47);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime((java.lang.Object)partial48);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 1000);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "+00:00"+ "'", str45.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial48);
// 
//   }

  @Test
  public void test320() {}
// Defects4J: flaky method
//   @Test
//   public void test320() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.minus(readableDuration16);
//     org.joda.time.Instant instant18 = new org.joda.time.Instant((java.lang.Object)dateTime11);
//     boolean b19 = dateTime6.isEqual((org.joda.time.ReadableInstant)instant18);
//     org.joda.time.Instant instant21 = instant18.withMillis(1L);
//     org.joda.time.Instant instant24 = instant21.withDurationAdded(6300223690102267L, 7);
//     org.joda.time.Instant instant26 = instant21.plus((-57160588L));
//     org.joda.time.Instant instant27 = new org.joda.time.Instant((java.lang.Object)instant21);
//     org.joda.time.DateTime dateTime28 = instant21.toDateTime();
//     org.joda.time.Instant instant30 = instant21.minus((-1803813931583999990L));
//     org.joda.time.ReadableDuration readableDuration31 = null;
//     org.joda.time.Instant instant32 = instant30.plus(readableDuration31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant32);
// 
//   }

  @Test
  public void test321() {}
// Defects4J: flaky method
//   @Test
//   public void test321() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.minusMillis(29299);
//     java.util.TimeZone timeZone3 = null;
//     org.joda.time.DateTimeZone dateTimeZone4 = org.joda.time.DateTimeZone.forTimeZone(timeZone3);
//     java.lang.String str6 = dateTimeZone4.getShortName(10L);
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(dateTimeZone4);
//     org.joda.time.Chronology chronology8 = null;
//     org.joda.time.DateTime dateTime9 = dateTime7.toDateTime(chronology8);
//     org.joda.time.DateTime dateTime11 = dateTime7.minusWeeks(0);
//     org.joda.time.LocalDate localDate12 = dateTime7.toLocalDate();
//     org.joda.time.LocalDate.Property property13 = localDate12.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod14 = null;
//     org.joda.time.LocalDate localDate15 = localDate12.minus(readablePeriod14);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter16 = null;
//     java.lang.String str17 = localDate15.toString(dateTimeFormatter16);
//     java.util.TimeZone timeZone18 = null;
//     org.joda.time.DateTimeZone dateTimeZone19 = org.joda.time.DateTimeZone.forTimeZone(timeZone18);
//     org.joda.time.DateTime dateTime20 = localDate15.toDateTimeAtCurrentTime(dateTimeZone19);
//     org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder21 = new org.joda.time.tz.DateTimeZoneBuilder();
//     org.joda.time.DateTimeZone dateTimeZone24 = dateTimeZoneBuilder21.toDateTimeZone("hi!", true);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone25 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone24);
//     int i27 = cachedDateTimeZone25.getOffset((-230400000L));
//     org.joda.time.DateTimeZone dateTimeZone28 = cachedDateTimeZone25.getUncachedZone();
//     org.joda.time.DateTime dateTime29 = localDate15.toDateTimeAtMidnight((org.joda.time.DateTimeZone)cachedDateTimeZone25);
//     org.joda.time.DateTime dateTime30 = dateTime2.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str6 + "' != '" + "+00:00"+ "'", str6.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str17 + "' != '" + "2016-02-21"+ "'", str17.equals("2016-02-21"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
// 
//   }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.JulianChronology julianChronology1 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology1);

  }

  @Test
  public void test323() {}
// Defects4J: flaky method
//   @Test
//   public void test323() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.minus(readableDuration16);
//     org.joda.time.Instant instant18 = new org.joda.time.Instant((java.lang.Object)dateTime11);
//     boolean b19 = dateTime6.isEqual((org.joda.time.ReadableInstant)instant18);
//     org.joda.time.Instant instant21 = instant18.plus(1L);
//     org.joda.time.DateTime dateTime22 = instant18.toDateTimeISO();
//     org.joda.time.DateTime dateTime23 = instant18.toDateTimeISO();
//     org.joda.time.ReadableDuration readableDuration24 = null;
//     org.joda.time.Instant instant26 = instant18.withDurationAdded(readableDuration24, 81);
//     org.joda.time.DateTime dateTime27 = instant26.toDateTime();
//     int i28 = dateTime27.getCenturyOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 20);
// 
//   }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.joda.time.chrono.GJChronology gJChronology0 = org.joda.time.chrono.GJChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gJChronology0.monthOfYear();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gJChronology0.getDateTimeMillis(58114, 2016, 29300, (-1), 29299, 29303361, 2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test325() {}
// Defects4J: flaky method
//   @Test
//   public void test325() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long22 = unsupportedDateTimeField18.add((-100L), 0L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
// 
//   }

  @Test
  public void test326() {}
// Defects4J: flaky method
//   @Test
//   public void test326() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     int i18 = gJChronology4.getMinimumDaysInFirstWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 4);
// 
//   }

  @Test
  public void test327() {}
// Defects4J: flaky method
//   @Test
//   public void test327() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     long long61 = skipDateTimeField47.addWrapField((-2440588L), 1000);
//     java.util.TimeZone timeZone62 = null;
//     org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeZone.forTimeZone(timeZone62);
//     java.lang.String str65 = dateTimeZone63.getShortName(10L);
//     org.joda.time.DateTime dateTime66 = new org.joda.time.DateTime(dateTimeZone63);
//     org.joda.time.Chronology chronology67 = null;
//     org.joda.time.DateTime dateTime68 = dateTime66.toDateTime(chronology67);
//     org.joda.time.DateTime dateTime70 = dateTime66.minusWeeks(0);
//     org.joda.time.LocalDate localDate71 = dateTime66.toLocalDate();
//     org.joda.time.LocalDate.Property property72 = localDate71.weekOfWeekyear();
//     org.joda.time.Partial partial73 = new org.joda.time.Partial((org.joda.time.ReadablePartial)localDate71);
//     org.joda.time.chrono.GregorianChronology gregorianChronology75 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField76 = gregorianChronology75.weekyear();
//     org.joda.time.DateTimeField dateTimeField77 = gregorianChronology75.weekyear();
//     int i78 = gregorianChronology75.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone79 = null;
//     org.joda.time.DateTimeZone dateTimeZone80 = org.joda.time.DateTimeZone.forTimeZone(timeZone79);
//     java.lang.String str82 = dateTimeZone80.getShortName(10L);
//     org.joda.time.DateTime dateTime83 = new org.joda.time.DateTime(dateTimeZone80);
//     java.util.TimeZone timeZone84 = null;
//     org.joda.time.DateTimeZone dateTimeZone85 = org.joda.time.DateTimeZone.forTimeZone(timeZone84);
//     java.lang.String str87 = dateTimeZone85.getShortName(10L);
//     org.joda.time.DateTime dateTime88 = new org.joda.time.DateTime(dateTimeZone85);
//     org.joda.time.DateTime dateTime89 = dateTime83.toDateTime(dateTimeZone85);
//     org.joda.time.Chronology chronology90 = gregorianChronology75.withZone(dateTimeZone85);
//     org.joda.time.LocalDate localDate91 = org.joda.time.LocalDate.now(dateTimeZone85);
//     int[] i_array92 = localDate91.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array94 = skipDateTimeField47.addWrapField((org.joda.time.ReadablePartial)partial73, 58107, i_array92, 58111);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == (-28840588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str65 + "' != '" + "+00:00"+ "'", str65.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i78 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str82 + "' != '" + "+00:00"+ "'", str82.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str87 + "' != '" + "+00:00"+ "'", str87.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array92);
// 
//   }

  @Test
  public void test328() {}
// Defects4J: flaky method
//   @Test
//   public void test328() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime14 = dateTime12.minusYears(1);
//     int i15 = dateTime12.getSecondOfDay();
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusYears(1);
//     int i23 = dateTime20.getSecondOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime20.plusMonths(100);
//     org.joda.time.chrono.LimitChronology limitChronology26 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology5, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime25);
//     org.joda.time.DateTime dateTime27 = limitChronology26.getLowerLimit();
//     java.lang.String str28 = limitChronology26.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long33 = limitChronology26.getDateTimeMillis((-1), (-2440588), 968, 58111094);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 58114);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 58114);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "LimitChronology[JulianChronology[PST], 2016-02-21T16:08:34.266Z, 2024-06-21T16:08:34.267Z]"+ "'", str28.equals("LimitChronology[JulianChronology[PST], 2016-02-21T16:08:34.266Z, 2024-06-21T16:08:34.267Z]"));
// 
//   }

  @Test
  public void test329() {}
// Defects4J: flaky method
//   @Test
//   public void test329() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.DateTime dateTime10 = dateTime4.toDateTime(dateTimeZone6);
//     boolean b12 = dateTimeZone6.isStandardOffset((-85960588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == true);
// 
//   }

  @Test
  public void test330() {}
// Defects4J: flaky method
//   @Test
//   public void test330() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str1 = iSOChronology0.toString();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.Interval interval25 = localDate21.toInterval();
//     boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
//     java.util.TimeZone timeZone27 = null;
//     org.joda.time.DateTimeZone dateTimeZone28 = org.joda.time.DateTimeZone.forTimeZone(timeZone27);
//     java.lang.String str30 = dateTimeZone28.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology31 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone28);
//     java.util.TimeZone timeZone32 = null;
//     org.joda.time.DateTimeZone dateTimeZone33 = org.joda.time.DateTimeZone.forTimeZone(timeZone32);
//     java.lang.String str35 = dateTimeZone33.getShortName(10L);
//     org.joda.time.DateTime dateTime36 = new org.joda.time.DateTime(dateTimeZone33);
//     org.joda.time.Chronology chronology37 = null;
//     org.joda.time.DateTime dateTime38 = dateTime36.toDateTime(chronology37);
//     org.joda.time.DateTime dateTime40 = dateTime36.minusWeeks(0);
//     org.joda.time.LocalDate localDate41 = dateTime36.toLocalDate();
//     int i42 = localDate41.getDayOfMonth();
//     org.joda.time.LocalDate.Property property43 = localDate41.yearOfEra();
//     boolean b44 = gJChronology31.equals((java.lang.Object)localDate41);
//     org.joda.time.LocalTime localTime45 = null;
//     java.util.TimeZone timeZone46 = null;
//     org.joda.time.DateTimeZone dateTimeZone47 = org.joda.time.DateTimeZone.forTimeZone(timeZone46);
//     java.lang.String str49 = dateTimeZone47.getShortName(10L);
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(dateTimeZone47);
//     org.joda.time.Chronology chronology51 = null;
//     org.joda.time.DateTime dateTime52 = dateTime50.toDateTime(chronology51);
//     org.joda.time.DateTime dateTime54 = dateTime50.minusWeeks(0);
//     org.joda.time.DateTime dateTime55 = dateTime54.toDateTime();
//     boolean b57 = dateTime55.isEqual(10L);
//     org.joda.time.DateTime dateTime58 = dateTime55.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration59 = null;
//     org.joda.time.DateTime dateTime60 = dateTime58.minus(readableDuration59);
//     java.util.TimeZone timeZone61 = null;
//     org.joda.time.DateTimeZone dateTimeZone62 = org.joda.time.DateTimeZone.forTimeZone(timeZone61);
//     org.joda.time.DateTime dateTime63 = dateTime60.withZoneRetainFields(dateTimeZone62);
//     org.joda.time.DateTime dateTime64 = localDate41.toDateTime(localTime45, dateTimeZone62);
//     org.joda.time.LocalDate localDate65 = localDate21.withFields((org.joda.time.ReadablePartial)localTime45);
//     org.joda.time.Partial partial66 = new org.joda.time.Partial((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.LocalDate localDate68 = localDate21.withYearOfEra(58110);
//     org.joda.time.LocalDate localDate70 = localDate68.plusDays(58112);
//     int i71 = localDate70.getDayOfMonth();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[PST]"+ "'", str1.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "+00:00"+ "'", str30.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "+00:00"+ "'", str35.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b44 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str49 + "' != '" + "+00:00"+ "'", str49.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b57 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i71 == 31);
// 
//   }

  @Test
  public void test331() {}
// Defects4J: flaky method
//   @Test
//   public void test331() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter10 = null;
//     java.lang.String str11 = partial6.toString(dateTimeFormatter10);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str13 = iSOChronology12.toString();
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     java.lang.String str17 = dateTimeZone15.getShortName(10L);
//     org.joda.time.DateTime dateTime18 = new org.joda.time.DateTime(dateTimeZone15);
//     org.joda.time.Chronology chronology19 = null;
//     org.joda.time.DateTime dateTime20 = dateTime18.toDateTime(chronology19);
//     org.joda.time.DateTime dateTime22 = dateTime18.minusWeeks(0);
//     org.joda.time.DateTime dateTime23 = dateTime22.toDateTime();
//     java.util.TimeZone timeZone24 = null;
//     org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forTimeZone(timeZone24);
//     java.lang.String str27 = dateTimeZone25.getShortName(10L);
//     org.joda.time.DateTime dateTime28 = new org.joda.time.DateTime(dateTimeZone25);
//     org.joda.time.Chronology chronology29 = null;
//     org.joda.time.DateTime dateTime30 = dateTime28.toDateTime(chronology29);
//     org.joda.time.DateTime dateTime32 = dateTime28.minusWeeks(0);
//     org.joda.time.LocalDate localDate33 = dateTime28.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = localDate33.getFieldType(0);
//     org.joda.time.DateTime dateTime36 = dateTime22.withFields((org.joda.time.ReadablePartial)localDate33);
//     org.joda.time.Interval interval37 = localDate33.toInterval();
//     boolean b38 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology12, (java.lang.Object)localDate33);
//     org.joda.time.DateTime dateTime39 = localDate33.toDateTimeAtStartOfDay();
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b40 = partial6.isEqual((org.joda.time.ReadablePartial)localDate33);
//       org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
//     } catch (java.lang.ClassCastException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "[]"+ "'", str11.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "ISOChronology[PST]"+ "'", str13.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str17 + "' != '" + "+00:00"+ "'", str17.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str27 + "' != '" + "+00:00"+ "'", str27.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b38 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
// 
//   }

  @Test
  public void test332() {}
// Defects4J: flaky method
//   @Test
//   public void test332() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.minus(readableDuration16);
//     org.joda.time.Instant instant18 = new org.joda.time.Instant((java.lang.Object)dateTime11);
//     boolean b19 = dateTime6.isEqual((org.joda.time.ReadableInstant)instant18);
//     org.joda.time.Instant instant21 = instant18.withMillis(1L);
//     org.joda.time.Instant instant24 = instant21.withDurationAdded(6300223690102267L, 7);
//     org.joda.time.Instant instant26 = instant21.plus((-57160588L));
//     org.joda.time.Instant instant27 = new org.joda.time.Instant((java.lang.Object)instant21);
//     org.joda.time.Chronology chronology28 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)instant21);
//     org.joda.time.Instant instant30 = instant21.plus((-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant30);
// 
//   }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    int i2 = gregorianChronology0.getMinimumDaysInFirstWeek();
    org.joda.time.DurationField durationField3 = gregorianChronology0.weeks();
    org.joda.time.DurationField durationField4 = gregorianChronology0.months();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);

  }

  @Test
  public void test334() {}
// Defects4J: flaky method
//   @Test
//   public void test334() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     int i98 = dividedDateTimeField97.getDivisor();
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField99 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField97);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i98 == 2015);
// 
//   }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("LimitChronology[JulianChronology[PST], 2016-02-21T16:08:28.818Z, 2024-06-21T16:08:28.818Z]", "DateTimeField[weekyear]", (-52600807), 201616);

  }

  @Test
  public void test336() {}
// Defects4J: flaky method
//   @Test
//   public void test336() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     long long61 = skipDateTimeField47.addWrapField((-2440588L), 1000);
//     java.lang.String str62 = skipDateTimeField47.getName();
//     int i64 = skipDateTimeField47.getMinimumValue((-1L));
//     int i65 = skipDateTimeField47.getMinimumValue();
//     java.lang.String str67 = skipDateTimeField47.getAsShortText(1833680421640588L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == (-28840588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str62 + "' != '" + "minuteOfDay"+ "'", str62.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str67 + "' != '" + "40"+ "'", str67.equals("40"));
// 
//   }

  @Test
  public void test337() {}
// Defects4J: flaky method
//   @Test
//   public void test337() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     org.joda.time.DateTimeFieldType dateTimeFieldType4 = offsetDateTimeField3.getType();
//     long long7 = offsetDateTimeField3.getDifferenceAsLong(0L, 6300223690102267L);
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.chrono.JulianChronology julianChronology13 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone9);
//     org.joda.time.Partial partial14 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology13);
//     java.lang.String str15 = partial14.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType16 = null;
//     int i17 = partial14.indexOf(dateTimeFieldType16);
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.chrono.JulianChronology julianChronology24 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone20);
//     org.joda.time.Partial partial25 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology24);
//     java.lang.String str26 = partial25.toString();
//     int[] i_array27 = partial25.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array29 = offsetDateTimeField3.addWrapPartial((org.joda.time.ReadablePartial)partial14, 7, i_array27, 292280432);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-199646L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "[]"+ "'", str15.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "[]"+ "'", str26.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array27);
// 
//   }

  @Test
  public void test338() {}
// Defects4J: flaky method
//   @Test
//   public void test338() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.Chronology chronology13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.toDateTime(chronology13);
//     org.joda.time.DateTime dateTime16 = dateTime12.minusWeeks(0);
//     org.joda.time.LocalDate localDate17 = dateTime12.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType19 = localDate17.getFieldType(0);
//     org.joda.time.LocalDate localDate21 = localDate17.minusWeeks(0);
//     int i22 = localDate17.getEra();
//     boolean b23 = partial6.isMatch((org.joda.time.ReadablePartial)localDate17);
//     org.joda.time.LocalDate localDate25 = localDate17.withWeekyear(0);
//     int i26 = localDate25.size();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 3);
// 
//   }

  @Test
  public void test339() {}
// Defects4J: flaky method
//   @Test
//   public void test339() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     org.joda.time.YearMonthDay yearMonthDay7 = dateTime4.toYearMonthDay();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.chrono.JulianChronology julianChronology13 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone9);
//     org.joda.time.Partial partial14 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology13);
//     org.joda.time.DateTimeZone dateTimeZone15 = julianChronology13.getZone();
//     org.joda.time.DateTime dateTime16 = dateTime4.toDateTime(dateTimeZone15);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime20 = dateTime16.withDate(58111, 29302, 1000);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(yearMonthDay7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
// 
//   }

  @Test
  public void test340() {}
// Defects4J: flaky method
//   @Test
//   public void test340() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     int i9 = dateTime8.getDayOfYear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 52);
// 
//   }

  @Test
  public void test341() {}
// Defects4J: flaky method
//   @Test
//   public void test341() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     int i12 = localDate9.getDayOfYear();
//     org.joda.time.LocalDate localDate14 = localDate9.withWeekyear(213);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate16 = localDate14.withDayOfWeek(2015);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
// 
//   }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-57160588L), 6300223690102267L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-6300223747262855L));

  }

  @Test
  public void test343() {}
// Defects4J: flaky method
//   @Test
//   public void test343() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.minus(readableDuration16);
//     org.joda.time.Instant instant18 = new org.joda.time.Instant((java.lang.Object)dateTime11);
//     boolean b19 = dateTime6.isEqual((org.joda.time.ReadableInstant)instant18);
//     org.joda.time.Instant instant21 = instant18.plus(1L);
//     org.joda.time.DateTime dateTime22 = instant18.toDateTimeISO();
//     org.joda.time.DateTime dateTime23 = instant18.toDateTimeISO();
//     org.joda.time.ReadableDuration readableDuration24 = null;
//     org.joda.time.Instant instant26 = instant18.withDurationAdded(readableDuration24, 81);
//     org.joda.time.DateTime dateTime27 = instant26.toDateTime();
//     org.joda.time.DateTime dateTime28 = instant26.toDateTimeISO();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
// 
//   }

  @Test
  public void test344() {}
// Defects4J: flaky method
//   @Test
//   public void test344() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     java.lang.String str23 = dateTimeZone21.getShortName(10L);
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime24.toDateTime(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime24.minusWeeks(0);
//     org.joda.time.LocalDate localDate29 = dateTime24.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType31 = localDate29.getFieldType(0);
//     org.joda.time.LocalDate localDate33 = localDate29.minusWeeks(0);
//     java.util.TimeZone timeZone34 = null;
//     org.joda.time.DateTimeZone dateTimeZone35 = org.joda.time.DateTimeZone.forTimeZone(timeZone34);
//     org.joda.time.Interval interval36 = localDate33.toInterval(dateTimeZone35);
//     java.util.TimeZone timeZone37 = null;
//     org.joda.time.DateTimeZone dateTimeZone38 = org.joda.time.DateTimeZone.forTimeZone(timeZone37);
//     java.lang.String str40 = dateTimeZone38.getShortName(10L);
//     org.joda.time.DateTime dateTime41 = new org.joda.time.DateTime(dateTimeZone38);
//     org.joda.time.chrono.JulianChronology julianChronology42 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone38);
//     org.joda.time.Partial partial43 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology42);
//     java.lang.String str44 = partial43.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType45 = null;
//     int i46 = partial43.indexOf(dateTimeFieldType45);
//     java.lang.String str47 = partial43.toString();
//     int i48 = partial43.size();
//     java.util.TimeZone timeZone49 = null;
//     org.joda.time.DateTimeZone dateTimeZone50 = org.joda.time.DateTimeZone.forTimeZone(timeZone49);
//     java.lang.String str52 = dateTimeZone50.getShortName(10L);
//     org.joda.time.DateTime dateTime53 = new org.joda.time.DateTime(dateTimeZone50);
//     java.util.TimeZone timeZone54 = null;
//     org.joda.time.DateTimeZone dateTimeZone55 = org.joda.time.DateTimeZone.forTimeZone(timeZone54);
//     java.lang.String str57 = dateTimeZone55.getShortName(10L);
//     org.joda.time.DateTime dateTime58 = new org.joda.time.DateTime(dateTimeZone55);
//     org.joda.time.DateTime dateTime59 = dateTime53.toDateTime(dateTimeZone55);
//     org.joda.time.DateTime dateTime60 = partial43.toDateTime((org.joda.time.ReadableInstant)dateTime53);
//     org.joda.time.LocalTime localTime61 = dateTime60.toLocalTime();
//     org.joda.time.DateTime dateTime62 = localDate33.toDateTime(localTime61);
//     java.util.TimeZone timeZone64 = null;
//     org.joda.time.DateTimeZone dateTimeZone65 = org.joda.time.DateTimeZone.forTimeZone(timeZone64);
//     java.lang.String str67 = dateTimeZone65.getShortName(10L);
//     org.joda.time.DateTime dateTime68 = new org.joda.time.DateTime(dateTimeZone65);
//     org.joda.time.chrono.JulianChronology julianChronology69 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone65);
//     org.joda.time.Partial partial70 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology69);
//     java.lang.String str71 = partial70.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType72 = null;
//     int i73 = partial70.indexOf(dateTimeFieldType72);
//     java.lang.String str74 = partial70.toString();
//     int i75 = partial70.size();
//     java.util.TimeZone timeZone76 = null;
//     org.joda.time.DateTimeZone dateTimeZone77 = org.joda.time.DateTimeZone.forTimeZone(timeZone76);
//     java.lang.String str79 = dateTimeZone77.getShortName(10L);
//     org.joda.time.DateTime dateTime80 = new org.joda.time.DateTime(dateTimeZone77);
//     org.joda.time.Chronology chronology81 = null;
//     org.joda.time.DateTime dateTime82 = dateTime80.toDateTime(chronology81);
//     org.joda.time.DateTime dateTime84 = dateTime80.minusWeeks(0);
//     org.joda.time.LocalDate localDate85 = dateTime80.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType87 = localDate85.getFieldType(0);
//     org.joda.time.Partial partial89 = partial70.with(dateTimeFieldType87, (-1));
//     int[] i_array90 = partial70.getValues();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array92 = unsupportedDateTimeField18.addWrapField((org.joda.time.ReadablePartial)localDate33, 52, i_array90, 203055);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+00:00"+ "'", str23.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str40 + "' != '" + "+00:00"+ "'", str40.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str44 + "' != '" + "[]"+ "'", str44.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i46 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "[]"+ "'", str47.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str52 + "' != '" + "+00:00"+ "'", str52.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str57 + "' != '" + "+00:00"+ "'", str57.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str67 + "' != '" + "+00:00"+ "'", str67.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str71 + "' != '" + "[]"+ "'", str71.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i73 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "[]"+ "'", str74.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i75 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str79 + "' != '" + "+00:00"+ "'", str79.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType87);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array90);
// 
//   }

  @Test
  public void test345() {}
// Defects4J: flaky method
//   @Test
//   public void test345() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     int i98 = dividedDateTimeField97.getDivisor();
//     org.joda.time.DurationField durationField99 = dividedDateTimeField97.getDurationField();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i98 == 2015);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField99);
// 
//   }

  @Test
  public void test346() {}
// Defects4J: flaky method
//   @Test
//   public void test346() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone6 = null;
//     org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forTimeZone(timeZone6);
//     java.lang.String str9 = dateTimeZone7.getShortName(10L);
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(dateTimeZone7);
//     org.joda.time.chrono.ZonedChronology zonedChronology11 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology5, dateTimeZone7);
//     org.joda.time.DateTime dateTime12 = org.joda.time.DateTime.now(dateTimeZone7);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(0, (-52600807), 20, 58111, 968, dateTimeZone7);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+00:00"+ "'", str9.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
// 
//   }

  @Test
  public void test347() {}
// Defects4J: flaky method
//   @Test
//   public void test347() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str1 = iSOChronology0.toString();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.Interval interval25 = localDate21.toInterval();
//     boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology0.dayOfMonth();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology0.dayOfWeek();
//     org.joda.time.LocalDate localDate29 = new org.joda.time.LocalDate((org.joda.time.Chronology)iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[PST]"+ "'", str1.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
// 
//   }

  @Test
  public void test348() {}
// Defects4J: flaky method
//   @Test
//   public void test348() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     org.joda.time.LocalDate.Property property32 = localDate13.centuryOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property32);
// 
//   }

  @Test
  public void test349() {}
// Defects4J: flaky method
//   @Test
//   public void test349() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.LocalDate.Property property10 = localDate9.weekOfWeekyear();
//     org.joda.time.Partial partial11 = new org.joda.time.Partial((org.joda.time.ReadablePartial)localDate9);
//     org.joda.time.DateTimeFieldType dateTimeFieldType12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i13 = localDate9.get(dateTimeFieldType12);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
// 
//   }

  @Test
  public void test350() {}
// Defects4J: flaky method
//   @Test
//   public void test350() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.LocalDate.Property property10 = localDate9.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.LocalDate localDate12 = localDate9.minus(readablePeriod11);
//     org.joda.time.DurationFieldType durationFieldType13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate15 = localDate12.withFieldAdded(durationFieldType13, 29303);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
// 
//   }

  @Test
  public void test351() {}
// Defects4J: flaky method
//   @Test
//   public void test351() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField21 = null;
//     java.util.TimeZone timeZone22 = null;
//     org.joda.time.DateTimeZone dateTimeZone23 = org.joda.time.DateTimeZone.forTimeZone(timeZone22);
//     java.lang.String str25 = dateTimeZone23.getShortName(10L);
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(dateTimeZone23);
//     org.joda.time.Chronology chronology27 = null;
//     org.joda.time.DateTime dateTime28 = dateTime26.toDateTime(chronology27);
//     org.joda.time.DateTime dateTime30 = dateTime26.minusWeeks(0);
//     org.joda.time.LocalDate localDate31 = dateTime26.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType33 = localDate31.getFieldType(0);
//     org.joda.time.LocalDate localDate35 = localDate31.minusWeeks(0);
//     java.util.TimeZone timeZone36 = null;
//     org.joda.time.DateTimeZone dateTimeZone37 = org.joda.time.DateTimeZone.forTimeZone(timeZone36);
//     org.joda.time.Interval interval38 = localDate35.toInterval(dateTimeZone37);
//     int i39 = localDate35.getMonthOfYear();
//     int i40 = localDate35.getWeekOfWeekyear();
//     java.util.TimeZone timeZone41 = null;
//     org.joda.time.DateTimeZone dateTimeZone42 = org.joda.time.DateTimeZone.forTimeZone(timeZone41);
//     java.lang.String str44 = dateTimeZone42.getShortName(10L);
//     org.joda.time.DateTime dateTime45 = new org.joda.time.DateTime(dateTimeZone42);
//     org.joda.time.Chronology chronology46 = null;
//     org.joda.time.DateTime dateTime47 = dateTime45.toDateTime(chronology46);
//     org.joda.time.DateTime dateTime49 = dateTime45.minusWeeks(0);
//     org.joda.time.LocalDate localDate50 = dateTime45.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType52 = localDate50.getFieldType(0);
//     int i53 = localDate35.get(dateTimeFieldType52);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.DividedDateTimeField dividedDateTimeField55 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)unsupportedDateTimeField18, durationField21, dateTimeFieldType52, 58113);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "+00:00"+ "'", str25.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i40 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str44 + "' != '" + "+00:00"+ "'", str44.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i53 == 2016);
// 
//   }

  @Test
  public void test352() {}
// Defects4J: flaky method
//   @Test
//   public void test352() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     boolean b6 = offsetDateTimeField3.isLenient();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField7 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3);
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.Chronology chronology13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.toDateTime(chronology13);
//     org.joda.time.DateTime dateTime16 = dateTime12.minusWeeks(0);
//     org.joda.time.LocalDate localDate17 = dateTime12.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType19 = localDate17.getFieldType(0);
//     org.joda.time.LocalDate localDate21 = localDate17.minusWeeks(0);
//     java.util.TimeZone timeZone22 = null;
//     org.joda.time.DateTimeZone dateTimeZone23 = org.joda.time.DateTimeZone.forTimeZone(timeZone22);
//     org.joda.time.Interval interval24 = localDate21.toInterval(dateTimeZone23);
//     int i25 = localDate21.getMonthOfYear();
//     int i26 = localDate21.getWeekOfWeekyear();
//     java.util.TimeZone timeZone27 = null;
//     org.joda.time.DateTimeZone dateTimeZone28 = org.joda.time.DateTimeZone.forTimeZone(timeZone27);
//     java.lang.String str30 = dateTimeZone28.getShortName(10L);
//     org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone28);
//     org.joda.time.Chronology chronology32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime31.toDateTime(chronology32);
//     org.joda.time.DateTime dateTime35 = dateTime31.minusWeeks(0);
//     org.joda.time.LocalDate localDate36 = dateTime31.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType38 = localDate36.getFieldType(0);
//     int i39 = localDate21.get(dateTimeFieldType38);
//     java.util.TimeZone timeZone41 = null;
//     org.joda.time.DateTimeZone dateTimeZone42 = org.joda.time.DateTimeZone.forTimeZone(timeZone41);
//     java.lang.String str44 = dateTimeZone42.getShortName(10L);
//     org.joda.time.DateTime dateTime45 = new org.joda.time.DateTime(dateTimeZone42);
//     org.joda.time.chrono.CopticChronology copticChronology46 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone42);
//     org.joda.time.Partial partial47 = new org.joda.time.Partial(dateTimeFieldType38, 1000, (org.joda.time.Chronology)copticChronology46);
//     int i49 = partial47.getValue(0);
//     java.util.TimeZone timeZone50 = null;
//     org.joda.time.DateTimeZone dateTimeZone51 = org.joda.time.DateTimeZone.forTimeZone(timeZone50);
//     java.lang.String str53 = dateTimeZone51.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology54 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone51);
//     org.joda.time.Chronology chronology55 = gJChronology54.withUTC();
//     org.joda.time.Partial partial56 = partial47.withChronologyRetainFields(chronology55);
//     org.joda.time.ReadablePeriod readablePeriod57 = null;
//     org.joda.time.Partial partial59 = partial56.withPeriodAdded(readablePeriod57, 0);
//     int[] i_array60 = null;
//     int i61 = offsetDateTimeField3.getMinimumValue((org.joda.time.ReadablePartial)partial59, i_array60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "+00:00"+ "'", str30.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str44 + "' != '" + "+00:00"+ "'", str44.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 1000);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str53 + "' != '" + "+00:00"+ "'", str53.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i61 == (-292273615));
// 
//   }

  @Test
  public void test353() {}
// Defects4J: flaky method
//   @Test
//   public void test353() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
//     int i3 = gregorianChronology0.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.DateTime dateTime14 = dateTime8.toDateTime(dateTimeZone10);
//     org.joda.time.Chronology chronology15 = gregorianChronology0.withZone(dateTimeZone10);
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.Chronology chronology21 = null;
//     org.joda.time.DateTime dateTime22 = dateTime20.toDateTime(chronology21);
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.ReadableDateTime)dateTime22, readableDateTime23);
//     org.joda.time.DurationField durationField25 = gregorianChronology0.months();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField25);
// 
//   }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.joda.time.LocalDate localDate0 = org.joda.time.LocalDate.now();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate0);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed((-107577676360588L));

  }

  @Test
  public void test356() {}
// Defects4J: flaky method
//   @Test
//   public void test356() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     long long5 = offsetDateTimeField3.roundHalfFloor(0L);
//     boolean b6 = offsetDateTimeField3.isLenient();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField7 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3);
//     org.joda.time.DurationField durationField8 = delegatedDateTimeField7.getLeapDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long11 = delegatedDateTimeField7.set((-259200000L), "ISOChronology[America/Los_Angeles]");
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField8);
// 
//   }

  @Test
  public void test357() {}
// Defects4J: flaky method
//   @Test
//   public void test357() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.LocalDate localDate16 = dateTime11.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType18 = localDate16.getFieldType(0);
//     org.joda.time.LocalDate localDate20 = localDate16.minusWeeks(0);
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     org.joda.time.Interval interval23 = localDate20.toInterval(dateTimeZone22);
//     int i24 = localDate20.getMonthOfYear();
//     int i25 = localDate20.getWeekOfWeekyear();
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     java.lang.String str29 = dateTimeZone27.getShortName(10L);
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone27);
//     org.joda.time.Chronology chronology31 = null;
//     org.joda.time.DateTime dateTime32 = dateTime30.toDateTime(chronology31);
//     org.joda.time.DateTime dateTime34 = dateTime30.minusWeeks(0);
//     org.joda.time.LocalDate localDate35 = dateTime30.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = localDate35.getFieldType(0);
//     int i38 = localDate20.get(dateTimeFieldType37);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.Partial partial47 = new org.joda.time.Partial(dateTimeFieldType37, 29299, (org.joda.time.Chronology)julianChronology45);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType59 = localDate57.getFieldType(0);
//     org.joda.time.LocalDate localDate61 = localDate57.minusWeeks(0);
//     java.util.TimeZone timeZone62 = null;
//     org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeZone.forTimeZone(timeZone62);
//     org.joda.time.Interval interval64 = localDate61.toInterval(dateTimeZone63);
//     int i65 = localDate61.getMonthOfYear();
//     int i66 = localDate61.getWeekOfWeekyear();
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     java.lang.String str70 = dateTimeZone68.getShortName(10L);
//     org.joda.time.DateTime dateTime71 = new org.joda.time.DateTime(dateTimeZone68);
//     org.joda.time.Chronology chronology72 = null;
//     org.joda.time.DateTime dateTime73 = dateTime71.toDateTime(chronology72);
//     org.joda.time.DateTime dateTime75 = dateTime71.minusWeeks(0);
//     org.joda.time.LocalDate localDate76 = dateTime71.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType78 = localDate76.getFieldType(0);
//     int i79 = localDate61.get(dateTimeFieldType78);
//     java.util.TimeZone timeZone81 = null;
//     org.joda.time.DateTimeZone dateTimeZone82 = org.joda.time.DateTimeZone.forTimeZone(timeZone81);
//     java.lang.String str84 = dateTimeZone82.getShortName(10L);
//     org.joda.time.DateTime dateTime85 = new org.joda.time.DateTime(dateTimeZone82);
//     org.joda.time.chrono.CopticChronology copticChronology86 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone82);
//     org.joda.time.Partial partial87 = new org.joda.time.Partial(dateTimeFieldType78, 1000, (org.joda.time.Chronology)copticChronology86);
//     int i88 = partial47.indexOf(dateTimeFieldType78);
//     boolean b89 = dateTime6.isSupported(dateTimeFieldType78);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException91 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType78, "America/Los_Angeles");
//     org.joda.time.DurationFieldType durationFieldType92 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField93 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType92);
//     org.joda.time.DurationFieldType durationFieldType94 = unsupportedDurationField93.getType();
//     boolean b95 = unsupportedDurationField93.isPrecise();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField96 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType78, (org.joda.time.DurationField)unsupportedDurationField93);
//     org.joda.time.chrono.BuddhistChronology buddhistChronology97 = org.joda.time.chrono.BuddhistChronology.getInstance();
//     org.joda.time.DurationField durationField98 = buddhistChronology97.millis();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField99 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType78, durationField98);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str29 + "' != '" + "+00:00"+ "'", str29.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str70 + "' != '" + "+00:00"+ "'", str70.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i79 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str84 + "' != '" + "+00:00"+ "'", str84.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i88 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b89 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField93);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType94);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b95 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField96);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(buddhistChronology97);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField98);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField99);
// 
//   }

  @Test
  public void test358() {}
// Defects4J: flaky method
//   @Test
//   public void test358() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     int i41 = partial39.getValue(0);
//     java.util.TimeZone timeZone42 = null;
//     org.joda.time.DateTimeZone dateTimeZone43 = org.joda.time.DateTimeZone.forTimeZone(timeZone42);
//     java.lang.String str45 = dateTimeZone43.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology46 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone43);
//     org.joda.time.Chronology chronology47 = gJChronology46.withUTC();
//     org.joda.time.Partial partial48 = partial39.withChronologyRetainFields(chronology47);
//     java.lang.String str49 = partial48.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 1000);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "+00:00"+ "'", str45.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str49 + "' != '" + "1000"+ "'", str49.equals("1000"));
// 
//   }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = org.joda.time.LocalDate.parse("", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    long long2 = org.joda.time.field.FieldUtils.safeDivide((-15551999999999L), (-57160588L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 272075L);

  }

  @Test
  public void test361() {}
// Defects4J: flaky method
//   @Test
//   public void test361() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     long long99 = dividedDateTimeField97.remainder(1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long99 == 1L);
// 
//   }

  @Test
  public void test362() {}
// Defects4J: flaky method
//   @Test
//   public void test362() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.DateTime dateTime22 = dateTime8.withFields((org.joda.time.ReadablePartial)localDate19);
//     int i23 = localDate19.getDayOfWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 3);
// 
//   }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.secondOfMinute();
    org.joda.time.DurationField durationField2 = gregorianChronology0.weekyears();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(19, 58104, 201616);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 143532);

  }

  @Test
  public void test365() {}
// Defects4J: flaky method
//   @Test
//   public void test365() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     org.joda.time.LocalTime localTime18 = null;
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.DateTime dateTime28 = dateTime27.toDateTime();
//     boolean b30 = dateTime28.isEqual(10L);
//     org.joda.time.DateTime dateTime31 = dateTime28.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime31.minus(readableDuration32);
//     java.util.TimeZone timeZone34 = null;
//     org.joda.time.DateTimeZone dateTimeZone35 = org.joda.time.DateTimeZone.forTimeZone(timeZone34);
//     org.joda.time.DateTime dateTime36 = dateTime33.withZoneRetainFields(dateTimeZone35);
//     org.joda.time.DateTime dateTime37 = localDate14.toDateTime(localTime18, dateTimeZone35);
//     int i38 = localDate14.getDayOfWeek();
//     org.joda.time.LocalDate.Property property39 = localDate14.year();
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.Chronology chronology45 = null;
//     org.joda.time.DateTime dateTime46 = dateTime44.toDateTime(chronology45);
//     org.joda.time.DateTime dateTime48 = dateTime44.minusWeeks(0);
//     org.joda.time.LocalDate localDate49 = dateTime44.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType51 = localDate49.getFieldType(0);
//     int i52 = localDate49.getDayOfYear();
//     org.joda.time.LocalDate localDate54 = localDate49.withWeekyear(213);
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     java.lang.String str58 = dateTimeZone56.getShortName(10L);
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(dateTimeZone56);
//     org.joda.time.Chronology chronology60 = null;
//     org.joda.time.DateTime dateTime61 = dateTime59.toDateTime(chronology60);
//     org.joda.time.DateTime dateTime63 = dateTime59.minusWeeks(0);
//     org.joda.time.DateTime dateTime64 = dateTime63.toDateTime();
//     java.util.TimeZone timeZone65 = null;
//     org.joda.time.DateTimeZone dateTimeZone66 = org.joda.time.DateTimeZone.forTimeZone(timeZone65);
//     java.lang.String str68 = dateTimeZone66.getShortName(10L);
//     org.joda.time.DateTime dateTime69 = new org.joda.time.DateTime(dateTimeZone66);
//     org.joda.time.Chronology chronology70 = null;
//     org.joda.time.DateTime dateTime71 = dateTime69.toDateTime(chronology70);
//     org.joda.time.DateTime dateTime73 = dateTime69.minusWeeks(0);
//     org.joda.time.LocalDate localDate74 = dateTime69.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType76 = localDate74.getFieldType(0);
//     org.joda.time.DateTime dateTime77 = dateTime63.withFields((org.joda.time.ReadablePartial)localDate74);
//     org.joda.time.Interval interval78 = localDate74.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone79 = null;
//     org.joda.time.DateTime dateTime80 = localDate74.toDateTimeAtCurrentTime(dateTimeZone79);
//     org.joda.time.LocalDate localDate82 = localDate74.withYearOfCentury(4);
//     boolean b83 = localDate49.isEqual((org.joda.time.ReadablePartial)localDate82);
//     int i84 = localDate14.compareTo((org.joda.time.ReadablePartial)localDate49);
//     org.joda.time.LocalDate.Property property85 = localDate14.yearOfCentury();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b30 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i52 == 366);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+00:00"+ "'", str58.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str68 + "' != '" + "+00:00"+ "'", str68.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b83 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i84 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property85);
// 
//   }

  @Test
  public void test366() {}
// Defects4J: flaky method
//   @Test
//   public void test366() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime4.minus(readableDuration9);
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear((-1));
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone17 = new org.joda.time.tz.FixedDateTimeZone("America/Los_Angeles", "GregorianChronology[America/Los_Angeles]", 58104, 201616);
//     int i19 = fixedDateTimeZone17.getOffset(12708020419702267L);
//     org.joda.time.DateTime dateTime20 = dateTime12.withZoneRetainFields((org.joda.time.DateTimeZone)fixedDateTimeZone17);
//     boolean b22 = fixedDateTimeZone17.equals((java.lang.Object)58104);
//     int i24 = fixedDateTimeZone17.getStandardOffset(2440588L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 58104);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 201616);
// 
//   }

  @Test
  public void test367() {}
// Defects4J: flaky method
//   @Test
//   public void test367() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     int i10 = dateTime9.getDayOfMonth();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 31);
// 
//   }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    boolean b3 = unsupportedDurationField1.isPrecise();
    boolean b4 = unsupportedDurationField1.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      int i6 = unsupportedDurationField1.getValue((-259200000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test369() {}
// Defects4J: flaky method
//   @Test
//   public void test369() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime6 = dateTime4.withDayOfMonth(1000);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
// 
//   }

  @Test
  public void test370() {}
// Defects4J: flaky method
//   @Test
//   public void test370() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate15 = localDate9.withCenturyOfEra(58111094);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
// 
//   }

  @Test
  public void test371() {}
// Defects4J: flaky method
//   @Test
//   public void test371() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.DateTime dateTime10 = dateTime4.toDateTime(dateTimeZone6);
//     int i12 = dateTimeZone6.getOffsetFromLocal(28800000L);
//     java.util.Locale locale14 = null;
//     java.lang.String str15 = dateTimeZone6.getShortName((-235740000L), locale14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
// 
//   }

  @Test
  public void test372() {}
// Defects4J: flaky method
//   @Test
//   public void test372() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     java.util.Locale locale60 = null;
//     java.lang.String str61 = skipDateTimeField47.getAsShortText(52, locale60);
//     java.lang.String str62 = skipDateTimeField47.getName();
//     long long64 = skipDateTimeField47.roundCeiling(221356800010L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str61 + "' != '" + "52"+ "'", str61.equals("52"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str62 + "' != '" + "minuteOfDay"+ "'", str62.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long64 == 221356860000L);
// 
//   }

  @Test
  public void test373() {}
// Defects4J: flaky method
//   @Test
//   public void test373() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long21 = unsupportedDateTimeField18.roundHalfFloor(0L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
// 
//   }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      long long7 = unsupportedDurationField3.getMillis(58111);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(29300, 58107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1702535100);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.joda.time.chrono.GJChronology gJChronology0 = org.joda.time.chrono.GJChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gJChronology0.monthOfYear();
    org.joda.time.DateTimeField dateTimeField2 = gJChronology0.clockhourOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test377() {}
// Defects4J: flaky method
//   @Test
//   public void test377() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     int i9 = dateTime4.getDayOfYear();
//     org.joda.time.DateTime dateTime11 = dateTime4.withCenturyOfEra(2016);
//     org.joda.time.DateTime dateTime13 = dateTime4.minusYears(29299);
//     org.joda.time.DateTime dateTime15 = dateTime4.minusMinutes(29303);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 366);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
// 
//   }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.minusMillis(29299);
    java.util.Locale locale3 = null;
    java.util.Calendar calendar4 = dateTime0.toCalendar(locale3);
    org.joda.time.ReadableDuration readableDuration5 = null;
    org.joda.time.DateTime dateTime6 = dateTime0.minus(readableDuration5);
    org.joda.time.DateTime.Property property7 = dateTime0.weekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(calendar4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);

  }

  @Test
  public void test379() {}
// Defects4J: flaky method
//   @Test
//   public void test379() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }
// 
// 
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.chrono.JulianChronology julianChronology10 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone6);
//     org.joda.time.Partial partial11 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology10);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(968, 29302, 0, 0, 143532, (org.joda.time.Chronology)julianChronology10);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology10);
// 
//   }

  @Test
  public void test380() {}
// Defects4J: flaky method
//   @Test
//   public void test380() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getSecondOfDay();
//     org.joda.time.YearMonthDay yearMonthDay8 = dateTime4.toYearMonthDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(yearMonthDay8);
// 
//   }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.DateTimeZone dateTimeZone3 = dateTimeZoneBuilder0.toDateTimeZone("hi!", true);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone3);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.CopticChronology copticChronology6 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone3, (-145049));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);

  }

  @Test
  public void test382() {}
// Defects4J: flaky method
//   @Test
//   public void test382() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     org.joda.time.LocalTime localTime18 = null;
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.DateTime dateTime28 = dateTime27.toDateTime();
//     boolean b30 = dateTime28.isEqual(10L);
//     org.joda.time.DateTime dateTime31 = dateTime28.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime31.minus(readableDuration32);
//     java.util.TimeZone timeZone34 = null;
//     org.joda.time.DateTimeZone dateTimeZone35 = org.joda.time.DateTimeZone.forTimeZone(timeZone34);
//     org.joda.time.DateTime dateTime36 = dateTime33.withZoneRetainFields(dateTimeZone35);
//     org.joda.time.DateTime dateTime37 = localDate14.toDateTime(localTime18, dateTimeZone35);
//     int i38 = localDate14.getDayOfWeek();
//     org.joda.time.LocalDate.Property property39 = localDate14.year();
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.Chronology chronology45 = null;
//     org.joda.time.DateTime dateTime46 = dateTime44.toDateTime(chronology45);
//     org.joda.time.DateTime dateTime48 = dateTime44.minusWeeks(0);
//     org.joda.time.LocalDate localDate49 = dateTime44.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType51 = localDate49.getFieldType(0);
//     int i52 = localDate49.getDayOfYear();
//     org.joda.time.LocalDate localDate54 = localDate49.withWeekyear(213);
//     java.util.TimeZone timeZone55 = null;
//     org.joda.time.DateTimeZone dateTimeZone56 = org.joda.time.DateTimeZone.forTimeZone(timeZone55);
//     java.lang.String str58 = dateTimeZone56.getShortName(10L);
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(dateTimeZone56);
//     org.joda.time.Chronology chronology60 = null;
//     org.joda.time.DateTime dateTime61 = dateTime59.toDateTime(chronology60);
//     org.joda.time.DateTime dateTime63 = dateTime59.minusWeeks(0);
//     org.joda.time.DateTime dateTime64 = dateTime63.toDateTime();
//     java.util.TimeZone timeZone65 = null;
//     org.joda.time.DateTimeZone dateTimeZone66 = org.joda.time.DateTimeZone.forTimeZone(timeZone65);
//     java.lang.String str68 = dateTimeZone66.getShortName(10L);
//     org.joda.time.DateTime dateTime69 = new org.joda.time.DateTime(dateTimeZone66);
//     org.joda.time.Chronology chronology70 = null;
//     org.joda.time.DateTime dateTime71 = dateTime69.toDateTime(chronology70);
//     org.joda.time.DateTime dateTime73 = dateTime69.minusWeeks(0);
//     org.joda.time.LocalDate localDate74 = dateTime69.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType76 = localDate74.getFieldType(0);
//     org.joda.time.DateTime dateTime77 = dateTime63.withFields((org.joda.time.ReadablePartial)localDate74);
//     org.joda.time.Interval interval78 = localDate74.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone79 = null;
//     org.joda.time.DateTime dateTime80 = localDate74.toDateTimeAtCurrentTime(dateTimeZone79);
//     org.joda.time.LocalDate localDate82 = localDate74.withYearOfCentury(4);
//     boolean b83 = localDate49.isEqual((org.joda.time.ReadablePartial)localDate82);
//     int i84 = localDate14.compareTo((org.joda.time.ReadablePartial)localDate49);
//     org.joda.time.Partial partial85 = new org.joda.time.Partial((org.joda.time.ReadablePartial)localDate14);
//     org.joda.time.LocalDate.Property property86 = localDate14.dayOfWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b30 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i52 == 366);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str58 + "' != '" + "+00:00"+ "'", str58.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str68 + "' != '" + "+00:00"+ "'", str68.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b83 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i84 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property86);
// 
//   }

  @Test
  public void test383() {}
// Defects4J: flaky method
//   @Test
//   public void test383() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     org.joda.time.DateTime dateTime7 = dateTime6.withTimeAtStartOfDay();
//     org.joda.time.MutableDateTime mutableDateTime8 = dateTime6.toMutableDateTime();
//     int i9 = mutableDateTime8.getMillisOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 439412);
// 
//   }

  @Test
  public void test384() {}
// Defects4J: flaky method
//   @Test
//   public void test384() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }
// 
// 
//     org.joda.time.chrono.GJChronology gJChronology0 = org.joda.time.chrono.GJChronology.getInstanceUTC();
//     org.joda.time.DateTimeField dateTimeField1 = gJChronology0.monthOfYear();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.LocalDate localDate11 = dateTime6.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType13 = localDate11.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField17 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType16);
//     org.joda.time.DurationFieldType durationFieldType18 = unsupportedDurationField17.getType();
//     int i19 = unsupportedDurationField15.compareTo((org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField20 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType13, (org.joda.time.DurationField)unsupportedDurationField17);
//     org.joda.time.DurationField durationField21 = unsupportedDateTimeField20.getRangeDurationField();
//     boolean b22 = unsupportedDateTimeField20.isSupported();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.SkipDateTimeField skipDateTimeField24 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)gJChronology0, (org.joda.time.DateTimeField)unsupportedDateTimeField20, 412);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
// 
//   }

  @Test
  public void test385() {}
// Defects4J: flaky method
//   @Test
//   public void test385() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.JulianChronology julianChronology38 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone34);
//     org.joda.time.DateTimeField dateTimeField39 = julianChronology38.minuteOfDay();
//     org.joda.time.Partial partial40 = new org.joda.time.Partial(dateTimeFieldType30, 29299, (org.joda.time.Chronology)julianChronology38);
//     org.joda.time.ReadablePeriod readablePeriod41 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array43 = julianChronology38.get(readablePeriod41, (-1803813931583999990L));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField39);
// 
//   }

  @Test
  public void test386() {}
// Defects4J: flaky method
//   @Test
//   public void test386() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }
// 
// 
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.chrono.JulianChronology julianChronology12 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone8);
//     org.joda.time.Partial partial13 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology12);
//     org.joda.time.DateTimeZone dateTimeZone14 = julianChronology12.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology15 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField16 = gregorianChronology15.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField18 = new org.joda.time.field.OffsetDateTimeField(dateTimeField16, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField19 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology12, (org.joda.time.DateTimeField)offsetDateTimeField18);
//     java.util.TimeZone timeZone20 = null;
//     org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forTimeZone(timeZone20);
//     java.lang.String str23 = dateTimeZone21.getShortName(10L);
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = dateTime24.toDateTime(chronology25);
//     org.joda.time.DateTime dateTime28 = dateTime24.minusWeeks(0);
//     org.joda.time.LocalDate localDate29 = dateTime24.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType31 = localDate29.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType32 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField33 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType32);
//     org.joda.time.DurationFieldType durationFieldType34 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField35 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType34);
//     org.joda.time.DurationFieldType durationFieldType36 = unsupportedDurationField35.getType();
//     int i37 = unsupportedDurationField33.compareTo((org.joda.time.DurationField)unsupportedDurationField35);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField38 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)unsupportedDurationField35);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField39 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField18, dateTimeFieldType31);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology44 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone41);
//     java.util.TimeZone timeZone45 = null;
//     org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
//     java.lang.String str48 = dateTimeZone46.getShortName(10L);
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.Chronology chronology50 = null;
//     org.joda.time.DateTime dateTime51 = dateTime49.toDateTime(chronology50);
//     org.joda.time.DateTime dateTime53 = dateTime49.minusWeeks(0);
//     org.joda.time.LocalDate localDate54 = dateTime49.toLocalDate();
//     int i55 = localDate54.getDayOfMonth();
//     org.joda.time.LocalDate.Property property56 = localDate54.yearOfEra();
//     boolean b57 = gJChronology44.equals((java.lang.Object)localDate54);
//     java.util.Locale locale58 = null;
//     java.lang.String str59 = delegatedDateTimeField39.getAsShortText((org.joda.time.ReadablePartial)localDate54, locale58);
//     org.joda.time.Interval interval60 = localDate54.toInterval();
//     org.joda.time.chrono.GJChronology gJChronology62 = org.joda.time.chrono.GJChronology.getInstance();
//     org.joda.time.DateTimeZone dateTimeZone63 = gJChronology62.getZone();
//     org.joda.time.DateTime dateTime64 = new org.joda.time.DateTime(100L, dateTimeZone63);
//     java.util.Locale locale66 = null;
//     java.lang.String str67 = dateTimeZone63.getShortName(31795200000L, locale66);
//     org.joda.time.DateMidnight dateMidnight68 = localDate54.toDateMidnight(dateTimeZone63);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime69 = new org.joda.time.DateTime(7, 10, 29300, (-292273615), 25, 19, (-145049), dateTimeZone63);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "+00:00"+ "'", str23.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i37 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "+00:00"+ "'", str48.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i55 == 31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b57 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str59 + "' != '" + "-1439"+ "'", str59.equals("-1439"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str67 + "' != '" + "+00:00"+ "'", str67.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight68);
// 
//   }

  @Test
  public void test387() {}
// Defects4J: flaky method
//   @Test
//   public void test387() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
//     java.util.TimeZone timeZone13 = null;
//     org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
//     java.lang.String str16 = dateTimeZone14.getShortName(10L);
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.Chronology chronology18 = null;
//     org.joda.time.DateTime dateTime19 = dateTime17.toDateTime(chronology18);
//     org.joda.time.DateTime dateTime21 = dateTime17.minusWeeks(0);
//     org.joda.time.LocalDate localDate22 = dateTime17.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = localDate22.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType25 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField26 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType25);
//     org.joda.time.DurationFieldType durationFieldType27 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField28 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType27);
//     org.joda.time.DurationFieldType durationFieldType29 = unsupportedDurationField28.getType();
//     int i30 = unsupportedDurationField26.compareTo((org.joda.time.DurationField)unsupportedDurationField28);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField31 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType24, (org.joda.time.DurationField)unsupportedDurationField28);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField32 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType24);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology37 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone34);
//     java.util.TimeZone timeZone38 = null;
//     org.joda.time.DateTimeZone dateTimeZone39 = org.joda.time.DateTimeZone.forTimeZone(timeZone38);
//     java.lang.String str41 = dateTimeZone39.getShortName(10L);
//     org.joda.time.DateTime dateTime42 = new org.joda.time.DateTime(dateTimeZone39);
//     org.joda.time.Chronology chronology43 = null;
//     org.joda.time.DateTime dateTime44 = dateTime42.toDateTime(chronology43);
//     org.joda.time.DateTime dateTime46 = dateTime42.minusWeeks(0);
//     org.joda.time.LocalDate localDate47 = dateTime42.toLocalDate();
//     int i48 = localDate47.getDayOfMonth();
//     org.joda.time.LocalDate.Property property49 = localDate47.yearOfEra();
//     boolean b50 = gJChronology37.equals((java.lang.Object)localDate47);
//     java.util.Locale locale51 = null;
//     java.lang.String str52 = delegatedDateTimeField32.getAsShortText((org.joda.time.ReadablePartial)localDate47, locale51);
//     org.joda.time.Interval interval53 = localDate47.toInterval();
//     org.joda.time.chrono.GJChronology gJChronology55 = org.joda.time.chrono.GJChronology.getInstance();
//     org.joda.time.DateTimeZone dateTimeZone56 = gJChronology55.getZone();
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(100L, dateTimeZone56);
//     java.util.Locale locale59 = null;
//     java.lang.String str60 = dateTimeZone56.getShortName(31795200000L, locale59);
//     org.joda.time.DateMidnight dateMidnight61 = localDate47.toDateMidnight(dateTimeZone56);
//     int i62 = dateMidnight61.getSecondOfMinute();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str41 + "' != '" + "+00:00"+ "'", str41.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b50 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str52 + "' != '" + "-1439"+ "'", str52.equals("-1439"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str60 + "' != '" + "+00:00"+ "'", str60.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i62 == 0);
// 
//   }

  @Test
  public void test388() {}
// Defects4J: flaky method
//   @Test
//   public void test388() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     int i5 = dateTime4.getYear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == (-1440));
// 
//   }

  @Test
  public void test389() {}
// Defects4J: flaky method
//   @Test
//   public void test389() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
//     java.util.TimeZone timeZone13 = null;
//     org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
//     java.lang.String str16 = dateTimeZone14.getShortName(10L);
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.Chronology chronology18 = null;
//     org.joda.time.DateTime dateTime19 = dateTime17.toDateTime(chronology18);
//     org.joda.time.DateTime dateTime21 = dateTime17.minusWeeks(0);
//     org.joda.time.LocalDate localDate22 = dateTime17.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = localDate22.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType25 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField26 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType25);
//     org.joda.time.DurationFieldType durationFieldType27 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField28 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType27);
//     org.joda.time.DurationFieldType durationFieldType29 = unsupportedDurationField28.getType();
//     int i30 = unsupportedDurationField26.compareTo((org.joda.time.DurationField)unsupportedDurationField28);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField31 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType24, (org.joda.time.DurationField)unsupportedDurationField28);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField32 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType24);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology37 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone34);
//     java.util.TimeZone timeZone38 = null;
//     org.joda.time.DateTimeZone dateTimeZone39 = org.joda.time.DateTimeZone.forTimeZone(timeZone38);
//     java.lang.String str41 = dateTimeZone39.getShortName(10L);
//     org.joda.time.DateTime dateTime42 = new org.joda.time.DateTime(dateTimeZone39);
//     org.joda.time.Chronology chronology43 = null;
//     org.joda.time.DateTime dateTime44 = dateTime42.toDateTime(chronology43);
//     org.joda.time.DateTime dateTime46 = dateTime42.minusWeeks(0);
//     org.joda.time.LocalDate localDate47 = dateTime42.toLocalDate();
//     int i48 = localDate47.getDayOfMonth();
//     org.joda.time.LocalDate.Property property49 = localDate47.yearOfEra();
//     boolean b50 = gJChronology37.equals((java.lang.Object)localDate47);
//     java.util.Locale locale51 = null;
//     java.lang.String str52 = delegatedDateTimeField32.getAsShortText((org.joda.time.ReadablePartial)localDate47, locale51);
//     org.joda.time.Interval interval53 = localDate47.toInterval();
//     org.joda.time.chrono.GJChronology gJChronology55 = org.joda.time.chrono.GJChronology.getInstance();
//     org.joda.time.DateTimeZone dateTimeZone56 = gJChronology55.getZone();
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(100L, dateTimeZone56);
//     java.util.Locale locale59 = null;
//     java.lang.String str60 = dateTimeZone56.getShortName(31795200000L, locale59);
//     org.joda.time.DateMidnight dateMidnight61 = localDate47.toDateMidnight(dateTimeZone56);
//     boolean b63 = dateTimeZone56.isStandardOffset(6300223690111777L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str41 + "' != '" + "+00:00"+ "'", str41.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b50 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str52 + "' != '" + "-1439"+ "'", str52.equals("-1439"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str60 + "' != '" + "+00:00"+ "'", str60.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b63 == true);
// 
//   }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
    boolean b5 = offsetDateTimeField3.isLeap((-15551999999999L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(29299, (-52600807), 58106, 968, 412);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test392() {}
// Defects4J: flaky method
//   @Test
//   public void test392() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     org.joda.time.DateTimeField dateTimeField48 = copticChronology38.era();
//     int i49 = copticChronology38.getMinimumDaysInFirstWeek();
//     org.joda.time.DurationField durationField50 = copticChronology38.millis();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField50);
// 
//   }

  @Test
  public void test393() {}
// Defects4J: flaky method
//   @Test
//   public void test393() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime14 = dateTime12.minusYears(1);
//     int i15 = dateTime12.getSecondOfDay();
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusYears(1);
//     int i23 = dateTime20.getSecondOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime20.plusMonths(100);
//     org.joda.time.chrono.LimitChronology limitChronology26 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology5, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime25);
//     org.joda.time.DateTime dateTime27 = limitChronology26.getLowerLimit();
//     org.joda.time.DateTime dateTime28 = limitChronology26.getLowerLimit();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long34 = limitChronology26.getDateTimeMillis((-28800000L), 58108, 3409, 7, (-3));
//       org.junit.Assert.fail("Expected exception of type org.joda.time.chrono.LimitChronology.LimitException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.chrono.LimitChronology.LimitException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.chrono.LimitChronology.LimitException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
// 
//   }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.getValueAsLong(100L, 29300L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test395() {}
// Defects4J: flaky method
//   @Test
//   public void test395() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.DateTime dateTime22 = dateTime8.withFields((org.joda.time.ReadablePartial)localDate19);
//     org.joda.time.Interval interval23 = localDate19.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone24 = null;
//     org.joda.time.DateTime dateTime25 = localDate19.toDateTimeAtCurrentTime(dateTimeZone24);
//     org.joda.time.LocalDate localDate27 = localDate19.withYearOfCentury(4);
//     org.joda.time.DateTime dateTime28 = localDate19.toDateTimeAtStartOfDay();
//     java.util.TimeZone timeZone29 = null;
//     org.joda.time.DateTimeZone dateTimeZone30 = org.joda.time.DateTimeZone.forTimeZone(timeZone29);
//     java.lang.String str32 = dateTimeZone30.getShortName(10L);
//     org.joda.time.DateTime dateTime33 = new org.joda.time.DateTime(dateTimeZone30);
//     org.joda.time.chrono.JulianChronology julianChronology34 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone30);
//     org.joda.time.Partial partial35 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology34);
//     java.lang.String str36 = partial35.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = null;
//     int i38 = partial35.indexOf(dateTimeFieldType37);
//     java.lang.String str39 = partial35.toString();
//     int i40 = partial35.size();
//     java.util.TimeZone timeZone41 = null;
//     org.joda.time.DateTimeZone dateTimeZone42 = org.joda.time.DateTimeZone.forTimeZone(timeZone41);
//     java.lang.String str44 = dateTimeZone42.getShortName(10L);
//     org.joda.time.DateTime dateTime45 = new org.joda.time.DateTime(dateTimeZone42);
//     org.joda.time.Chronology chronology46 = null;
//     org.joda.time.DateTime dateTime47 = dateTime45.toDateTime(chronology46);
//     org.joda.time.DateTime dateTime49 = dateTime45.minusWeeks(0);
//     org.joda.time.LocalDate localDate50 = dateTime45.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType52 = localDate50.getFieldType(0);
//     org.joda.time.Partial partial54 = partial35.with(dateTimeFieldType52, (-1));
//     boolean b55 = localDate19.isSupported(dateTimeFieldType52);
//     org.joda.time.ReadablePeriod readablePeriod56 = null;
//     org.joda.time.LocalDate localDate58 = localDate19.withPeriodAdded(readablePeriod56, 1702535100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str32 + "' != '" + "+00:00"+ "'", str32.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "[]"+ "'", str36.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str39 + "' != '" + "[]"+ "'", str39.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i40 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str44 + "' != '" + "+00:00"+ "'", str44.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate58);
// 
//   }

  @Test
  public void test396() {}
// Defects4J: flaky method
//   @Test
//   public void test396() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long22 = unsupportedDateTimeField18.roundCeiling((-235740000L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField20);
// 
//   }

  @Test
  public void test397() {}
// Defects4J: flaky method
//   @Test
//   public void test397() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     org.joda.time.LocalDateTime localDateTime10 = dateTime8.toLocalDateTime();
//     org.joda.time.DurationFieldType durationFieldType11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime13 = dateTime8.withFieldAdded(durationFieldType11, 201616);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime10);
// 
//   }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-100));

  }

  @Test
  public void test399() {}
// Defects4J: flaky method
//   @Test
//   public void test399() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     long long49 = skipDateTimeField47.roundHalfEven(6300223690102267L);
//     java.util.Locale locale52 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long53 = skipDateTimeField47.set(221356800010L, "ISOChronology[America/Los_Angeles]", locale52);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long49 == 6300223690080000L);
// 
//   }

  @Test
  public void test400() {}
// Defects4J: flaky method
//   @Test
//   public void test400() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     org.joda.time.DateTimeZone dateTimeZone18 = gJChronology4.getZone();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long26 = gJChronology4.getDateTimeMillis(21, 439412, 4, 0, 0, 201616, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone18);
// 
//   }

  @Test
  public void test401() {}
// Defects4J: flaky method
//   @Test
//   public void test401() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long22 = unsupportedDateTimeField18.roundFloor((-28840588L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
// 
//   }

  @Test
  public void test402() {}
// Defects4J: flaky method
//   @Test
//   public void test402() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     org.joda.time.DateTimeField dateTimeField48 = copticChronology38.era();
//     int i49 = copticChronology38.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone50 = null;
//     org.joda.time.DateTimeZone dateTimeZone51 = org.joda.time.DateTimeZone.forTimeZone(timeZone50);
//     java.lang.String str53 = dateTimeZone51.getShortName(10L);
//     org.joda.time.DateTime dateTime54 = new org.joda.time.DateTime(dateTimeZone51);
//     org.joda.time.chrono.CopticChronology copticChronology55 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone51);
//     org.joda.time.DateTimeZone dateTimeZone56 = copticChronology55.getZone();
//     org.joda.time.Chronology chronology57 = copticChronology38.withZone(dateTimeZone56);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long63 = copticChronology38.getDateTimeMillis(31795200000L, 2, (-145049), 21, 81);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str53 + "' != '" + "+00:00"+ "'", str53.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology57);
// 
//   }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.joda.time.PeriodType periodType0 = null;
    org.joda.time.PeriodType periodType1 = org.joda.time.DateTimeUtils.getPeriodType(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);

  }

  @Test
  public void test404() {}
// Defects4J: flaky method
//   @Test
//   public void test404() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }
// 
// 
//     org.joda.time.LocalDate localDate1 = new org.joda.time.LocalDate(6300223690102267L);
//     int i2 = localDate1.getYear();
//     org.joda.time.DateTime dateTime3 = localDate1.toDateTimeAtStartOfDay();
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     org.joda.time.DateTime dateTime12 = dateTime8.minusWeeks(0);
//     org.joda.time.LocalDate localDate13 = dateTime8.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType15 = localDate13.getFieldType(0);
//     org.joda.time.LocalDate localDate17 = localDate13.minusWeeks(0);
//     java.util.TimeZone timeZone18 = null;
//     org.joda.time.DateTimeZone dateTimeZone19 = org.joda.time.DateTimeZone.forTimeZone(timeZone18);
//     org.joda.time.Interval interval20 = localDate17.toInterval(dateTimeZone19);
//     int i21 = localDate17.getMonthOfYear();
//     int i22 = localDate17.getWeekOfWeekyear();
//     java.util.TimeZone timeZone23 = null;
//     org.joda.time.DateTimeZone dateTimeZone24 = org.joda.time.DateTimeZone.forTimeZone(timeZone23);
//     java.lang.String str26 = dateTimeZone24.getShortName(10L);
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(dateTimeZone24);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = dateTime27.toDateTime(chronology28);
//     org.joda.time.DateTime dateTime31 = dateTime27.minusWeeks(0);
//     org.joda.time.LocalDate localDate32 = dateTime27.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType34 = localDate32.getFieldType(0);
//     int i35 = localDate17.get(dateTimeFieldType34);
//     java.util.TimeZone timeZone37 = null;
//     org.joda.time.DateTimeZone dateTimeZone38 = org.joda.time.DateTimeZone.forTimeZone(timeZone37);
//     java.lang.String str40 = dateTimeZone38.getShortName(10L);
//     org.joda.time.DateTime dateTime41 = new org.joda.time.DateTime(dateTimeZone38);
//     org.joda.time.chrono.CopticChronology copticChronology42 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone38);
//     org.joda.time.Partial partial43 = new org.joda.time.Partial(dateTimeFieldType34, 1000, (org.joda.time.Chronology)copticChronology42);
//     boolean b44 = localDate1.isSupported(dateTimeFieldType34);
//     org.joda.time.LocalDate.Property property45 = localDate1.monthOfYear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 201616);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+00:00"+ "'", str26.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i35 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str40 + "' != '" + "+00:00"+ "'", str40.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b44 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property45);
// 
//   }

  @Test
  public void test405() {}
// Defects4J: flaky method
//   @Test
//   public void test405() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.LocalDate localDate16 = dateTime11.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType18 = localDate16.getFieldType(0);
//     org.joda.time.LocalDate localDate20 = localDate16.minusWeeks(0);
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     org.joda.time.Interval interval23 = localDate20.toInterval(dateTimeZone22);
//     int i24 = localDate20.getMonthOfYear();
//     int i25 = localDate20.getWeekOfWeekyear();
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     java.lang.String str29 = dateTimeZone27.getShortName(10L);
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone27);
//     org.joda.time.Chronology chronology31 = null;
//     org.joda.time.DateTime dateTime32 = dateTime30.toDateTime(chronology31);
//     org.joda.time.DateTime dateTime34 = dateTime30.minusWeeks(0);
//     org.joda.time.LocalDate localDate35 = dateTime30.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = localDate35.getFieldType(0);
//     int i38 = localDate20.get(dateTimeFieldType37);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.Partial partial47 = new org.joda.time.Partial(dateTimeFieldType37, 29299, (org.joda.time.Chronology)julianChronology45);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType59 = localDate57.getFieldType(0);
//     org.joda.time.LocalDate localDate61 = localDate57.minusWeeks(0);
//     java.util.TimeZone timeZone62 = null;
//     org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeZone.forTimeZone(timeZone62);
//     org.joda.time.Interval interval64 = localDate61.toInterval(dateTimeZone63);
//     int i65 = localDate61.getMonthOfYear();
//     int i66 = localDate61.getWeekOfWeekyear();
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     java.lang.String str70 = dateTimeZone68.getShortName(10L);
//     org.joda.time.DateTime dateTime71 = new org.joda.time.DateTime(dateTimeZone68);
//     org.joda.time.Chronology chronology72 = null;
//     org.joda.time.DateTime dateTime73 = dateTime71.toDateTime(chronology72);
//     org.joda.time.DateTime dateTime75 = dateTime71.minusWeeks(0);
//     org.joda.time.LocalDate localDate76 = dateTime71.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType78 = localDate76.getFieldType(0);
//     int i79 = localDate61.get(dateTimeFieldType78);
//     java.util.TimeZone timeZone81 = null;
//     org.joda.time.DateTimeZone dateTimeZone82 = org.joda.time.DateTimeZone.forTimeZone(timeZone81);
//     java.lang.String str84 = dateTimeZone82.getShortName(10L);
//     org.joda.time.DateTime dateTime85 = new org.joda.time.DateTime(dateTimeZone82);
//     org.joda.time.chrono.CopticChronology copticChronology86 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone82);
//     org.joda.time.Partial partial87 = new org.joda.time.Partial(dateTimeFieldType78, 1000, (org.joda.time.Chronology)copticChronology86);
//     int i88 = partial47.indexOf(dateTimeFieldType78);
//     boolean b89 = dateTime6.isSupported(dateTimeFieldType78);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException91 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType78, "America/Los_Angeles");
//     org.joda.time.DurationFieldType durationFieldType92 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField93 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType92);
//     org.joda.time.DurationFieldType durationFieldType94 = unsupportedDurationField93.getType();
//     boolean b95 = unsupportedDurationField93.isPrecise();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField96 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType78, (org.joda.time.DurationField)unsupportedDurationField93);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long99 = unsupportedDateTimeField96.add((-15551999999999L), 201616);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str29 + "' != '" + "+00:00"+ "'", str29.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str70 + "' != '" + "+00:00"+ "'", str70.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i79 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str84 + "' != '" + "+00:00"+ "'", str84.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i88 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b89 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField93);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType94);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b95 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField96);
// 
//   }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis((-52600807), 1833680421640588L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    long long3 = unsupportedDurationField1.getUnitMillis();
    // The following exception was thrown during execution in test generation
    try {
      long long6 = unsupportedDurationField1.add((-28799990L), 21);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test408() {}
// Defects4J: flaky method
//   @Test
//   public void test408() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str22 = unsupportedDateTimeField18.getAsText(6254808911959412L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
// 
//   }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.joda.time.chrono.BuddhistChronology buddhistChronology0 = org.joda.time.chrono.BuddhistChronology.getInstance();
    org.joda.time.DurationField durationField1 = buddhistChronology0.millis();
    org.joda.time.DateTimeZone dateTimeZone2 = buddhistChronology0.getZone();
    org.joda.time.ReadablePartial readablePartial3 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long5 = buddhistChronology0.set(readablePartial3, (-2440588L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(buddhistChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.joda.time.chrono.BuddhistChronology buddhistChronology0 = org.joda.time.chrono.BuddhistChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.minusMillis(29299);
    boolean b4 = buddhistChronology0.equals((java.lang.Object)dateTime1);
    org.joda.time.DateTime.Property property5 = dateTime1.monthOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(buddhistChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    long long3 = unsupportedDurationField1.getUnitMillis();
    // The following exception was thrown during execution in test generation
    try {
      long long6 = unsupportedDurationField1.getMillis(4, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test412() {}
// Defects4J: flaky method
//   @Test
//   public void test412() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.chrono.JulianChronology julianChronology10 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone6);
//     org.joda.time.Chronology chronology11 = gJChronology4.withZone(dateTimeZone6);
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone16 = new org.joda.time.tz.FixedDateTimeZone("America/Los_Angeles", "GregorianChronology[America/Los_Angeles]", 58104, 201616);
//     int i18 = fixedDateTimeZone16.getOffset(100L);
//     int i20 = fixedDateTimeZone16.getOffset((-15551999999999L));
//     org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gJChronology4, (org.joda.time.DateTimeZone)fixedDateTimeZone16);
//     java.lang.String str22 = zonedChronology21.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 58104);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 58104);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "ZonedChronology[GJChronology[UTC], America/Los_Angeles]"+ "'", str22.equals("ZonedChronology[GJChronology[UTC], America/Los_Angeles]"));
// 
//   }

  @Test
  public void test413() {}
// Defects4J: flaky method
//   @Test
//   public void test413() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }
// 
// 
//     java.util.TimeZone timeZone6 = null;
//     org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forTimeZone(timeZone6);
//     java.lang.String str9 = dateTimeZone7.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology10 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone7);
//     java.lang.String str11 = dateTimeZone7.getID();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(29303361, (-292273615), 968, 213, 29302, 58107, dateTimeZone7);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+00:00"+ "'", str9.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "PST"+ "'", str11.equals("PST"));
// 
//   }

  @Test
  public void test414() {}
// Defects4J: flaky method
//   @Test
//   public void test414() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.DateTime dateTime22 = dateTime8.withFields((org.joda.time.ReadablePartial)localDate19);
//     org.joda.time.LocalDate localDate24 = localDate19.minusMonths(2);
//     org.joda.time.DateTimeField[] dateTimeField_array25 = localDate24.getFields();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField_array25);
// 
//   }

  @Test
  public void test415() {}
// Defects4J: flaky method
//   @Test
//   public void test415() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.DateTime dateTime22 = dateTime8.withFields((org.joda.time.ReadablePartial)localDate19);
//     org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder24 = new org.joda.time.tz.DateTimeZoneBuilder();
//     org.joda.time.DateTimeZone dateTimeZone27 = dateTimeZoneBuilder24.toDateTimeZone("hi!", true);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone28 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone27);
//     int i30 = cachedDateTimeZone28.getOffset((-230400000L));
//     long long32 = cachedDateTimeZone28.previousTransition((-259200000L));
//     org.joda.time.LocalDate localDate33 = new org.joda.time.LocalDate((-85960588L), (org.joda.time.DateTimeZone)cachedDateTimeZone28);
//     org.joda.time.DateTimeZone dateTimeZone34 = cachedDateTimeZone28.getUncachedZone();
//     org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime((java.lang.Object)dateTime8, (org.joda.time.DateTimeZone)cachedDateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long32 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
// 
//   }

  @Test
  public void test416() {}
// Defects4J: flaky method
//   @Test
//   public void test416() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField98 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField97);
//     int i99 = remainderDateTimeField98.getMaximumValue();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i99 == 2014);
// 
//   }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("America/Los_Angeles", 10, 2016, 0, ' ', 29303361, 213, 0, true, 29303361);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder19 = dateTimeZoneBuilder0.addCutover(0, 'a', 2014, 439, 0, true, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder19);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test419() {}
// Defects4J: flaky method
//   @Test
//   public void test419() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.lang.String str10 = partial6.toString();
//     int i11 = partial6.size();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     java.util.TimeZone timeZone17 = null;
//     org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forTimeZone(timeZone17);
//     java.lang.String str20 = dateTimeZone18.getShortName(10L);
//     org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone18);
//     org.joda.time.DateTime dateTime22 = dateTime16.toDateTime(dateTimeZone18);
//     org.joda.time.DateTime dateTime23 = partial6.toDateTime((org.joda.time.ReadableInstant)dateTime16);
//     org.joda.time.DateTime dateTime25 = dateTime23.plus((-107577849600000L));
//     org.joda.time.DateTime.Property property26 = dateTime25.monthOfYear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+00:00"+ "'", str20.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property26);
// 
//   }

  @Test
  public void test420() {}
// Defects4J: flaky method
//   @Test
//   public void test420() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getSecondOfDay();
//     org.joda.time.DateTime dateTime9 = dateTime4.plusMonths(100);
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.chrono.JulianChronology julianChronology15 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone11);
//     org.joda.time.Partial partial16 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology15);
//     org.joda.time.DurationField durationField17 = julianChronology15.weekyears();
//     org.joda.time.DateTimeField dateTimeField18 = julianChronology15.monthOfYear();
//     int i19 = dateTime4.get(dateTimeField18);
//     org.joda.time.DateTime dateTime21 = dateTime4.withWeekyear((-292273615));
//     org.joda.time.DateTime dateTime22 = dateTime21.withTimeAtStartOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
// 
//   }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 1833680421640588L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() {}
// Defects4J: flaky method
//   @Test
//   public void test422() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DurationField durationField7 = julianChronology5.weekyears();
//     org.joda.time.DateTimeField dateTimeField8 = julianChronology5.monthOfYear();
//     org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate((org.joda.time.Chronology)julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField8);
// 
//   }

  @Test
  public void test423() {}
// Defects4J: flaky method
//   @Test
//   public void test423() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     long long61 = skipDateTimeField47.addWrapField((-2440588L), 1000);
//     java.lang.String str62 = skipDateTimeField47.getName();
//     java.util.TimeZone timeZone63 = null;
//     org.joda.time.DateTimeZone dateTimeZone64 = org.joda.time.DateTimeZone.forTimeZone(timeZone63);
//     java.lang.String str66 = dateTimeZone64.getShortName(10L);
//     org.joda.time.DateTime dateTime67 = new org.joda.time.DateTime(dateTimeZone64);
//     org.joda.time.Chronology chronology68 = null;
//     org.joda.time.DateTime dateTime69 = dateTime67.toDateTime(chronology68);
//     org.joda.time.DateTime dateTime71 = dateTime67.minusWeeks(0);
//     org.joda.time.LocalDate localDate72 = dateTime67.toLocalDate();
//     org.joda.time.LocalDate.Property property73 = localDate72.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod74 = null;
//     org.joda.time.LocalDate localDate75 = localDate72.minus(readablePeriod74);
//     org.joda.time.LocalDate localDate77 = localDate72.withYear((-292273615));
//     java.util.Locale locale78 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str79 = skipDateTimeField47.getAsShortText((org.joda.time.ReadablePartial)localDate77, locale78);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == (-28840588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str62 + "' != '" + "minuteOfDay"+ "'", str62.equals("minuteOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str66 + "' != '" + "+00:00"+ "'", str66.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate77);
// 
//   }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.joda.time.Partial partial0 = new org.joda.time.Partial();
    org.joda.time.ReadableInstant readableInstant1 = null;
    boolean b2 = partial0.isMatch(readableInstant1);
    java.util.Locale locale4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = partial0.toString("", locale4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test425() {}
// Defects4J: flaky method
//   @Test
//   public void test425() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     org.joda.time.DurationField durationField48 = skipDateTimeField47.getLeapDurationField();
//     long long51 = skipDateTimeField47.add(0L, 29300);
//     org.joda.time.DurationField durationField52 = skipDateTimeField47.getDurationField();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long51 == 1758000000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField52);
// 
//   }

  @Test
  public void test426() {}
// Defects4J: flaky method
//   @Test
//   public void test426() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str1 = iSOChronology0.toString();
//     java.util.TimeZone timeZone2 = null;
//     org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forTimeZone(timeZone2);
//     java.lang.String str5 = dateTimeZone3.getShortName(10L);
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(dateTimeZone3);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = dateTime6.toDateTime(chronology7);
//     org.joda.time.DateTime dateTime10 = dateTime6.minusWeeks(0);
//     org.joda.time.DateTime dateTime11 = dateTime10.toDateTime();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.DateTime dateTime24 = dateTime10.withFields((org.joda.time.ReadablePartial)localDate21);
//     org.joda.time.Interval interval25 = localDate21.toInterval();
//     boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology0, (java.lang.Object)localDate21);
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology0.centuryOfEra();
//     java.lang.String str28 = iSOChronology0.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[PST]"+ "'", str1.equals("ISOChronology[PST]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00"+ "'", str5.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "ISOChronology[PST]"+ "'", str28.equals("ISOChronology[PST]"));
// 
//   }

  @Test
  public void test427() {}
// Defects4J: flaky method
//   @Test
//   public void test427() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.DateTime dateTime22 = dateTime8.withFields((org.joda.time.ReadablePartial)localDate19);
//     java.util.TimeZone timeZone23 = null;
//     org.joda.time.DateTimeZone dateTimeZone24 = org.joda.time.DateTimeZone.forTimeZone(timeZone23);
//     java.lang.String str26 = dateTimeZone24.getShortName(10L);
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(dateTimeZone24);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = dateTime27.toDateTime(chronology28);
//     org.joda.time.DateTime dateTime31 = dateTime27.minusWeeks(0);
//     org.joda.time.LocalDate localDate32 = dateTime27.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType34 = localDate32.getFieldType(0);
//     org.joda.time.LocalDate localDate36 = localDate32.minusWeeks(0);
//     java.util.TimeZone timeZone37 = null;
//     org.joda.time.DateTimeZone dateTimeZone38 = org.joda.time.DateTimeZone.forTimeZone(timeZone37);
//     org.joda.time.Interval interval39 = localDate36.toInterval(dateTimeZone38);
//     int i40 = localDate36.getMonthOfYear();
//     int i41 = localDate36.getWeekOfWeekyear();
//     java.util.TimeZone timeZone42 = null;
//     org.joda.time.DateTimeZone dateTimeZone43 = org.joda.time.DateTimeZone.forTimeZone(timeZone42);
//     java.lang.String str45 = dateTimeZone43.getShortName(10L);
//     org.joda.time.DateTime dateTime46 = new org.joda.time.DateTime(dateTimeZone43);
//     org.joda.time.Chronology chronology47 = null;
//     org.joda.time.DateTime dateTime48 = dateTime46.toDateTime(chronology47);
//     org.joda.time.DateTime dateTime50 = dateTime46.minusWeeks(0);
//     org.joda.time.LocalDate localDate51 = dateTime46.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType53 = localDate51.getFieldType(0);
//     int i54 = localDate36.get(dateTimeFieldType53);
//     java.util.TimeZone timeZone56 = null;
//     org.joda.time.DateTimeZone dateTimeZone57 = org.joda.time.DateTimeZone.forTimeZone(timeZone56);
//     java.lang.String str59 = dateTimeZone57.getShortName(10L);
//     org.joda.time.DateTime dateTime60 = new org.joda.time.DateTime(dateTimeZone57);
//     org.joda.time.chrono.JulianChronology julianChronology61 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone57);
//     org.joda.time.DateTimeField dateTimeField62 = julianChronology61.minuteOfDay();
//     org.joda.time.Partial partial63 = new org.joda.time.Partial(dateTimeFieldType53, 29299, (org.joda.time.Chronology)julianChronology61);
//     int i64 = dateTime8.get(dateTimeFieldType53);
//     org.joda.time.DateTime dateTime65 = dateTime8.toDateTime();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+00:00"+ "'", str26.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i40 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "+00:00"+ "'", str45.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str59 + "' != '" + "+00:00"+ "'", str59.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime65);
// 
//   }

  @Test
  public void test428() {}
// Defects4J: flaky method
//   @Test
//   public void test428() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime4.minus(readableDuration9);
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear((-1));
//     int i13 = dateTime10.getMinuteOfHour();
//     org.joda.time.DateTime dateTime15 = dateTime10.plusHours(20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
// 
//   }

  @Test
  public void test429() {}
// Defects4J: flaky method
//   @Test
//   public void test429() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getSecondOfDay();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.Chronology chronology13 = null;
//     org.joda.time.DateTime dateTime14 = dateTime12.toDateTime(chronology13);
//     org.joda.time.DateTime dateTime16 = dateTime12.minusWeeks(0);
//     int i17 = dateTime12.getDayOfYear();
//     org.joda.time.DateTime dateTime19 = dateTime12.withCenturyOfEra(2016);
//     org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)dateTime4, (org.joda.time.ReadableInstant)dateTime19);
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     java.lang.String str24 = dateTimeZone22.getShortName(10L);
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone22);
//     org.joda.time.Chronology chronology26 = null;
//     org.joda.time.DateTime dateTime27 = dateTime25.toDateTime(chronology26);
//     org.joda.time.DateTime dateTime29 = dateTime25.minusWeeks(0);
//     org.joda.time.LocalDate localDate30 = dateTime25.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType32 = localDate30.getFieldType(0);
//     org.joda.time.LocalDate localDate34 = localDate30.minusWeeks(0);
//     java.util.TimeZone timeZone35 = null;
//     org.joda.time.DateTimeZone dateTimeZone36 = org.joda.time.DateTimeZone.forTimeZone(timeZone35);
//     java.lang.String str38 = dateTimeZone36.getShortName(10L);
//     org.joda.time.DateTime dateTime39 = new org.joda.time.DateTime(dateTimeZone36);
//     org.joda.time.DateTime dateTime40 = localDate34.toDateTimeAtStartOfDay(dateTimeZone36);
//     org.joda.time.DateTime dateTime41 = dateTime19.withZoneRetainFields(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 366);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "+00:00"+ "'", str24.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str38 + "' != '" + "+00:00"+ "'", str38.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
// 
//   }

  @Test
  public void test430() {}
// Defects4J: flaky method
//   @Test
//   public void test430() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime8.toDateTime(chronology9);
//     java.util.TimeZone timeZone11 = null;
//     org.joda.time.DateTimeZone dateTimeZone12 = org.joda.time.DateTimeZone.forTimeZone(timeZone11);
//     java.lang.String str14 = dateTimeZone12.getShortName(10L);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(dateTimeZone12);
//     org.joda.time.Chronology chronology16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.toDateTime(chronology16);
//     org.joda.time.DateTime dateTime19 = dateTime15.minusWeeks(0);
//     org.joda.time.LocalDate localDate20 = dateTime15.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = localDate20.getFieldType(0);
//     org.joda.time.LocalDate localDate24 = localDate20.minusWeeks(0);
//     java.util.TimeZone timeZone25 = null;
//     org.joda.time.DateTimeZone dateTimeZone26 = org.joda.time.DateTimeZone.forTimeZone(timeZone25);
//     org.joda.time.Interval interval27 = localDate24.toInterval(dateTimeZone26);
//     int i28 = localDate24.getMonthOfYear();
//     int i29 = localDate24.getWeekOfWeekyear();
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     java.lang.String str33 = dateTimeZone31.getShortName(10L);
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(dateTimeZone31);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = dateTime34.toDateTime(chronology35);
//     org.joda.time.DateTime dateTime38 = dateTime34.minusWeeks(0);
//     org.joda.time.LocalDate localDate39 = dateTime34.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType41 = localDate39.getFieldType(0);
//     int i42 = localDate24.get(dateTimeFieldType41);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.DateTimeField dateTimeField50 = julianChronology49.minuteOfDay();
//     org.joda.time.Partial partial51 = new org.joda.time.Partial(dateTimeFieldType41, 29299, (org.joda.time.Chronology)julianChronology49);
//     java.util.TimeZone timeZone52 = null;
//     org.joda.time.DateTimeZone dateTimeZone53 = org.joda.time.DateTimeZone.forTimeZone(timeZone52);
//     java.lang.String str55 = dateTimeZone53.getShortName(10L);
//     org.joda.time.DateTime dateTime56 = new org.joda.time.DateTime(dateTimeZone53);
//     org.joda.time.Chronology chronology57 = null;
//     org.joda.time.DateTime dateTime58 = dateTime56.toDateTime(chronology57);
//     org.joda.time.DateTime dateTime60 = dateTime56.minusWeeks(0);
//     org.joda.time.LocalDate localDate61 = dateTime56.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType63 = localDate61.getFieldType(0);
//     org.joda.time.LocalDate localDate65 = localDate61.minusWeeks(0);
//     java.util.TimeZone timeZone66 = null;
//     org.joda.time.DateTimeZone dateTimeZone67 = org.joda.time.DateTimeZone.forTimeZone(timeZone66);
//     org.joda.time.Interval interval68 = localDate65.toInterval(dateTimeZone67);
//     int i69 = localDate65.getMonthOfYear();
//     int i70 = localDate65.getWeekOfWeekyear();
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = localDate80.getFieldType(0);
//     int i83 = localDate65.get(dateTimeFieldType82);
//     java.util.TimeZone timeZone85 = null;
//     org.joda.time.DateTimeZone dateTimeZone86 = org.joda.time.DateTimeZone.forTimeZone(timeZone85);
//     java.lang.String str88 = dateTimeZone86.getShortName(10L);
//     org.joda.time.DateTime dateTime89 = new org.joda.time.DateTime(dateTimeZone86);
//     org.joda.time.chrono.CopticChronology copticChronology90 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone86);
//     org.joda.time.Partial partial91 = new org.joda.time.Partial(dateTimeFieldType82, 1000, (org.joda.time.Chronology)copticChronology90);
//     int i92 = partial51.indexOf(dateTimeFieldType82);
//     boolean b93 = dateTime10.isSupported(dateTimeFieldType82);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException95 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType82, "America/Los_Angeles");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField97 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField3, dateTimeFieldType82, 2015);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField98 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField97);
//     java.lang.String str99 = remainderDateTimeField98.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+00:00"+ "'", str14.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "+00:00"+ "'", str33.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str55 + "' != '" + "+00:00"+ "'", str55.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str88 + "' != '" + "+00:00"+ "'", str88.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i92 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b93 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str99 + "' != '" + "DateTimeField[year]"+ "'", str99.equals("DateTimeField[year]"));
// 
//   }

  @Test
  public void test431() {}
// Defects4J: flaky method
//   @Test
//   public void test431() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, dateTimeZone2);
//     long long10 = iSOChronology0.add(0L, 1L, 29300);
//     org.joda.time.DateTimeField dateTimeField11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)iSOChronology0, dateTimeField11);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 29300L);
// 
//   }

  @Test
  public void test432() {}
// Defects4J: flaky method
//   @Test
//   public void test432() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long61 = skipDateTimeField47.set((-28799990L), "2016-02-21T16:08:31.675Z");
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
// 
//   }

  @Test
  public void test433() {}
// Defects4J: flaky method
//   @Test
//   public void test433() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     org.joda.time.LocalTime localTime18 = null;
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.DateTime dateTime28 = dateTime27.toDateTime();
//     boolean b30 = dateTime28.isEqual(10L);
//     org.joda.time.DateTime dateTime31 = dateTime28.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime31.minus(readableDuration32);
//     java.util.TimeZone timeZone34 = null;
//     org.joda.time.DateTimeZone dateTimeZone35 = org.joda.time.DateTimeZone.forTimeZone(timeZone34);
//     org.joda.time.DateTime dateTime36 = dateTime33.withZoneRetainFields(dateTimeZone35);
//     org.joda.time.DateTime dateTime37 = localDate14.toDateTime(localTime18, dateTimeZone35);
//     int i38 = localDate14.getWeekOfWeekyear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b30 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 1);
// 
//   }

  @Test
  public void test434() {}
// Defects4J: flaky method
//   @Test
//   public void test434() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getDurationField();
//     java.lang.String str20 = unsupportedDateTimeField18.getName();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "year"+ "'", str20.equals("year"));
// 
//   }

  @Test
  public void test435() {}
// Defects4J: flaky method
//   @Test
//   public void test435() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.DateTime dateTime6 = dateTime4.minusYears(1);
//     int i7 = dateTime4.getSecondOfDay();
//     org.joda.time.DateTime dateTime9 = dateTime4.plusMonths(100);
//     org.joda.time.DateTime.Property property10 = dateTime4.minuteOfHour();
//     int i11 = dateTime4.getHourOfDay();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.DateTime dateTime21 = dateTime20.toDateTime();
//     java.util.TimeZone timeZone22 = null;
//     org.joda.time.DateTimeZone dateTimeZone23 = org.joda.time.DateTimeZone.forTimeZone(timeZone22);
//     java.lang.String str25 = dateTimeZone23.getShortName(10L);
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(dateTimeZone23);
//     org.joda.time.Chronology chronology27 = null;
//     org.joda.time.DateTime dateTime28 = dateTime26.toDateTime(chronology27);
//     org.joda.time.DateTime dateTime30 = dateTime26.minusWeeks(0);
//     org.joda.time.LocalDate localDate31 = dateTime26.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType33 = localDate31.getFieldType(0);
//     org.joda.time.DateTime dateTime34 = dateTime20.withFields((org.joda.time.ReadablePartial)localDate31);
//     org.joda.time.Interval interval35 = localDate31.toInterval();
//     org.joda.time.DateTimeZone dateTimeZone36 = null;
//     org.joda.time.DateTime dateTime37 = localDate31.toDateTimeAtCurrentTime(dateTimeZone36);
//     org.joda.time.LocalDate localDate39 = localDate31.withYearOfCentury(4);
//     org.joda.time.DateTime dateTime40 = localDate31.toDateTimeAtStartOfDay();
//     java.util.TimeZone timeZone41 = null;
//     org.joda.time.DateTimeZone dateTimeZone42 = org.joda.time.DateTimeZone.forTimeZone(timeZone41);
//     java.lang.String str44 = dateTimeZone42.getShortName(10L);
//     org.joda.time.DateTime dateTime45 = new org.joda.time.DateTime(dateTimeZone42);
//     org.joda.time.chrono.JulianChronology julianChronology46 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone42);
//     org.joda.time.Partial partial47 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology46);
//     java.lang.String str48 = partial47.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType49 = null;
//     int i50 = partial47.indexOf(dateTimeFieldType49);
//     java.lang.String str51 = partial47.toString();
//     int i52 = partial47.size();
//     java.util.TimeZone timeZone53 = null;
//     org.joda.time.DateTimeZone dateTimeZone54 = org.joda.time.DateTimeZone.forTimeZone(timeZone53);
//     java.lang.String str56 = dateTimeZone54.getShortName(10L);
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(dateTimeZone54);
//     org.joda.time.Chronology chronology58 = null;
//     org.joda.time.DateTime dateTime59 = dateTime57.toDateTime(chronology58);
//     org.joda.time.DateTime dateTime61 = dateTime57.minusWeeks(0);
//     org.joda.time.LocalDate localDate62 = dateTime57.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType64 = localDate62.getFieldType(0);
//     org.joda.time.Partial partial66 = partial47.with(dateTimeFieldType64, (-1));
//     boolean b67 = localDate31.isSupported(dateTimeFieldType64);
//     org.joda.time.DateTime dateTime69 = dateTime4.withField(dateTimeFieldType64, 21);
//     int i70 = dateTime4.getMinuteOfHour();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "+00:00"+ "'", str25.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str44 + "' != '" + "+00:00"+ "'", str44.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "[]"+ "'", str48.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i50 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "[]"+ "'", str51.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i52 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str56 + "' != '" + "+00:00"+ "'", str56.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b67 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 7);
// 
//   }

  @Test
  public void test436() {}
// Defects4J: flaky method
//   @Test
//   public void test436() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.ReadableInstant readableInstant10 = null;
//     boolean b11 = dateTime4.isBefore(readableInstant10);
//     java.util.GregorianCalendar gregorianCalendar12 = dateTime4.toGregorianCalendar();
//     int i13 = dateTime4.getYearOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianCalendar12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 1441);
// 
//   }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 201616, 58106, (-1440));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test438() {}
// Defects4J: flaky method
//   @Test
//   public void test438() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
//     org.joda.time.DurationField durationField4 = offsetDateTimeField3.getRangeDurationField();
//     long long6 = offsetDateTimeField3.roundHalfFloor((-107577619240588L));
//     long long8 = offsetDateTimeField3.roundHalfEven(1833680421640588L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long6 == (-107577849600000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 1833680160000000L);
// 
//   }

  @Test
  public void test439() {}
// Defects4J: flaky method
//   @Test
//   public void test439() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     int i10 = dateTime9.getYearOfEra();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime12 = dateTime9.withDayOfYear(29304);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 1441);
// 
//   }

  @Test
  public void test440() {}
// Defects4J: flaky method
//   @Test
//   public void test440() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.DateTime dateTime15 = dateTime13.minusYears(1);
//     org.joda.time.DateTime dateTime16 = dateTime15.withTimeAtStartOfDay();
//     org.joda.time.MutableDateTime mutableDateTime17 = dateTime15.toMutableDateTime();
//     boolean b18 = dateTime8.isEqual((org.joda.time.ReadableInstant)mutableDateTime17);
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     org.joda.time.LocalDate localDate32 = localDate28.minusWeeks(0);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     org.joda.time.Interval interval35 = localDate32.toInterval(dateTimeZone34);
//     long long38 = dateTimeZone34.adjustOffset(1L, true);
//     org.joda.time.DateTimeZone.setDefault(dateTimeZone34);
//     org.joda.time.DateTime dateTime40 = mutableDateTime17.toDateTime(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long38 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
// 
//   }

  @Test
  public void test441() {}
// Defects4J: flaky method
//   @Test
//   public void test441() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime.Property property9 = dateTime8.minuteOfHour();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
// 
//   }

  @Test
  public void test442() {}
// Defects4J: flaky method
//   @Test
//   public void test442() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getRangeDurationField();
//     java.util.Locale locale22 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str23 = unsupportedDateTimeField18.getAsShortText(0, locale22);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField20);
// 
//   }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(221356860000L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 221356860001L);

  }

  @Test
  public void test444() {}
// Defects4J: flaky method
//   @Test
//   public void test444() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getRangeDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long23 = unsupportedDateTimeField18.set(6300223690102267L, "BuddhistChronology[PST]");
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField20);
// 
//   }

  @Test
  public void test445() {}
// Defects4J: flaky method
//   @Test
//   public void test445() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }
// 
// 
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("America/Los_Angeles", "GregorianChronology[America/Los_Angeles]", 58104, 201616);
//     int i6 = fixedDateTimeZone4.getOffset(100L);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.chrono.JulianChronology julianChronology12 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone8);
//     org.joda.time.DateTimeField dateTimeField13 = julianChronology12.minuteOfDay();
//     boolean b14 = fixedDateTimeZone4.equals((java.lang.Object)julianChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 58104);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == false);
// 
//   }

  @Test
  public void test446() {}
// Defects4J: flaky method
//   @Test
//   public void test446() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
//     org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
//     int i3 = gregorianChronology0.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone4 = null;
//     org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
//     java.lang.String str7 = dateTimeZone5.getShortName(10L);
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(dateTimeZone5);
//     java.util.TimeZone timeZone9 = null;
//     org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forTimeZone(timeZone9);
//     java.lang.String str12 = dateTimeZone10.getShortName(10L);
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.DateTime dateTime14 = dateTime8.toDateTime(dateTimeZone10);
//     org.joda.time.Chronology chronology15 = gregorianChronology0.withZone(dateTimeZone10);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.chrono.JulianChronology julianChronology17 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone10, (-145049));
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "+00:00"+ "'", str7.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+00:00"+ "'", str12.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
// 
//   }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.joda.time.chrono.GJChronology gJChronology1 = org.joda.time.chrono.GJChronology.getInstance();
    org.joda.time.DateTimeZone dateTimeZone2 = gJChronology1.getZone();
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(100L, dateTimeZone2);
    org.joda.time.DateTime dateTime5 = dateTime3.minusMonths(0);
    org.joda.time.DurationFieldType durationFieldType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = dateTime3.withFieldAdded(durationFieldType6, (-2440588));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);

  }

  @Test
  public void test448() {}
// Defects4J: flaky method
//   @Test
//   public void test448() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }
// 
// 
//     org.joda.time.LocalDate localDate1 = new org.joda.time.LocalDate(1195474L);
//     int i2 = localDate1.getDayOfMonth();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
// 
//   }

  @Test
  public void test449() {}
// Defects4J: flaky method
//   @Test
//   public void test449() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }
// 
// 
//     org.joda.time.DurationFieldType durationFieldType0 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
//     org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
//     org.joda.time.DateTime dateTime3 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime5 = dateTime3.minusMillis(29299);
//     java.util.Locale locale6 = null;
//     java.util.Calendar calendar7 = dateTime3.toCalendar(locale6);
//     java.lang.String str9 = dateTime3.toString("21");
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime12 = dateTime10.minusMillis(29299);
//     java.util.Locale locale13 = null;
//     java.util.Calendar calendar14 = dateTime10.toCalendar(locale13);
//     boolean b15 = dateTime3.isEqual((org.joda.time.ReadableInstant)dateTime10);
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.Chronology chronology21 = null;
//     org.joda.time.DateTime dateTime22 = dateTime20.toDateTime(chronology21);
//     org.joda.time.DateTime dateTime24 = dateTime20.minusWeeks(0);
//     org.joda.time.LocalDate localDate25 = dateTime20.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = localDate25.getFieldType(0);
//     org.joda.time.LocalDate localDate29 = localDate25.minusWeeks(0);
//     java.util.TimeZone timeZone30 = null;
//     org.joda.time.DateTimeZone dateTimeZone31 = org.joda.time.DateTimeZone.forTimeZone(timeZone30);
//     org.joda.time.Interval interval32 = localDate29.toInterval(dateTimeZone31);
//     long long35 = dateTimeZone31.adjustOffset(1L, true);
//     org.joda.time.DateTimeZone.setDefault(dateTimeZone31);
//     org.joda.time.DateTime dateTime37 = dateTime10.withZone(dateTimeZone31);
//     int i38 = dateTime10.getHourOfDay();
//     int i39 = dateTime10.getWeekyear();
//     boolean b40 = unsupportedDurationField1.equals((java.lang.Object)dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(calendar7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "21"+ "'", str9.equals("21"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(calendar14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b15 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long35 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == (-1439));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b40 == false);
// 
//   }

  @Test
  public void test450() {}
// Defects4J: flaky method
//   @Test
//   public void test450() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     java.lang.String str19 = unsupportedDateTimeField18.toString();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getRangeDurationField();
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     java.lang.String str24 = dateTimeZone22.getShortName(10L);
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(dateTimeZone22);
//     org.joda.time.Chronology chronology26 = null;
//     org.joda.time.DateTime dateTime27 = dateTime25.toDateTime(chronology26);
//     org.joda.time.DateTime dateTime29 = dateTime25.minusWeeks(0);
//     org.joda.time.LocalDate localDate30 = dateTime25.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType32 = localDate30.getFieldType(0);
//     org.joda.time.LocalDate localDate34 = localDate30.minusWeeks(0);
//     java.util.TimeZone timeZone35 = null;
//     org.joda.time.DateTimeZone dateTimeZone36 = org.joda.time.DateTimeZone.forTimeZone(timeZone35);
//     org.joda.time.Interval interval37 = localDate34.toInterval(dateTimeZone36);
//     int i38 = localDate34.getMonthOfYear();
//     int i39 = localDate34.getWeekOfWeekyear();
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.Chronology chronology45 = null;
//     org.joda.time.DateTime dateTime46 = dateTime44.toDateTime(chronology45);
//     org.joda.time.DateTime dateTime48 = dateTime44.minusWeeks(0);
//     org.joda.time.LocalDate localDate49 = dateTime44.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType51 = localDate49.getFieldType(0);
//     int i52 = localDate34.get(dateTimeFieldType51);
//     java.util.TimeZone timeZone54 = null;
//     org.joda.time.DateTimeZone dateTimeZone55 = org.joda.time.DateTimeZone.forTimeZone(timeZone54);
//     java.lang.String str57 = dateTimeZone55.getShortName(10L);
//     org.joda.time.DateTime dateTime58 = new org.joda.time.DateTime(dateTimeZone55);
//     org.joda.time.chrono.CopticChronology copticChronology59 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone55);
//     org.joda.time.Partial partial60 = new org.joda.time.Partial(dateTimeFieldType51, 1000, (org.joda.time.Chronology)copticChronology59);
//     java.util.TimeZone timeZone61 = null;
//     org.joda.time.DateTimeZone dateTimeZone62 = org.joda.time.DateTimeZone.forTimeZone(timeZone61);
//     java.lang.String str64 = dateTimeZone62.getShortName(10L);
//     org.joda.time.DateTime dateTime65 = new org.joda.time.DateTime(dateTimeZone62);
//     org.joda.time.chrono.JulianChronology julianChronology66 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone62);
//     org.joda.time.DateTimeField dateTimeField67 = julianChronology66.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField68 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology59, dateTimeField67);
//     java.util.TimeZone timeZone69 = null;
//     org.joda.time.DateTimeZone dateTimeZone70 = org.joda.time.DateTimeZone.forTimeZone(timeZone69);
//     java.lang.String str72 = dateTimeZone70.getShortName(10L);
//     org.joda.time.DateTime dateTime73 = new org.joda.time.DateTime(dateTimeZone70);
//     org.joda.time.Chronology chronology74 = null;
//     org.joda.time.DateTime dateTime75 = dateTime73.toDateTime(chronology74);
//     org.joda.time.DateTime dateTime77 = dateTime73.minusWeeks(0);
//     org.joda.time.LocalDate localDate78 = dateTime73.toLocalDate();
//     int i79 = skipDateTimeField68.getMaximumValue((org.joda.time.ReadablePartial)localDate78);
//     int i80 = localDate78.getWeekOfWeekyear();
//     org.joda.time.LocalDate localDate82 = localDate78.withYear(8);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i83 = unsupportedDateTimeField18.getMaximumValue((org.joda.time.ReadablePartial)localDate82);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "UnsupportedDateTimeField"+ "'", str19.equals("UnsupportedDateTimeField"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "+00:00"+ "'", str24.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i52 == (-1440));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str57 + "' != '" + "+00:00"+ "'", str57.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str64 + "' != '" + "+00:00"+ "'", str64.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str72 + "' != '" + "+00:00"+ "'", str72.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i79 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i80 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate82);
// 
//   }

  @Test
  public void test451() {}
// Defects4J: flaky method
//   @Test
//   public void test451() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.CopticChronology copticChronology5 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone1);
//     long long7 = dateTimeZone1.convertUTCToLocal(272075L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 272075L);
// 
//   }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.minusMillis(29299);
    org.joda.time.DateMidnight dateMidnight3 = dateTime2.toDateMidnight();
    boolean b5 = dateTime2.isAfter(29300L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)58111, number2, (java.lang.Number)(-100));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() {}
// Defects4J: flaky method
//   @Test
//   public void test454() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField21 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField22 = unsupportedDateTimeField18.getLeapDurationField();
//     java.util.Locale locale23 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i24 = unsupportedDateTimeField18.getMaximumTextLength(locale23);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField22);
// 
//   }

  @Test
  public void test455() {}
// Defects4J: flaky method
//   @Test
//   public void test455() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.lang.String str10 = partial6.toString();
//     int i11 = partial6.size();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.Partial partial25 = partial6.with(dateTimeFieldType23, (-1));
//     int[] i_array26 = partial6.getValues();
//     java.util.TimeZone timeZone27 = null;
//     org.joda.time.DateTimeZone dateTimeZone28 = org.joda.time.DateTimeZone.forTimeZone(timeZone27);
//     java.lang.String str30 = dateTimeZone28.getShortName(10L);
//     org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(dateTimeZone28);
//     org.joda.time.Chronology chronology32 = null;
//     org.joda.time.DateTime dateTime33 = dateTime31.toDateTime(chronology32);
//     org.joda.time.DateTime dateTime35 = dateTime31.minusWeeks(0);
//     org.joda.time.DateTime dateTime36 = dateTime35.toDateTime();
//     boolean b38 = dateTime36.isEqual(10L);
//     org.joda.time.DateTime dateTime39 = dateTime36.withTimeAtStartOfDay();
//     org.joda.time.ReadableDuration readableDuration40 = null;
//     org.joda.time.DateTime dateTime42 = dateTime39.withDurationAdded(readableDuration40, 29303);
//     boolean b43 = partial6.isMatch((org.joda.time.ReadableInstant)dateTime42);
//     java.util.TimeZone timeZone44 = null;
//     org.joda.time.DateTimeZone dateTimeZone45 = org.joda.time.DateTimeZone.forTimeZone(timeZone44);
//     java.lang.String str47 = dateTimeZone45.getShortName(10L);
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone45);
//     org.joda.time.chrono.JulianChronology julianChronology49 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone45);
//     org.joda.time.Partial partial50 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology49);
//     java.lang.String str51 = partial50.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType52 = null;
//     int i53 = partial50.indexOf(dateTimeFieldType52);
//     java.lang.String str54 = partial50.toString();
//     int[] i_array55 = partial50.getValues();
//     org.joda.time.DateTime dateTime56 = dateTime42.withFields((org.joda.time.ReadablePartial)partial50);
//     org.joda.time.Chronology chronology57 = partial50.getChronology();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "+00:00"+ "'", str30.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b38 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "+00:00"+ "'", str47.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "[]"+ "'", str51.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i53 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str54 + "' != '" + "[]"+ "'", str54.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology57);
// 
//   }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset((-107577849600000L));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(81, 58105);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test458() {}
// Defects4J: flaky method
//   @Test
//   public void test458() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
//     java.util.TimeZone timeZone13 = null;
//     org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
//     java.lang.String str16 = dateTimeZone14.getShortName(10L);
//     org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
//     org.joda.time.Chronology chronology18 = null;
//     org.joda.time.DateTime dateTime19 = dateTime17.toDateTime(chronology18);
//     org.joda.time.DateTime dateTime21 = dateTime17.minusWeeks(0);
//     org.joda.time.LocalDate localDate22 = dateTime17.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType24 = localDate22.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType25 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField26 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType25);
//     org.joda.time.DurationFieldType durationFieldType27 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField28 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType27);
//     org.joda.time.DurationFieldType durationFieldType29 = unsupportedDurationField28.getType();
//     int i30 = unsupportedDurationField26.compareTo((org.joda.time.DurationField)unsupportedDurationField28);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField31 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType24, (org.joda.time.DurationField)unsupportedDurationField28);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField32 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType24);
//     int i34 = offsetDateTimeField11.getMaximumValue((-259200000L));
//     long long37 = offsetDateTimeField11.set(631354039412L, 16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 292280432);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long37 == (-107072639560588L));
// 
//   }

  @Test
  public void test459() {}
// Defects4J: flaky method
//   @Test
//   public void test459() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     int i58 = skipDateTimeField47.getMaximumValue((org.joda.time.ReadablePartial)localDate57);
//     org.joda.time.DateTimeField dateTimeField59 = skipDateTimeField47.getWrappedField();
//     java.lang.String str61 = skipDateTimeField47.getAsText(1758000000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str61 + "' != '" + "500"+ "'", str61.equals("500"));
// 
//   }

  @Test
  public void test460() {}
// Defects4J: flaky method
//   @Test
//   public void test460() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
//     java.util.TimeZone timeZone14 = null;
//     org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
//     org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
//     int i17 = localDate13.getMonthOfYear();
//     int i18 = localDate13.getWeekOfWeekyear();
//     java.util.TimeZone timeZone19 = null;
//     org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forTimeZone(timeZone19);
//     java.lang.String str22 = dateTimeZone20.getShortName(10L);
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone20);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = dateTime23.toDateTime(chronology24);
//     org.joda.time.DateTime dateTime27 = dateTime23.minusWeeks(0);
//     org.joda.time.LocalDate localDate28 = dateTime23.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType30 = localDate28.getFieldType(0);
//     int i31 = localDate13.get(dateTimeFieldType30);
//     java.util.TimeZone timeZone33 = null;
//     org.joda.time.DateTimeZone dateTimeZone34 = org.joda.time.DateTimeZone.forTimeZone(timeZone33);
//     java.lang.String str36 = dateTimeZone34.getShortName(10L);
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(dateTimeZone34);
//     org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone34);
//     org.joda.time.Partial partial39 = new org.joda.time.Partial(dateTimeFieldType30, 1000, (org.joda.time.Chronology)copticChronology38);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField47 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology38, dateTimeField46);
//     org.joda.time.DateTimeField dateTimeField48 = copticChronology38.era();
//     org.joda.time.DurationField durationField49 = copticChronology38.hours();
//     org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder50 = new org.joda.time.tz.DateTimeZoneBuilder();
//     org.joda.time.DateTimeZone dateTimeZone53 = dateTimeZoneBuilder50.toDateTimeZone("hi!", true);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone54 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone53);
//     int i56 = cachedDateTimeZone54.getOffset((-230400000L));
//     org.joda.time.Chronology chronology57 = copticChronology38.withZone((org.joda.time.DateTimeZone)cachedDateTimeZone54);
//     java.lang.String str59 = cachedDateTimeZone54.getName(4881176L);
//     long long61 = cachedDateTimeZone54.previousTransition((-1803813931583999990L));
//     int i63 = cachedDateTimeZone54.getStandardOffset(29300L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "+00:00"+ "'", str36.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str59 + "' != '" + "+00:00"+ "'", str59.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == (-1803813931583999990L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i63 == 0);
// 
//   }

  @Test
  public void test461() {}
// Defects4J: flaky method
//   @Test
//   public void test461() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     java.util.TimeZone timeZone1 = null;
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
//     java.lang.String str4 = dateTimeZone2.getShortName(10L);
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
//     org.joda.time.DateTime dateTime7 = dateTime5.minusYears(1);
//     int i8 = dateTime5.getSecondOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime5.plusMonths(100);
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.chrono.GJChronology gJChronology12 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone0, (org.joda.time.ReadableInstant)dateTime10);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 58119);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
// 
//   }

  @Test
  public void test462() {}
// Defects4J: flaky method
//   @Test
//   public void test462() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.ReadableDuration readableDuration9 = null;
//     org.joda.time.DateTime dateTime10 = dateTime4.minus(readableDuration9);
//     java.util.GregorianCalendar gregorianCalendar11 = dateTime10.toGregorianCalendar();
//     org.joda.time.LocalDate localDate12 = org.joda.time.LocalDate.fromCalendarFields((java.util.Calendar)gregorianCalendar11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianCalendar11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
// 
//   }

  @Test
  public void test463() {}
// Defects4J: flaky method
//   @Test
//   public void test463() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
//     java.util.TimeZone timeZone8 = null;
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
//     java.lang.String str11 = dateTimeZone9.getShortName(10L);
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone9);
//     org.joda.time.DateTime dateTime14 = dateTime12.minusYears(1);
//     int i15 = dateTime12.getSecondOfDay();
//     java.util.TimeZone timeZone16 = null;
//     org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.forTimeZone(timeZone16);
//     java.lang.String str19 = dateTimeZone17.getShortName(10L);
//     org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusYears(1);
//     int i23 = dateTime20.getSecondOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime20.plusMonths(100);
//     org.joda.time.chrono.LimitChronology limitChronology26 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology5, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime25);
//     org.joda.time.DateTime dateTime28 = dateTime12.withWeekyear(58104);
//     org.joda.time.DateTime dateTime30 = dateTime12.plusYears(3409);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "+00:00"+ "'", str11.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 58119);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 58119);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
// 
//   }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = org.joda.time.LocalDate.parse("DateTimeField[year]", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.DateTimeZone dateTimeZone3 = dateTimeZoneBuilder0.toDateTimeZone("hi!", true);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone3);
    org.joda.time.DateTimeZone dateTimeZone5 = cachedDateTimeZone4.getUncachedZone();
    long long7 = cachedDateTimeZone4.nextTransition(1424534908897L);
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1424534908897L);

  }

  @Test
  public void test466() {}
// Defects4J: flaky method
//   @Test
//   public void test466() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.DateTime dateTime9 = dateTime8.toDateTime();
//     java.util.TimeZone timeZone10 = null;
//     org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
//     java.lang.String str13 = dateTimeZone11.getShortName(10L);
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = dateTime14.toDateTime(chronology15);
//     org.joda.time.DateTime dateTime18 = dateTime14.minusWeeks(0);
//     org.joda.time.LocalDate localDate19 = dateTime14.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType21 = localDate19.getFieldType(0);
//     org.joda.time.DateTime dateTime22 = dateTime8.withFields((org.joda.time.ReadablePartial)localDate19);
//     java.util.TimeZone timeZone23 = null;
//     org.joda.time.DateTimeZone dateTimeZone24 = org.joda.time.DateTimeZone.forTimeZone(timeZone23);
//     java.lang.String str26 = dateTimeZone24.getShortName(10L);
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(dateTimeZone24);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = dateTime27.toDateTime(chronology28);
//     org.joda.time.DateTime dateTime31 = dateTime27.minusWeeks(0);
//     org.joda.time.LocalDate localDate32 = dateTime27.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType34 = localDate32.getFieldType(0);
//     org.joda.time.LocalDate localDate36 = localDate32.minusWeeks(0);
//     java.util.TimeZone timeZone37 = null;
//     org.joda.time.DateTimeZone dateTimeZone38 = org.joda.time.DateTimeZone.forTimeZone(timeZone37);
//     org.joda.time.Interval interval39 = localDate36.toInterval(dateTimeZone38);
//     int i40 = localDate36.getMonthOfYear();
//     int i41 = localDate36.getWeekOfWeekyear();
//     java.util.TimeZone timeZone42 = null;
//     org.joda.time.DateTimeZone dateTimeZone43 = org.joda.time.DateTimeZone.forTimeZone(timeZone42);
//     java.lang.String str45 = dateTimeZone43.getShortName(10L);
//     org.joda.time.DateTime dateTime46 = new org.joda.time.DateTime(dateTimeZone43);
//     org.joda.time.Chronology chronology47 = null;
//     org.joda.time.DateTime dateTime48 = dateTime46.toDateTime(chronology47);
//     org.joda.time.DateTime dateTime50 = dateTime46.minusWeeks(0);
//     org.joda.time.LocalDate localDate51 = dateTime46.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType53 = localDate51.getFieldType(0);
//     int i54 = localDate36.get(dateTimeFieldType53);
//     java.util.TimeZone timeZone56 = null;
//     org.joda.time.DateTimeZone dateTimeZone57 = org.joda.time.DateTimeZone.forTimeZone(timeZone56);
//     java.lang.String str59 = dateTimeZone57.getShortName(10L);
//     org.joda.time.DateTime dateTime60 = new org.joda.time.DateTime(dateTimeZone57);
//     org.joda.time.chrono.JulianChronology julianChronology61 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone57);
//     org.joda.time.DateTimeField dateTimeField62 = julianChronology61.minuteOfDay();
//     org.joda.time.Partial partial63 = new org.joda.time.Partial(dateTimeFieldType53, 29299, (org.joda.time.Chronology)julianChronology61);
//     int i64 = dateTime8.get(dateTimeFieldType53);
//     java.lang.Number number65 = null;
//     org.joda.time.IllegalFieldValueException illegalFieldValueException67 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType53, number65, "2016");
//     java.lang.String str68 = illegalFieldValueException67.getIllegalStringValue();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "+00:00"+ "'", str13.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+00:00"+ "'", str26.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i40 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "+00:00"+ "'", str45.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str59 + "' != '" + "+00:00"+ "'", str59.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str68);
// 
//   }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
    org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
    java.util.TimeZone timeZone14 = null;
    org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forTimeZone(timeZone14);
    org.joda.time.Interval interval16 = localDate13.toInterval(dateTimeZone15);
    long long18 = dateTimeZone15.convertUTCToLocal(3124339639412L);
    boolean b20 = dateTimeZone15.isStandardOffset((-1803813931583999990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(interval16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 3124339639412L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test468() {}
// Defects4J: flaky method
//   @Test
//   public void test468() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
//     org.joda.time.DurationFieldType durationFieldType12 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
//     org.joda.time.DurationFieldType durationFieldType14 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
//     org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
//     int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
//     org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
//     org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DurationField durationField21 = unsupportedDateTimeField18.getDurationField();
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = unsupportedDateTimeField18.getType();
//     java.util.TimeZone timeZone23 = null;
//     org.joda.time.DateTimeZone dateTimeZone24 = org.joda.time.DateTimeZone.forTimeZone(timeZone23);
//     java.lang.String str26 = dateTimeZone24.getShortName(10L);
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(dateTimeZone24);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = dateTime27.toDateTime(chronology28);
//     org.joda.time.DateTime dateTime31 = dateTime27.minusWeeks(0);
//     org.joda.time.LocalDate localDate32 = dateTime27.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType34 = localDate32.getFieldType(0);
//     org.joda.time.LocalDate localDate36 = localDate32.minusWeeks(0);
//     java.util.TimeZone timeZone37 = null;
//     org.joda.time.DateTimeZone dateTimeZone38 = org.joda.time.DateTimeZone.forTimeZone(timeZone37);
//     org.joda.time.Interval interval39 = localDate36.toInterval(dateTimeZone38);
//     int i40 = localDate36.getMonthOfYear();
//     int i41 = localDate36.getWeekOfWeekyear();
//     java.util.TimeZone timeZone42 = null;
//     org.joda.time.DateTimeZone dateTimeZone43 = org.joda.time.DateTimeZone.forTimeZone(timeZone42);
//     java.lang.String str45 = dateTimeZone43.getShortName(10L);
//     org.joda.time.DateTime dateTime46 = new org.joda.time.DateTime(dateTimeZone43);
//     org.joda.time.Chronology chronology47 = null;
//     org.joda.time.DateTime dateTime48 = dateTime46.toDateTime(chronology47);
//     org.joda.time.DateTime dateTime50 = dateTime46.minusWeeks(0);
//     org.joda.time.LocalDate localDate51 = dateTime46.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType53 = localDate51.getFieldType(0);
//     int i54 = localDate36.get(dateTimeFieldType53);
//     java.util.TimeZone timeZone56 = null;
//     org.joda.time.DateTimeZone dateTimeZone57 = org.joda.time.DateTimeZone.forTimeZone(timeZone56);
//     java.lang.String str59 = dateTimeZone57.getShortName(10L);
//     org.joda.time.DateTime dateTime60 = new org.joda.time.DateTime(dateTimeZone57);
//     org.joda.time.chrono.CopticChronology copticChronology61 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone57);
//     org.joda.time.Partial partial62 = new org.joda.time.Partial(dateTimeFieldType53, 1000, (org.joda.time.Chronology)copticChronology61);
//     java.util.TimeZone timeZone63 = null;
//     org.joda.time.DateTimeZone dateTimeZone64 = org.joda.time.DateTimeZone.forTimeZone(timeZone63);
//     java.lang.String str66 = dateTimeZone64.getShortName(10L);
//     org.joda.time.DateTime dateTime67 = new org.joda.time.DateTime(dateTimeZone64);
//     org.joda.time.chrono.JulianChronology julianChronology68 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone64);
//     org.joda.time.DateTimeField dateTimeField69 = julianChronology68.minuteOfDay();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField70 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)copticChronology61, dateTimeField69);
//     java.util.TimeZone timeZone71 = null;
//     org.joda.time.DateTimeZone dateTimeZone72 = org.joda.time.DateTimeZone.forTimeZone(timeZone71);
//     java.lang.String str74 = dateTimeZone72.getShortName(10L);
//     org.joda.time.DateTime dateTime75 = new org.joda.time.DateTime(dateTimeZone72);
//     org.joda.time.Chronology chronology76 = null;
//     org.joda.time.DateTime dateTime77 = dateTime75.toDateTime(chronology76);
//     org.joda.time.DateTime dateTime79 = dateTime75.minusWeeks(0);
//     org.joda.time.LocalDate localDate80 = dateTime75.toLocalDate();
//     int i81 = skipDateTimeField70.getMaximumValue((org.joda.time.ReadablePartial)localDate80);
//     int i82 = localDate80.getWeekOfWeekyear();
//     org.joda.time.LocalDate localDate84 = localDate80.plusYears(58110);
//     org.joda.time.LocalDate localDate86 = localDate80.minusMonths(366);
//     java.util.Locale locale88 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str89 = unsupportedDateTimeField18.getAsText((org.joda.time.ReadablePartial)localDate86, 412, locale88);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+00:00"+ "'", str26.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i40 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "+00:00"+ "'", str45.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str59 + "' != '" + "+00:00"+ "'", str59.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str66 + "' != '" + "+00:00"+ "'", str66.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str74 + "' != '" + "+00:00"+ "'", str74.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i81 == 1439);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i82 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate86);
// 
//   }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(3124137600000L, (-77030380840588L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 80154518440588L);

  }

  @Test
  public void test470() {}
// Defects4J: flaky method
//   @Test
//   public void test470() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     java.util.TimeZone timeZone7 = null;
//     org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
//     java.lang.String str10 = dateTimeZone8.getShortName(10L);
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = dateTime11.toDateTime(chronology12);
//     org.joda.time.DateTime dateTime15 = dateTime11.minusWeeks(0);
//     org.joda.time.LocalDate localDate16 = dateTime11.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType18 = localDate16.getFieldType(0);
//     org.joda.time.LocalDate localDate20 = localDate16.minusWeeks(0);
//     java.util.TimeZone timeZone21 = null;
//     org.joda.time.DateTimeZone dateTimeZone22 = org.joda.time.DateTimeZone.forTimeZone(timeZone21);
//     org.joda.time.Interval interval23 = localDate20.toInterval(dateTimeZone22);
//     int i24 = localDate20.getMonthOfYear();
//     int i25 = localDate20.getWeekOfWeekyear();
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     java.lang.String str29 = dateTimeZone27.getShortName(10L);
//     org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(dateTimeZone27);
//     org.joda.time.Chronology chronology31 = null;
//     org.joda.time.DateTime dateTime32 = dateTime30.toDateTime(chronology31);
//     org.joda.time.DateTime dateTime34 = dateTime30.minusWeeks(0);
//     org.joda.time.LocalDate localDate35 = dateTime30.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = localDate35.getFieldType(0);
//     int i38 = localDate20.get(dateTimeFieldType37);
//     java.util.TimeZone timeZone40 = null;
//     org.joda.time.DateTimeZone dateTimeZone41 = org.joda.time.DateTimeZone.forTimeZone(timeZone40);
//     java.lang.String str43 = dateTimeZone41.getShortName(10L);
//     org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime(dateTimeZone41);
//     org.joda.time.chrono.JulianChronology julianChronology45 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone41);
//     org.joda.time.DateTimeField dateTimeField46 = julianChronology45.minuteOfDay();
//     org.joda.time.Partial partial47 = new org.joda.time.Partial(dateTimeFieldType37, 29299, (org.joda.time.Chronology)julianChronology45);
//     java.util.TimeZone timeZone48 = null;
//     org.joda.time.DateTimeZone dateTimeZone49 = org.joda.time.DateTimeZone.forTimeZone(timeZone48);
//     java.lang.String str51 = dateTimeZone49.getShortName(10L);
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(dateTimeZone49);
//     org.joda.time.Chronology chronology53 = null;
//     org.joda.time.DateTime dateTime54 = dateTime52.toDateTime(chronology53);
//     org.joda.time.DateTime dateTime56 = dateTime52.minusWeeks(0);
//     org.joda.time.LocalDate localDate57 = dateTime52.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType59 = localDate57.getFieldType(0);
//     org.joda.time.LocalDate localDate61 = localDate57.minusWeeks(0);
//     java.util.TimeZone timeZone62 = null;
//     org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeZone.forTimeZone(timeZone62);
//     org.joda.time.Interval interval64 = localDate61.toInterval(dateTimeZone63);
//     int i65 = localDate61.getMonthOfYear();
//     int i66 = localDate61.getWeekOfWeekyear();
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     java.lang.String str70 = dateTimeZone68.getShortName(10L);
//     org.joda.time.DateTime dateTime71 = new org.joda.time.DateTime(dateTimeZone68);
//     org.joda.time.Chronology chronology72 = null;
//     org.joda.time.DateTime dateTime73 = dateTime71.toDateTime(chronology72);
//     org.joda.time.DateTime dateTime75 = dateTime71.minusWeeks(0);
//     org.joda.time.LocalDate localDate76 = dateTime71.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType78 = localDate76.getFieldType(0);
//     int i79 = localDate61.get(dateTimeFieldType78);
//     java.util.TimeZone timeZone81 = null;
//     org.joda.time.DateTimeZone dateTimeZone82 = org.joda.time.DateTimeZone.forTimeZone(timeZone81);
//     java.lang.String str84 = dateTimeZone82.getShortName(10L);
//     org.joda.time.DateTime dateTime85 = new org.joda.time.DateTime(dateTimeZone82);
//     org.joda.time.chrono.CopticChronology copticChronology86 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone82);
//     org.joda.time.Partial partial87 = new org.joda.time.Partial(dateTimeFieldType78, 1000, (org.joda.time.Chronology)copticChronology86);
//     int i88 = partial47.indexOf(dateTimeFieldType78);
//     boolean b89 = dateTime6.isSupported(dateTimeFieldType78);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException91 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType78, "America/Los_Angeles");
//     org.joda.time.DurationFieldType durationFieldType92 = null;
//     org.joda.time.field.UnsupportedDurationField unsupportedDurationField93 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType92);
//     org.joda.time.DurationFieldType durationFieldType94 = unsupportedDurationField93.getType();
//     boolean b95 = unsupportedDurationField93.isPrecise();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField96 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType78, (org.joda.time.DurationField)unsupportedDurationField93);
//     org.joda.time.DurationField durationField97 = unsupportedDateTimeField96.getLeapDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b99 = unsupportedDateTimeField96.isLeap((-28840588L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str29 + "' != '" + "+00:00"+ "'", str29.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "+00:00"+ "'", str43.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str51 + "' != '" + "+00:00"+ "'", str51.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str70 + "' != '" + "+00:00"+ "'", str70.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i79 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str84 + "' != '" + "+00:00"+ "'", str84.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i88 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b89 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDurationField93);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationFieldType94);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b95 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField96);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField97);
// 
//   }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField1.add((-100L), (-2440588));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
    org.joda.time.DurationFieldType durationFieldType12 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
    org.joda.time.DurationFieldType durationFieldType14 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
    org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
    int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
    org.joda.time.DurationField durationField19 = unsupportedDateTimeField18.getRangeDurationField();
    org.joda.time.DurationField durationField20 = unsupportedDateTimeField18.getDurationField();
    org.joda.time.DurationField durationField21 = unsupportedDateTimeField18.getDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long24 = unsupportedDateTimeField18.add(57160588001L, (-235740000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField21);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("UTC");
    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeUtils.getZone(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    java.lang.String str2 = iSOChronology0.toString();
    java.lang.String str3 = iSOChronology0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "ISOChronology[hi!]"+ "'", str2.equals("ISOChronology[hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "ISOChronology[hi!]"+ "'", str3.equals("ISOChronology[hi!]"));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.joda.time.IllegalInstantException illegalInstantException2 = new org.joda.time.IllegalInstantException(31795200000L, "201617");

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
    org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
    int i14 = skipUndoDateTimeField12.getLeapAmount(10L);
    long long17 = skipUndoDateTimeField12.set(6300223690111777L, (-28800000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == (-908947822693888223L));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
    org.joda.time.Chronology chronology3 = gregorianChronology0.withUTC();
    org.joda.time.DurationField durationField4 = gregorianChronology0.weeks();
    org.joda.time.DateTimeField dateTimeField5 = gregorianChronology0.minuteOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long10 = gregorianChronology0.getDateTimeMillis(58105, 0, (-100), 366);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    org.joda.time.LocalDate.Property property10 = localDate9.weekOfWeekyear();
    org.joda.time.ReadablePeriod readablePeriod11 = null;
    org.joda.time.LocalDate localDate12 = localDate9.minus(readablePeriod11);
    org.joda.time.LocalDate localDate14 = localDate9.withYear((-292273615));
    boolean b15 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder7 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.DateTimeZone dateTimeZone10 = dateTimeZoneBuilder7.toDateTimeZone("hi!", true);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone11 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone10);
    int i13 = cachedDateTimeZone11.getOffset((-230400000L));
    org.joda.time.DateTimeZone dateTimeZone14 = cachedDateTimeZone11.getUncachedZone();
    java.lang.String str15 = dateTimeZone14.getID();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(0, 20, 143532, 14, 968, 58112, 58112, dateTimeZone14);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));

  }

  @Test
  public void test480() {}
// Defects4J: flaky method
//   @Test
//   public void test480() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }
// 
// 
//     org.joda.time.chrono.JulianChronology julianChronology0 = org.joda.time.chrono.JulianChronology.getInstanceUTC();
//     org.joda.time.DateTimeField dateTimeField1 = julianChronology0.yearOfEra();
//     org.joda.time.DateTimeField dateTimeField2 = julianChronology0.millisOfSecond();
//     org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate((org.joda.time.Chronology)julianChronology0);
//     org.joda.time.DateTime dateTime4 = localDate3.toDateTimeAtCurrentTime();
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.LocalDate localDate25 = localDate21.minusWeeks(0);
//     java.util.TimeZone timeZone26 = null;
//     org.joda.time.DateTimeZone dateTimeZone27 = org.joda.time.DateTimeZone.forTimeZone(timeZone26);
//     org.joda.time.Interval interval28 = localDate25.toInterval(dateTimeZone27);
//     int i29 = localDate25.getMonthOfYear();
//     int i30 = localDate25.getWeekOfWeekyear();
//     java.util.TimeZone timeZone31 = null;
//     org.joda.time.DateTimeZone dateTimeZone32 = org.joda.time.DateTimeZone.forTimeZone(timeZone31);
//     java.lang.String str34 = dateTimeZone32.getShortName(10L);
//     org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime(dateTimeZone32);
//     org.joda.time.Chronology chronology36 = null;
//     org.joda.time.DateTime dateTime37 = dateTime35.toDateTime(chronology36);
//     org.joda.time.DateTime dateTime39 = dateTime35.minusWeeks(0);
//     org.joda.time.LocalDate localDate40 = dateTime35.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType42 = localDate40.getFieldType(0);
//     int i43 = localDate25.get(dateTimeFieldType42);
//     java.util.TimeZone timeZone45 = null;
//     org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
//     java.lang.String str48 = dateTimeZone46.getShortName(10L);
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.chrono.JulianChronology julianChronology50 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone46);
//     org.joda.time.DateTimeField dateTimeField51 = julianChronology50.minuteOfDay();
//     org.joda.time.Partial partial52 = new org.joda.time.Partial(dateTimeFieldType42, 29299, (org.joda.time.Chronology)julianChronology50);
//     java.util.TimeZone timeZone53 = null;
//     org.joda.time.DateTimeZone dateTimeZone54 = org.joda.time.DateTimeZone.forTimeZone(timeZone53);
//     java.lang.String str56 = dateTimeZone54.getShortName(10L);
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(dateTimeZone54);
//     org.joda.time.Chronology chronology58 = null;
//     org.joda.time.DateTime dateTime59 = dateTime57.toDateTime(chronology58);
//     org.joda.time.DateTime dateTime61 = dateTime57.minusWeeks(0);
//     org.joda.time.LocalDate localDate62 = dateTime57.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType64 = localDate62.getFieldType(0);
//     org.joda.time.LocalDate localDate66 = localDate62.minusWeeks(0);
//     java.util.TimeZone timeZone67 = null;
//     org.joda.time.DateTimeZone dateTimeZone68 = org.joda.time.DateTimeZone.forTimeZone(timeZone67);
//     org.joda.time.Interval interval69 = localDate66.toInterval(dateTimeZone68);
//     int i70 = localDate66.getMonthOfYear();
//     int i71 = localDate66.getWeekOfWeekyear();
//     java.util.TimeZone timeZone72 = null;
//     org.joda.time.DateTimeZone dateTimeZone73 = org.joda.time.DateTimeZone.forTimeZone(timeZone72);
//     java.lang.String str75 = dateTimeZone73.getShortName(10L);
//     org.joda.time.DateTime dateTime76 = new org.joda.time.DateTime(dateTimeZone73);
//     org.joda.time.Chronology chronology77 = null;
//     org.joda.time.DateTime dateTime78 = dateTime76.toDateTime(chronology77);
//     org.joda.time.DateTime dateTime80 = dateTime76.minusWeeks(0);
//     org.joda.time.LocalDate localDate81 = dateTime76.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = localDate81.getFieldType(0);
//     int i84 = localDate66.get(dateTimeFieldType83);
//     java.util.TimeZone timeZone86 = null;
//     org.joda.time.DateTimeZone dateTimeZone87 = org.joda.time.DateTimeZone.forTimeZone(timeZone86);
//     java.lang.String str89 = dateTimeZone87.getShortName(10L);
//     org.joda.time.DateTime dateTime90 = new org.joda.time.DateTime(dateTimeZone87);
//     org.joda.time.chrono.CopticChronology copticChronology91 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone87);
//     org.joda.time.Partial partial92 = new org.joda.time.Partial(dateTimeFieldType83, 1000, (org.joda.time.Chronology)copticChronology91);
//     int i93 = partial52.indexOf(dateTimeFieldType83);
//     boolean b94 = dateTime11.isSupported(dateTimeFieldType83);
//     org.joda.time.LocalDate localDate96 = localDate3.withField(dateTimeFieldType83, (-2440588));
//     org.joda.time.LocalDate.Property property97 = localDate3.yearOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "+00:00"+ "'", str34.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "+00:00"+ "'", str48.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str56 + "' != '" + "+00:00"+ "'", str56.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(interval69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i71 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str75 + "' != '" + "+00:00"+ "'", str75.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i84 == (-1393));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone87);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str89 + "' != '" + "+00:00"+ "'", str89.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i93 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b94 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate96);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property97);
// 
//   }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-85960588L), 3124137600000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
    org.joda.time.DateTimeZone dateTimeZone7 = julianChronology5.getZone();
    org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = gregorianChronology8.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 1439);
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField12 = new org.joda.time.field.SkipUndoDateTimeField((org.joda.time.Chronology)julianChronology5, (org.joda.time.DateTimeField)offsetDateTimeField11);
    java.util.TimeZone timeZone13 = null;
    org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forTimeZone(timeZone13);
    java.lang.String str16 = dateTimeZone14.getShortName(10L);
    org.joda.time.DateTime dateTime17 = new org.joda.time.DateTime(dateTimeZone14);
    org.joda.time.Chronology chronology18 = null;
    org.joda.time.DateTime dateTime19 = dateTime17.toDateTime(chronology18);
    org.joda.time.DateTime dateTime21 = dateTime17.minusWeeks(0);
    org.joda.time.LocalDate localDate22 = dateTime17.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = localDate22.getFieldType(0);
    org.joda.time.DurationFieldType durationFieldType25 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField26 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType25);
    org.joda.time.DurationFieldType durationFieldType27 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField28 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType27);
    org.joda.time.DurationFieldType durationFieldType29 = unsupportedDurationField28.getType();
    int i30 = unsupportedDurationField26.compareTo((org.joda.time.DurationField)unsupportedDurationField28);
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField31 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType24, (org.joda.time.DurationField)unsupportedDurationField28);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField32 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType24);
    int i34 = offsetDateTimeField11.getMaximumValue((-259200000L));
    org.joda.time.chrono.BuddhistChronology buddhistChronology35 = org.joda.time.chrono.BuddhistChronology.getInstance();
    org.joda.time.Chronology chronology36 = buddhistChronology35.withUTC();
    org.joda.time.DateTimeField dateTimeField37 = buddhistChronology35.weekyearOfCentury();
    org.joda.time.chrono.GregorianChronology gregorianChronology38 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField39 = gregorianChronology38.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField41 = new org.joda.time.field.OffsetDateTimeField(dateTimeField39, 1439);
    org.joda.time.DateTimeFieldType dateTimeFieldType42 = offsetDateTimeField41.getType();
    org.joda.time.field.DividedDateTimeField dividedDateTimeField44 = new org.joda.time.field.DividedDateTimeField(dateTimeField37, dateTimeFieldType42, 3);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField46 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType42, 201616);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 292280432);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(buddhistChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType42);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, 1439);
    long long5 = offsetDateTimeField3.roundHalfFloor(0L);
    boolean b6 = offsetDateTimeField3.isLenient();
    long long8 = offsetDateTimeField3.roundCeiling(28800000L);
    boolean b10 = offsetDateTimeField3.isLeap(6300223690111777L);
    boolean b12 = offsetDateTimeField3.isLeap(45190022400010L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == (-259200000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 31795200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis((-52600807));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
    org.joda.time.LocalDate localDate13 = localDate9.minusWeeks(0);
    int i14 = localDate9.getEra();
    org.joda.time.DurationFieldType durationFieldType15 = null;
    boolean b16 = localDate9.isSupported(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.joda.time.chrono.JulianChronology julianChronology0 = org.joda.time.chrono.JulianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = julianChronology0.yearOfEra();
    org.joda.time.DateTimeField dateTimeField2 = julianChronology0.millisOfSecond();
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate((org.joda.time.Chronology)julianChronology0);
    org.joda.time.DateTimeField dateTimeField4 = julianChronology0.millisOfSecond();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
    org.joda.time.DurationFieldType durationFieldType12 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
    org.joda.time.DurationFieldType durationFieldType14 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
    org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
    int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = unsupportedDateTimeField18.getType();
    org.joda.time.ReadablePartial readablePartial20 = null;
    java.util.Locale locale21 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str22 = unsupportedDateTimeField18.getAsShortText(readablePartial20, locale21);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType19);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
    org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = localDate9.getFieldType(0);
    org.joda.time.DurationFieldType durationFieldType12 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField13 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType12);
    org.joda.time.DurationFieldType durationFieldType14 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField15 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
    org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField15.getType();
    int i17 = unsupportedDurationField13.compareTo((org.joda.time.DurationField)unsupportedDurationField15);
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, (org.joda.time.DurationField)unsupportedDurationField15);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str20 = unsupportedDateTimeField18.getAsShortText((-107577676360588L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField18);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(2015, 292280432);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 292282447);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("America/Los_Angeles", "[]");
    illegalFieldValueException2.prependMessage("[]");
    java.lang.String str5 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "[]"+ "'", str5.equals("[]"));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    java.util.TimeZone timeZone1 = null;
    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forTimeZone(timeZone1);
    java.lang.String str4 = dateTimeZone2.getShortName(10L);
    org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(dateTimeZone2);
    org.joda.time.chrono.CopticChronology copticChronology6 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone2);
    org.joda.time.DateTimeField dateTimeField7 = copticChronology6.weekyear();
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(57160588001L, (org.joda.time.Chronology)copticChronology6);
    org.joda.time.DateTime.Property property9 = dateTime8.minuteOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
    int i3 = gregorianChronology0.getMinimumDaysInFirstWeek();
    java.lang.String str4 = gregorianChronology0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "GregorianChronology[hi!]"+ "'", str4.equals("GregorianChronology[hi!]"));

  }

  @Test
  public void test493() {}
// Defects4J: flaky method
//   @Test
//   public void test493() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.chrono.JulianChronology julianChronology5 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Partial partial6 = new org.joda.time.Partial((org.joda.time.Chronology)julianChronology5);
//     java.lang.String str7 = partial6.toString();
//     org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
//     int i9 = partial6.indexOf(dateTimeFieldType8);
//     java.lang.String str10 = partial6.toString();
//     int i11 = partial6.size();
//     java.util.TimeZone timeZone12 = null;
//     org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.forTimeZone(timeZone12);
//     java.lang.String str15 = dateTimeZone13.getShortName(10L);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(dateTimeZone13);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = dateTime16.toDateTime(chronology17);
//     org.joda.time.DateTime dateTime20 = dateTime16.minusWeeks(0);
//     org.joda.time.LocalDate localDate21 = dateTime16.toLocalDate();
//     org.joda.time.DateTimeFieldType dateTimeFieldType23 = localDate21.getFieldType(0);
//     org.joda.time.Partial partial25 = partial6.with(dateTimeFieldType23, (-1));
//     int[] i_array26 = partial6.getValues();
//     org.joda.time.DateTimeFieldType[] dateTimeFieldType_array27 = partial6.getFieldTypes();
//     org.joda.time.chrono.GregorianChronology gregorianChronology28 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField29 = gregorianChronology28.weekyear();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField31 = new org.joda.time.field.OffsetDateTimeField(dateTimeField29, 1439);
//     long long33 = offsetDateTimeField31.roundHalfFloor(0L);
//     boolean b34 = offsetDateTimeField31.isLenient();
//     int i36 = offsetDateTimeField31.get(6300223690080000L);
//     java.lang.String str38 = offsetDateTimeField31.getAsShortText((-2440588L));
//     long long41 = offsetDateTimeField31.add(3155789239412L, (-1L));
//     long long44 = offsetDateTimeField31.set((-28840588L), 0);
//     org.joda.time.DurationField durationField45 = offsetDateTimeField31.getLeapDurationField();
//     int i46 = offsetDateTimeField31.getMaximumValue();
//     int i48 = offsetDateTimeField31.get((-1803813931583999990L));
//     java.util.TimeZone timeZone49 = null;
//     org.joda.time.DateTimeZone dateTimeZone50 = org.joda.time.DateTimeZone.forTimeZone(timeZone49);
//     java.lang.String str52 = dateTimeZone50.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology53 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone50);
//     java.util.TimeZone timeZone54 = null;
//     org.joda.time.DateTimeZone dateTimeZone55 = org.joda.time.DateTimeZone.forTimeZone(timeZone54);
//     java.lang.String str57 = dateTimeZone55.getShortName(10L);
//     org.joda.time.DateTime dateTime58 = new org.joda.time.DateTime(dateTimeZone55);
//     org.joda.time.Chronology chronology59 = null;
//     org.joda.time.DateTime dateTime60 = dateTime58.toDateTime(chronology59);
//     org.joda.time.DateTime dateTime62 = dateTime58.minusWeeks(0);
//     org.joda.time.LocalDate localDate63 = dateTime58.toLocalDate();
//     int i64 = localDate63.getDayOfMonth();
//     org.joda.time.LocalDate.Property property65 = localDate63.yearOfEra();
//     boolean b66 = gJChronology53.equals((java.lang.Object)localDate63);
//     org.joda.time.chrono.GregorianChronology gregorianChronology68 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField69 = gregorianChronology68.weekyear();
//     org.joda.time.DateTimeField dateTimeField70 = gregorianChronology68.weekyear();
//     int i71 = gregorianChronology68.getMinimumDaysInFirstWeek();
//     java.util.TimeZone timeZone72 = null;
//     org.joda.time.DateTimeZone dateTimeZone73 = org.joda.time.DateTimeZone.forTimeZone(timeZone72);
//     java.lang.String str75 = dateTimeZone73.getShortName(10L);
//     org.joda.time.DateTime dateTime76 = new org.joda.time.DateTime(dateTimeZone73);
//     java.util.TimeZone timeZone77 = null;
//     org.joda.time.DateTimeZone dateTimeZone78 = org.joda.time.DateTimeZone.forTimeZone(timeZone77);
//     java.lang.String str80 = dateTimeZone78.getShortName(10L);
//     org.joda.time.DateTime dateTime81 = new org.joda.time.DateTime(dateTimeZone78);
//     org.joda.time.DateTime dateTime82 = dateTime76.toDateTime(dateTimeZone78);
//     org.joda.time.Chronology chronology83 = gregorianChronology68.withZone(dateTimeZone78);
//     org.joda.time.LocalDate localDate84 = org.joda.time.LocalDate.now(dateTimeZone78);
//     int[] i_array85 = localDate84.getValues();
//     int[] i_array87 = offsetDateTimeField31.add((org.joda.time.ReadablePartial)localDate63, 0, i_array85, 0);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.Partial partial88 = new org.joda.time.Partial(dateTimeFieldType_array27, i_array85);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "[]"+ "'", str7.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "[]"+ "'", str10.equals("[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "+00:00"+ "'", str15.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(partial25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long33 == (-259200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b34 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i36 == 203055);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str38 + "' != '" + "3409"+ "'", str38.equals("3409"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long41 == 3124339639412L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long44 == (-107577619240588L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i46 == 292280432);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == (-57157179));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str52 + "' != '" + "+00:00"+ "'", str52.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str57 + "' != '" + "+00:00"+ "'", str57.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == 19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b66 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i71 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str75 + "' != '" + "+00:00"+ "'", str75.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str80 + "' != '" + "+00:00"+ "'", str80.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array87);
// 
//   }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.weekyear();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyear();
    int i3 = gregorianChronology0.getMinimumDaysInFirstWeek();
    org.joda.time.DurationField durationField4 = gregorianChronology0.weeks();
    org.joda.time.DateTimeZone dateTimeZone5 = gregorianChronology0.getZone();
    java.lang.String str6 = gregorianChronology0.toString();
    org.joda.time.Chronology chronology7 = gregorianChronology0.withUTC();
    java.lang.String str8 = gregorianChronology0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "GregorianChronology[hi!]"+ "'", str6.equals("GregorianChronology[hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "GregorianChronology[hi!]"+ "'", str8.equals("GregorianChronology[hi!]"));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    java.lang.String str3 = dateTimeZone1.getShortName(10L);
    org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
    java.lang.String str5 = gJChronology4.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long10 = gJChronology4.getDateTimeMillis(58113, 58111, 38, 58111094);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "GJChronology[hi!]"+ "'", str5.equals("GJChronology[hi!]"));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField3 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType2);
    org.joda.time.DurationFieldType durationFieldType4 = unsupportedDurationField3.getType();
    int i5 = unsupportedDurationField1.compareTo((org.joda.time.DurationField)unsupportedDurationField3);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField3.add(0L, 31795200000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("America/Los_Angeles", "[]");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test498() {}
// Defects4J: flaky method
//   @Test
//   public void test498() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(dateTimeZone1);
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = dateTime4.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime4.minusWeeks(0);
//     org.joda.time.LocalDate localDate9 = dateTime4.toLocalDate();
//     org.joda.time.LocalDate.Property property10 = localDate9.weekOfWeekyear();
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.LocalDate localDate12 = localDate9.minus(readablePeriod11);
//     org.joda.time.LocalDate localDate14 = localDate9.withYear((-292273615));
//     int i15 = localDate14.getMonthOfYear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 2);
// 
//   }

  @Test
  public void test499() {}
// Defects4J: flaky method
//   @Test
//   public void test499() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.lang.String str3 = dateTimeZone1.getShortName(10L);
//     org.joda.time.chrono.GJChronology gJChronology4 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1);
//     java.util.TimeZone timeZone5 = null;
//     org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
//     java.lang.String str8 = dateTimeZone6.getShortName(10L);
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(dateTimeZone6);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = dateTime9.toDateTime(chronology10);
//     org.joda.time.DateTime dateTime13 = dateTime9.minusWeeks(0);
//     org.joda.time.LocalDate localDate14 = dateTime9.toLocalDate();
//     int i15 = localDate14.getDayOfMonth();
//     org.joda.time.LocalDate.Property property16 = localDate14.yearOfEra();
//     boolean b17 = gJChronology4.equals((java.lang.Object)localDate14);
//     org.joda.time.Instant instant18 = gJChronology4.getGregorianCutover();
//     java.lang.String str19 = gJChronology4.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00"+ "'", str3.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00"+ "'", str8.equals("+00:00"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "GJChronology[hi!]"+ "'", str19.equals("GJChronology[hi!]"));
// 
//   }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    java.util.TimeZone timeZone7 = null;
    org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forTimeZone(timeZone7);
    java.lang.String str10 = dateTimeZone8.getShortName(10L);
    org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(dateTimeZone8);
    org.joda.time.Chronology chronology12 = dateTime11.getChronology();
    org.joda.time.DateTime dateTime14 = dateTime11.minusMillis(52);
    org.joda.time.DateTime dateTime16 = dateTime14.plusWeeks(21);
    java.util.TimeZone timeZone17 = null;
    org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forTimeZone(timeZone17);
    java.lang.String str20 = dateTimeZone18.getShortName(10L);
    org.joda.time.DateTime dateTime21 = new org.joda.time.DateTime(dateTimeZone18);
    org.joda.time.Chronology chronology22 = null;
    org.joda.time.DateTime dateTime23 = dateTime21.toDateTime(chronology22);
    org.joda.time.DateTime dateTime25 = dateTime21.minusWeeks(0);
    org.joda.time.LocalDate localDate26 = dateTime21.toLocalDate();
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = localDate26.getFieldType(0);
    org.joda.time.LocalDate localDate30 = localDate26.minusWeeks(0);
    java.util.TimeZone timeZone31 = null;
    org.joda.time.DateTimeZone dateTimeZone32 = org.joda.time.DateTimeZone.forTimeZone(timeZone31);
    org.joda.time.Interval interval33 = localDate30.toInterval(dateTimeZone32);
    long long36 = dateTimeZone32.adjustOffset(1L, true);
    org.joda.time.LocalDate localDate37 = org.joda.time.LocalDate.now(dateTimeZone32);
    org.joda.time.chrono.CopticChronology copticChronology38 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone32);
    org.joda.time.DateTime dateTime39 = dateTime14.withZoneRetainFields(dateTimeZone32);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime40 = new org.joda.time.DateTime((-1440), 29303361, 2015, 81, (-3), 58111094, 0, dateTimeZone32);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+00:00"+ "'", str10.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "+00:00"+ "'", str20.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(interval33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);

  }

}
